Haftungsausschluss

Diese Online-Hilfe ist eine praktische Anleitung für den Benutzer, der sofort mit WebSite X5 eine persönliche Website, einen Blog oder einen Online-Shop erstellen möchte.
Sie erhalten Schritt für Schritt eine detaillierte Beschreibung der Arbeitsumgebung mit allen Befehlen und Optionen, die Sie in den einzelnen Menüs, Tabs und Dialogfenstern finden.
Dank der Erläuterungen und vertiefenden Informationen, in Kombination mit der leicht verständlichen Vorgehensweise und den zahlreichen, in Echtzeit aktualisierten Vorschauansichten ist die Arbeit mit WebSite X5 äußerst komfortabel und Sie erstellen mühelos ansprechende, interessante und professionell wirkende Webseiten.

Vorliegende Anleitung für WebSite X5 bezieht sich auf die Version EVOLUTION v. 9, kann aber unter Berücksichtigung der jeweils spezifischen Einschränkungen auch für andere Programmversionen genutzt werden.

Die Anleitung ist in folgende Themen gegliedert:
- | Die Arbeitsumgebung Hier werden alle Funktionen der Software erläutert, die bei der Erstellung und Veröffenbtlichung einer Website in den verschiedenen Fenstern zur Verfügung stehen.
- | Tutorials Die Tutorials simulieren Verfahren für ausgewählte Prozesse wie die Erstellung eines Formulars zur Datenerhebung oder die Einrichtung eines passwortgeschützten Bereichs.
- | Vertiefung Dieser Bereich enthält Übersichten mit vertiefenden Informationen zu verschiedenen Aspekten der Webseitengestaltung.
- | Integration in Google In diesem Bereich finden Sie vertiefende Informationen über die Nutzung einiger Tools von Google für die Optimierung von Webseiten.

Letzte Aktualisierung: Version 9.0.0


Inhalt

Realisieren Sie Websites, Online-Shops und Blogs in nur 5 Schritten

WebSite X5 ist die ideale Software, um Websites zu erstellen, wie Sie sie sich schon immer gewünscht haben. Sie benötigen keinerlei Programmierkenntnisse und arbeiten komplett visuell in einer leicht verständlichen Arbeitsumgebung mit umfassenden Vorschauanzeigen, die in Echtzeit aktualisiert werden.

Auf diese Weise führt Sie WebSite X5 bis zur Veröffentlichung Ihrer Seite und garantiert einfache Bedienung, Flexibilität sowie viel Raum für individuelle Anpassung.

Auf der Grundlage der ausgewählten Optionen und Einstellungen generiert WebSite X5 automatisch die Seiten in HTML5 + CSS 2.1 oder 3. Dies gewährleistet volle Kompatibilität mit allen Browsern und Mobilgeräten sowie eine korrekte Indexierung durch Suchmaschinen.

Professionelle Web-Tools

Trotz seiner außerordentlich einfachen Bedienung stellt Ihnen WebSite X5 diverse professionelle Tools zur Verfügung, unter anderem:
- | Online-Shops mit Kreditkartenzahlung | - | Zoomfunktionen und Panoramabilder
- | Blogs mit Podcasts und Videocasts | - | Bilder- und Video-Galerien
- | Interne Suchmaschine | - | Zugangsverwaltung für geschützte Bereiche
- | E-Mail-Formulare mit Antispam-Filter | - | Verwaltung von Werbebannern
- | News- und RSS-Feeds | - | Mehrsprachige Webseiten

Die Komplettlösung

Mit WebSite X5 sparen Sie Zeit und Mühe, da die Software alles enthält, was Sie für die Erstellung einer Website benötigen:
- | einen Editor für Templates | - | 1.500 individuell anpassbare Templates
- | einen Editor für Bilder | - | 6.000 lizenzfreie Bilder
- | einen Menü-Generator | - | Button-Bibliotheken
- | einen internen FTP-Client | - | eine Widget-Sammlung

Dieser Mix aus einfacher Bedienung und komplettem Leistungsumfang ist das Erfolgsrezept von WebSite X5: der idealen Software für alle, die eine Website realisieren wollen.


Incomedia WebSite X5: Was kann dieses Programm?

Incomedia WebSite X5 ermöglicht die einfache und schnelle Erstellung von Webseiten, Online-Shops, Blogs, digitalen Fotoalben oder interaktiven Präsentationen. Die Projekte können mit einer Netzstruktur entwickelt und über Menüs auf verschiedenen Ebenen strukturiert werden. Auf diese Weise kann eine beliebige Anzahl von Seiten realisiert werden.

Sie haben die Möglichkeit, das Layout jeder einzelnen Seite zu bestimmen und mit den Objekten zu gestalten, die das Programm zur Verfügung stellt, seien es Texte, Bilder, Tabellen, Flash™-Animationen, Videos, Sound, Galerien, HTML-Objekte oder E-Mail-Formulare.

WebSite X5 bietet zahlreiche interessante Funktionen für die Bildbearbeitung, so dass keine externen Grafikprogramme mehr benötigt werden. Da Bilder automatisch in einem komprimierten Format gespeichert werden, müssen sie vor dem Einfügen nicht einmal mehr optimiert werden.

Das umfangreiche Archiv mit grafischen Vorlagen, das interne Bearbeitungsprogramm zur Erstellung dreidimensionaler Schaltflächen sowie die weitreichenden Möglichkeiten für die persönliche Gestaltung von Grafik, das Einfügen von Intros, die Einstellung der Sprache, das Einrichten geschützter Bereiche mit Passwortabfrage, die Erstellung und Verwaltung von Blogs, RSS-Feeds und Online-Shops inklusive Modul für Kreditkartenzahlungen bereichern Ihre Seite und lassen sie komplett und professionell wirken.

Außerdem können Sie mit WebSite X5 Ihre Webseite direkt im Netz veröffentlichen, ohne externe FTP-Programme (File Transfer Protocol) zu benötigen.

Die Arbeit mit WebSite X5

WebSite X5 ist wie ein Wizard aufgebaut, der Sie Schritt für Schritt durch die Anwendung leitet und zu einer vollständigen, zweckmäßigen und grafisch ansprechenden Website führt.

So gelangen Sie in nur 5 Schritten von Ihrer Idee zu einer kompletten und veröffentlichten Website:
1. | Allgemeine Einstellungen Nachdem Sie Ihr Projekt definiert und einige allgemeine Informationen wie eine Beschreibung und Keywords für die Indexierung durch die Suchmaschinen eingegeben haben, führt Sie WebSite X5 zur Gestaltung des Layouts. Wählen Sie aus über 1.500 vorprogrammierten Templates oder lassen Sie Ihrer Kreativität freien Lauf und erstellen Sie Ihre eigene Vorlage. Mit dem eigens hierfür vorgesehenen, programminternen Editor können Sie die Header und Fußzeilen der Templates ganz Ihren individuellen Vorstellungen anpassen.
2. | Erstellen der Sitemap Beginnend bei der Homepage können Sie mit WebSite X5 hier die Struktur und die Hierarchien Ihrer Website festlegen. Es können alle Ebenen und Unterebenen eingerichtet werden, die für die Strukturierung einer unbegrenzten Anzahl Seiten benötigt werden. Auf der Grundlage der Sitemap wird dynamisch ein Navigationsmenü generiert. Die Sitemap kann jederzeit geändert werden, sodass Sie die Website umgehend aktualisieren können.
3. | Erstellen der Seiten Erstellen und gestalten Sie die Seiten einfach per Drag&Drop der verfügbaren Objekte wie Texte, Tabellen, Bilder, Animationen, Videos und Sound, Galerien, E-Mail-Module, Produktlisten, HTML-Code und Widgets. Passen Sie die importierten Objekte an Ihre persönlichen Bedürfnisse an und vervollständigen Sie die Inhalte mit Links zu internen oder externen Ressourcen. Dank dem programminternen Grafik-Editor können Sie die Objekte drehen, korrigieren sowie Filter, Masken und Rahmen auf importierte Bilder anwenden, ohne dass externe Software benötigt wird.
4. | Erweiterte Einstellungen Hier können Sie Ihre Website weiter anpassen und den Stil von Elementen wie Navigationsmenüs, Texten, der ShowBox und E-Mail-Nachrichten festlegen. Mit dem internen Editor können Sie dreidimensionale Schaltflächen erstellen und Mouseover-Effekte festlegen (Effekte, die erscheinen, wenn der Mauszeiger über ein Objekt bewegt wird). Außerdem kann die Seite mit Instrumenten ausgestattet werden, wie einer Intro-Seite mit Sound und Sprachauswahl, geschützten Bereichen mit Zugangsverwaltung für Benutzer, Werbebotschaften, RSS-Feeds, einem Blog oder einem Online-Shop.
5. | Export Mit WebSite X5 können Sie die fertige Website auch gleich online stellen: Hierzu werden über eine FTP-Verbindung alle Dateien auf den Server übertragen, die erforderlich sind, um die Website sofort im Internet zu veröffentlichen. WebSite X5 unterstützt sichere Verbindungen und ermöglicht effizientes Arbeiten dank Multiverbindungen und der Option, nur geänderte Dateien zu übertragen. Neben der Veröffentlichung im Internet können Sie Projekte auch auf einen Datenträger eines Computers übertragen oder Backups erstellen.


Versionsunterschiede

Verfügbare Versionen

WebSite X5 ist in verschiedenen Versionen erhältlich. Die wichtigsten sind Evolution und Compact.

Einen Überblick über die Versionsunterschiede finden Sie auf unserer Website: http://www.websitex5.com/compare


Die Arbeitsumgebung

WebSite X5 ist wie ein Wizard aufgebaut, in dessen Dialogfenster Sie schrittweise alle nötigen Informationen eingeben können, um eine vollständige, praktische und grafisch ansprechende Webseite zu erstellen.

Alle Anzeigen des Programms haben eine einheitliche grafische Benutzeroberfläche mit drei Bereichen für Schaltflächen (oben, unten und seitlich), die in allen Ansichten unverändert bleiben, sowie einem zentralen Fenster, das sich je nach Arbeitsphase und den dort jeweils benötigten Funktionen verändert.

Obere Schaltflächenleiste

-

Hilfe: Aufruf der Online-Hilfe. Ein Klick auf den Pfeil links von der Schaltfläche Hilfe öffnet ein Kontextmenü mit folgenden Optionen:
- | Inhalt... Aufruf der Online-Hilfe.
- | Video Tutorial: Hier finden Sie eine Reihe von Video-Tutorials, in denen Ihnen erklärt wird, wie Sie mit dem Programm zu arbeiten beginnen.
- | WebSite X5 Galerie: Link zu einer umfangreichen und vielseitigen Galerie mit Websites, die von Anwendern selbst eingestellt wurden.
- | WebSite X5 Templates: Hier können neue Grafikmodelle aus dem Angebot von Incomedia oder von anderen Autoren angezeigt und kostenlos oder kostenpflichtig heruntergeladen werden.
- | Technischer Support: Über diesen Link gelangen Sie zu einer Seite, auf der Sie die FAQ einsehen oder eine Support-Anfrage versenden können.
- | www.websitex5.com: Link zur Website des Programms.
- | Infos zu WebSite X5: Mit Klick auf diese Option öffnet sich ein Popup-Fenster mit einigen Informationen über das Programm.

-

Speichern [STRG + S]: Speichert das aktive Projekt. Das Projekt wird automatisch im Projektverzeichnis gespeichert, das im Dialogfenster Einstellungen festgelegt wurde.

Um eine Kopie des Projekts zu speichern, verwenden Sie bitte die Option Speichern als.... Klicken Sie hierzu auf die Schaltfläche Duplizieren im Bereich Projektauswahl.

-

Vorschau: Lokale Anzeige einer Vorschau des realisierten Projekts im internen Browser.

Wenn Sie im Dialogfenster Einstellungen die Option Seiten während der Projektänderung aktualisieren aktiviert lassen, aktualisiert das Programm nach jeder Änderung (z.B. wenn Sie auf OK oder Weiter klicken) alle hiervon betroffenen Elemente. Auf diese Weise ist die lokale Vorschau der Website immer aktuell und kann ohne Wartezeit angezeigt werden.
Zusätzlich kann, ebenfalls im Dialogfenster Einstellungen, die Option Bei jeder Vorschau speichern aktiviert werden. Dies bewirkt, dass das Projekt auch bei Klick auf die Schaltfläche Vorschau automatisch gespeichert wird.
Um die Erstellung der Vorschau zu erzwingen, drücken Sie die Taste STRG und klicken Sie gleichzeitig auf Vorschau.

Seitliches Menü

Mit WebSite X5 können Sie in 5 einfachen Schritten eine komplette Website erstellen. Die Schaltflächen des Menüs auf der linken Bildschirmseite sind immer sichtbar und zeigen Ihnen an, in welcher Phase der Site-Erstellung Sie sich befinden. Außerdem können Sie unabhängig von der Standard-Reihenfolge direkt zwischen verschieden Phasen wechseln.

 | Projektauswahl
1. | Allgemeine Einstellungen
2. | Erstellen der Sitemap
3. | Erstellen der Seiten
4. | Erweiterte Einstellungen
5. | Export

Schaltflächen am unteren Bildschirmrand

- | Zurück: Über diese Schaltfläche kehren Sie zum vorherigen Fenster zurück, um dort vorgenommene Einstellungen zu ändern.
- | Weiter: Übergang zum nächsten Schritt für die Erstellung der Website.


Willkommen bei Incomedia WebSite X5

Nach dem Start von WebSite X5 wird die Introseite angezeigt. Hier finden Sie Links zu online verfügbaren Ressourcen und Materialien, die Sie bei der Arbeit mit der Software unterstützen. Diese Links sind in einem Menü organisiert und bieten folgende Optionen:

 Video Tutorial
Startet die Anzeige der Video-Tutorials, die Ihnen zeigen, wie Sie mit dem Programm zu arbeiten beginnen.

Galerie
Hier gelangen Sie zum Online-Archiv anderer, mit WebSite X5 realisierter Seiten, die von ihren Autoren in die Galerie eingestellt wurden.

Neue Designvorlagen herunterladen
Zugang zu WebSite X5 TEMPLATES auf der Homepage von WebSite X5, wo Sie neue Vorlagen herunterladen und zu den vorinstallierten hinzufügen können.

Support
Link zum Servicecenter, das in italienischer, englischer und deutscher Sprache zur Verfügung steht. Hier können Sie die FAQ einstehen und Support-Anfragen versenden.

Einstellungen
Öffnet das Dialogfenster Einstellungen, in dem Sie einige allgemeine Parameter für die Funktionsweise des Programms festlegen können.

Neue Updates suchen
Hier können Sie online prüfen, ob Updates für die installierte Version von WebSite X5 verfügbar sind.

Neben diesem Menü finden Sie auf der Introseite Inhalte, die bei aktiver Internetverbindung mit der Zeit aktualisiert werden, wie zum Beispiel: Informationen über die Version des installierten Programms, News, spezielle Inhalte (weiterführende Artikel, WhitePaper, Tips&Tricks), neue Video-Tutorials oder Aktionsangebote.

Ist keine Internetverbindung verfügbar, wird auf der Introseite eine Standardanzeige geladen. Diese Standardanzeige erscheint auch dann, wenn im Dialogfenster Einstellungen die Option Bei Programmstart nach Updates suchen dekativiert wurde.

Und nachdem Sie die Inhalte der Introseite gelesen haben, können Sie mit Klick auf die Schaltfläche Start sofort in Aktion treten und Ihre eigene Website gestalten.


Fenster Einstellungen

In diesem Dialogfenster, das sich mit Klick auf Einstellungen auf der Startseite von WebSite X5 öffnet, können Sie einige allgemeine Einstellungen für die Programmfunktion vornehmen.

Folgende Optionen stehen zur Verfügung:

-

Projektverzeichnis: Wählen Sie hier das Verzeichnis aus, in der die Projektdatei (Project.IWP) gespeichert werden soll, sowohl bei der Erstellung eines neuen Projekts als auch nach dem Import eines bereits bestehenden (siehe Projektauswahl | Projekt importieren). Wenn Sie während der Arbeit an Ihrer Website auf Speichern klicken, wird das Projekt ohne Abfrage des Zielverzeichnisses hier gespeichert.

-

Bei Programmstart nach Updates suchen: Mit dieser standardmäßig aktivierten Option sucht das Programm bei jedem Start nach eventuell verfügbaren Updates. Hierzu baut es eine Internetverbindung mit dem Server von Incomedia auf.

Es wird empfohlen, diese Option aktiviert zu lassen, damit Sie sicher sein können, dass Sie jederzeit mit der aktuellsten Version von WebSite X5 arbeiten.

-

Bei jeder Vorschau speichern: Bei Aktivierung dieser Option wird das Projekt automatisch jedes Mal gespeichert, wenn Sie auf die Schaltfläche Vorschau klicken, um Ihre Arbeit lokal im Fenster des internen Browsers zu betrachten.

-

Bei jedem Speichern eine Sicherungskopie erstellen: Diese standardmäßig aktivierte Option bewirkt, das vor jedem Speichervorgang eine Sicherungskopie (Datei Backup.IWP) des Projekts erstellt wird.

-

Bei jedem Hochladen eine Sicherungskopie erstellen: Bei Aktivierung dieser Option wird jedes Mal, wenn Sie die Website veröffentlichen (siehe Export der Website ins Internet) eine Sicherungskopie des Projekts gespeichert (Datei Uploaded_TimesTemp.IWP, wobei "TimesTemp" dem Datum und der Uhrzeit des Backups entsprechen).

Je nach gewählter Option, also bei jedem Speichern oder Veröffentlichen, wird automatisch eine Sicherungskopie des Projekts in der Version vor diesem Speichervorgang oder dieser Veröffentlichung erstellt. Diese Kopie trägt den Namen Backup.IWP oder Uploaded_TimesTemp.IWP und wird im Projektverzeichnis abgelegt.
Um eine Sicherungskopie wiederherzustellen, müssen Sie die Projektdatei Project.IWP löschen und die Datei Backup.IWP oder Uploaded_TimesTemp.IWP in Project.IWP umbenennen.

-

Seiten während der Projektänderung aktualisieren: Diese standardmäßig aktivierte Option bewirkt, dass die effektiven Seiten bereits während der Bearbeitung des Projekts erstellt werden.

Nach jeder Änderung (und wenn Sie zum Beispiel auf OK oder Weiter) klicken, aktualisiert das Programm alle Elemente, die von der Änderung betroffen sind. Auf diese Weise ist die lokale Vorschau der Website immer aktuell und kann ohne Wartezeit angezeigt werden.

-

Maximale Anzahl der gleichzeitigen Prozesse: Stellen Sie hier die Anzahl der vom Programm gestarteten Prozesse (oder Threads) ein, die vom Computer gleichzeitig ausgeführt werden sollen.

Die Technik, einen Prozess in mehrere Teilprozesse zu gliedern, die dann gleichzeitig ausgeführt werden, heißt Multithreading und muss vom verwendeten Computer unterstützt werden. Mit anderen Worten, mit einem Multithread werden die Prozessorkapazitäten besser ausgenutzt, da mehrere Threads parallel verarbeitet werden können. Dank dieser Technologie können Sie mit einem Programm wie WebSite X5, das die Aufteilung von Prozessen in mehrere Threads unterstützt, eine erhebliche Leistungssteigerung erzielen.
Um die Vorzüge des Multithreadings effektiv nutzen zu können, muss die Hardwarekonfiguration des verwendeten Computers analysiert werden. Es wird empfohlen, mit 5 Parallelprozessen zu beginnen und den Parameter schrittweise zu erhöhen, um die optimale Anzahl im Verhältnis zu den jeweiligen Anforderungen zu ermitteln.

-

Skipttyp für E-Mail-Versand: Wählen Sie hier, welches Skript für den programminternen E-Mail-Versand mit dem Objekt E-Mail-Formular oder Warenkorb für E-Commerce verwendet werden soll. Voreingestellt ist das Standard-Skript: Funktioniert dieses Skript aufgrund der Konfiguration des verwendeten Servers nicht, wird empfohlen, eine der anderen Optionen, also das Skript für Server mit minderer Qualitätoder das Low-Level-Skript auszuprobieren.

-

Methoden für den Datenversand des E-Mail-Formulars: Hier können Sie die Methode für den Datenversand des Objekts E-Mail-Formular festlegen. Der voreingestellte Standard ist POST. Da einige Server aber möglicherweise hierfür nicht angemessen konfiguriert sind, kann auch die Methode GET gewählt werden.

Wie Sie wissen, ist HTTP (Hypertext Transfer Protocol) das Hauptprotokoll für die Datenübertragung im WEB. Dieses Protokoll arbeitet auf der Grundlage eines Anfrage-Antwort-Mechanismus, bei dem der Client eine Anfrage sendet und der Server die Antwort zurückgibt. Im Allgemeinen ist somit Ihr Browser der Client und die Website der Server.
Die HTTP-Anfragen und -antworten haben natürlich eine bestimmte Syntax. In den Anfragen muss eine Methode angegeben werden und die gebräuchlichsten sind GET und POST.
Bei der Methode GET bildet der Inhalt der angegebenen Ressource den Gegenstand der Anfrage (zum Beispiel eine Website, die angezeigt werden soll).
Die Methode POST hingegen wird generell verwendet, um Informationen an den Server zu senden (zum Beispiel Daten eines Formulars).
Im speziellen Fall der E-Mail-Formulare ist es somit korrekter, die Methode POST zu verwenden. Wird diese jedoch vom Server nicht unterstützt, können Sie mit WebSite X5 alternativ die Methode GET nutzen.


Projektauswahl

Nach dem Start von WebSite X5 gelangen Sie nach der Startseite zum Fenster Projektauswahl, in dem Sie angeben, an welchem Projekt Sie arbeiten möchten.

Sie können ein neues Projekt erstellen oder ein bereits erstelltes Projekt ändern.

-

Ein neues Projekt erstellen: Wenn Sie diese Option wählen, beginnen Sie mit der Gestaltung eines neuen Website-Projekts, für das Sie in das Feld direkt darunter einen Namen eingeben müssen. Das so erstellte, neue Projekt können Sie mit der Schaltfläche Speichern sofort sichern.

Beim Zwischenspeichern müssen Sie kein Zielverzeichnis angeben, da die Projekte vom Programm automatisch verwaltet und im Projektverzeichnis gespeichert werden, das Sie im Fenster Einstellungen ausgewählt haben.

-

Ein bereits bestehendes Projekt bearbeiten: Bei Auswahl dieser Option können Sie ein bereits erstelltes Projekt öffnen, um es zu ändern oder zu aktualisieren.

Alle bereits bestehenden Projekte werden in der Übersicht angezeigt: Für die komfortable Auswahl können Sie zwischen verschiedenen Anzeigemodi wählen: Große Symbole, [image] Titel, [image] Liste oder [image] Details. Und mit dem Modus [image] Projektgruppen nach dem Datum der letzten Änderung werden die Projekte entsprechend gruppiert.

Die Liste der bereits bestehenden Projekte kann mit folgenden Optionen verwaltet werden:
- | Importieren...: Öffnet das Dialogfenster Projekt importieren, in dem Sie ein Projekt importieren können, das mit WebSite X5 an einem anderen Computer erstellt und exportiert wurde (siehe Projekt exportieren).
- | Umbenennen: Hiermit können Sie ein markiertes Projekt umbenennen.
- | Duplizieren: Hiermit können Sie von einem markierten Projekt eine Kopie erstellen.
- | Entfernen: Löscht das markierte Projekt.

Verwandte Themen:
- | Projekt importieren
- | Projekt exportieren


Projektauswahl | Projekt importieren

In diesem Dialogfenster, das sich mit Klick auf die Schaltfläche Importieren... im Bereich Projektauswahl öffnet, können Sie ein Projekt importieren, das zuvor auf einem anderen Computer erstellt und dann mit der Funktion Export des Projekts in ein Verzeichnis exportiert wurde. Mit dieser speziellen Exportfunktion wird eine einzige, komprimierte Datei (Format .IWZIP) generiert, die sowohl die ursprüngliche Projektdatei (Format .IWP) als auch alle damit verknüpften Dateien (z.B. importierte Bilder, Videos oder Animationen) enthält.

Im Einzelnen bietet das Dialogfenster Projekt importieren folgende Optionen:
- | Zu importierende Projektdatei: Hier können Sie die zu importierende Projektdatei (Format .IWZIP) auswählen.
- | Alle mit dem Projekt verlinkten Dateien in dieses Verzeichnis kopieren: Geben Sie hier das Verzeichnis an, in das die mit dem Projekt verknüpften Dateien kopiert werden sollen. Auf diese Weise wissen Sie, welches Verzeichnis Sie öffnen müssen, um auf die mit dem Projekt verknüpften Dateien zuzugreifen.

Anleitung

Gehen Sie folgendermaßen vor, um ein auf Computer A erstelltes Projekt auf Computer B zu übertragen:

-

Am Computer A:
- | Öffnen Sie das Projekt und wählen Sie in Schritt 5 - Export die Option Export des Projekts in ein Verzeichnis.
- | Geben Sie das Zielverzeichnis an und bestätigen Sie.

-

Übertragen Sie die komprimierte Exportdatei (also die Datei MeinProjekt.iwzip, wobei "MeinProjekt" der Name des Ausgangsprojekts ist) vom Computer A auf Computer B.

-

Am Computer B:
- | Starten Sie das Programm und klicken Sie in der Projektauswahl auf Importieren...: Es öffnet sich das Dialogfenster Projekt importieren, in dem Sie die komprimierte, zuvor exportierte und übertragene Projektdatei (also MeinProjekt.iwzip) auswählen können.
- | Geben Sie im Dialogfenster Projekt importieren ferner das Verzeichnis an, in das die mit dem Projekt verknüpften Dateien kopiert werden sollen.
- | Wählen Sie nach dem Import das Projekt aus und klicken Sie auf Weiter, um die entsprechende Website weiter zu bearbeiten oder zu aktualisieren.

Wie bereits erwähnt, ist die Exportdatei .IWZIP ein komprimiertes Archiv, das sowohl die ursprüngliche Projektdatei als auch alle mit dieser verknüpften Dateien enthält. Beim Import wird dieses Archiv automatisch entpackt:

-

Die Projektdatei .IWP wird in dem Projektverzeichnis gespeichert, dass Sie im Fenster Einstellungen festgelegt haben, sowie in der Projektliste im Fenster Projektauswahl angezeigt;

-

Die mit dem Projekt verknüpften Dateien werden nach folgenden Kriterien in Unterverzeichnissen abgelegt:
- | Unterverzeichnis General: Enthält die in den allgemeinen Einstellungen ausgewählten Dateien wie das Icon der Website sowie die Bilder und Animationen, die für ein individuelles Template oder das Banner der Website verwendet wurden.
- | Unterverzeichnisse ObjImage, ObjVideo, ObjFlash usw.: Enthalten die Dateien, die für die Gestaltung der einzelnen Objekte auf den verschiedenen Seiten verwendet wurden.
- | Unterverzeichnis Advanced: Enthält die Dateien, die in den Erweiterten Einstellungen als Zeiger für Links verwendet wurden, die Bilder für die Listenpunkte der Untermenüs, die Icons des Warenkorbs, die Fahnensymbole für die Sprachauswahl und Ähnliches.
- | Unterverzeichnis Links: Enthält die mit über die Seitenlinks verknüpften Dateien.
- | Unterverzeichnis Aspect: Enthält die Dateien, die für die Gestaltung der Zellen im Layout-Schema verwendet wurden.

Verwandte Themen:
- | Projektauswahl
- | Export des Projekts in ein Verzeichnis


Allgemeine Einstellungen

In diesem Startdialog vor Schritt 1 geben Sie einige grundlegende Parameter für das geplante Projekt ein.

Sie müssen Ihrer Website beispielsweise einen Titel geben, eine URL angeben, die gewünschte Sprache festlegen und die Metatags für die Aktivierung von Zusatzdiensten wie zur Erfassung von Zugriffsstatistiken eingeben.
All diese Daten können sofort aber auch zu einem späteren Zeitpunkt definiert werden.

Im Einzelnen stehen Ihnen folgende Bereiche zur Verfügung:
- | Tab Allgemein
- | Tab Erweitert


Allgemeine Einstellungen - Tab Allgemein

Allgemeine Einstellungen | Tab Allgemein

Im Tab Allgemein des Fensters Allgemeine Einstellungen können Sie folgende Parameter festlegen:

-

Titel der Website: Geben Sie in dieses Feld einen Titel für Ihre Website ein. Dieser Titel wird in der Titelleiste des Browsers angezeigt und ist ein wichtiger Parameter, damit Benutzer Ihre Website in Suchmaschinen finden.
Standardmäßig wird als Titel der Webseite der Projektname übernommen (siehe Projektauswahl): Dieser Titel kann jedoch geändert und auf das Thema der Website und die jeweiligen Optimierungsanforderungen abgestimmt werden.

-

Autor der Website: Geben Sie in dieses Feld den Namen der Person oder des Unternehmens ein, die/das als Eigentümer der Website erscheinen soll. Der Name des Autors wird im HTML-Code der realisierten Seiten als Wert des Metatags <author> wiedergegeben: Auf diese Weise setzen Sie Ihre "Unterschrift" unter Ihre Arbeit.

-

URL der Website: Geben Sie in dieses Feld die URL ein, unter der die veröffentlichte Webseite zugänglich ist (zum Beispiel http://www.meineseite.com). Diese Information ist für das korrekte Funktionieren eventueller RSS-Feeds, des Warenkorbs für E-Commerce und der Sitemap erforderlich, die vom Programm automatisch erstellt und verlinkt wird.

-

Beschreibung der Website: Geben Sie in dieses Feld eine Kurzbeschreibung Ihrer Website ein. Diese Beschreibung sollte prägnant und aussagekräftig für die Website sein, da sie vom HTML-Code als Metatag <description> verwendet und von den Spidern der Suchmaschinen analysiert wird.

-

Keywords: Geben Sie hier durch Kommas getrennte Keywords ein, die für die Inhalte Ihrer Website charakteristisch sind, da sie vom HTML-Code als Metatag <keywords> verwendet und von den Spidern der Suchmaschinen analysiert werden.

Die Beschreibung und die Liste der Keywords, die in diese Felder eingegeben wurden, werden automatisch der Homepage der Website zugeordnet.
Für die Optimierung der Website empfiehlt es sich jedoch, allen oder zumindest den wichtigsten Seiten eine Beschreibung und spezifische Keywords zuzuweisen. Öffnen Sie hierzu den Bereich Erstellen der Sitemap, wählen Sie die Seite, die Sie bearbeiten wollen, und klicken Sie auf die Schaltfläche Eigenschaften der Seite/Ebene.

-

Sprache der Website: In diesem Feld können Sie die Sprache Ihrer Website festlegen. Diese Sprachversion wird dann für die automatisch vom Programm eingefügten Texte wie die Links zu internen Ankern, die Etiketten des Objekts E-Mail-Formular, die Etiketten der Texte im Warenkorb für E-Commerce und die Texte der Sitemap verwendet.

Um automatisch eingefügte Texte zu ändern oder neue Sprachen hinzuzufügen, klicken Sie auf die Schaltfläche [image], die das Dialogfenster Sprachenzentrum öffnet (siehe Sprachverwaltung für automatisch eingefügten Text).

-

Icon für die Website: In diesem Feld können Sie ein Icon (Datei .ico oder .bmp) für ihre Website auswählen. Dieses Icon wird links neben der URL in der Adressleiste des Browsers angezeigt.

Für das Icon einer Website (oder Favicon, aus dem Englischen favorites icon) kann ein Bild im Format .ICO, .PNG, .GIF oder .JPG verwendet werden.
Während Dateien im Format .ICO in ihrer ursprünglichen Größe genutzt werden, erstellt WebSite X5 von Bildern beliebiger Größe im Format .PNG, .GIF und .JPG automatisch eine Kopie von 16x16 Pixeln im Format .PNG und verwendet diese als Favicon.

Verwandte Themen:

-

Sprachverwaltung für automatisch eingefügten Text


Allgemeine Einstellungen - Tab Erweitert

Allgemeine Einstellungen | Tab Erweitert

Im Tab Erweitert des Fensters Allgemeine Einstellungen können Sie folgende Parameter festlegen:

-

Individueller Code für den Bereich HEAD: Geben Sie in dieses Feld den HTML-Code ein, der im Bereich <head> aller Seiten eingefügt werden soll. Diese Option ist besonders nützlich, wenn externe oder interne Bibliotheken oder Stylesheets (CSS) verwendet werden sollen.

-

Metatag für Google Webmaster-Zentrale: In dieses Feld können Sie den Metatag eingeben, der erforderlich ist, um die Dienste der Google Webmaster-Zentrale nutzen zu können.

Für weitere Informationen über die Google Webmaster-Zentrale und um dort ein Konto anzumelden, klicken Sie bitte auf den Button [image], der Sie zur offiziellen Website des Dienstes weiterleitet: http://www.google.com/webmasters/.

-

Code für Website-Statistiken: In dieses Feld können Sie den Code für die Aktivierung der Seitenstatistiken wie beispielsweise Google Analytics einfügen, um nützliche Informationen über die Anzahl und Qualität der Besucher zu erhalten.

Für weitere Informationen über Google Analytics und um dort ein Konto anzumelden, klicken Sie bitte auf den Button [image], der Sie zur offiziellen Website des Dienstes weiterleitet: http://www.google.de/analytics/.

-

Sitemap automatisch erstellen: Mit dieser standardmäßig aktivierten Funktion wird die Sitemap der Website automatisch erstellt.

Damit die Sitemap korrekt aufgebaut wird und funktioniert, muss im Feld URL der Website im Tab Allgemein des Fensters Allgemeine Einstellungen eine gültige URL eingegeben werden.

-

HTML-Code schützen: Wenn Sie diese Option aktivieren, werden die Seiten der veröffentlichten Webseite geschützt. Dazu wird das normalerweise mit Rechtsklick abrufbare Kontextmenü gesperrt, über das sich der Quellcode anzeigen oder die vorhandenen Bilder kopieren lassen.

Verwandte Themen:
- | Nutzung von Google Webmaster-Tools
- | Aktivierung von Statistikdiensten wie Google Analytics
- | Erstellen und Verlinken der Sitemap


Auswahl des Templates

Ein wichtiger Faktor, der zum Erfolg einer Webseite beiträgt, ist zweifellos das grafische Layout. Denn die Ästhetik einer Website wirkt auf den Betrachter, noch bevor er zu den Inhalten gelangt, und beeinflusst erheblich sein Urteil. Es liegt daher auf der Hand, dass ein durchdachtes, professionelles Design ein Indiz für eine hochwertige Website ist, deren Inhalte es zu entdecken lohnt.

Mit WebSite X5 können Sie zur Gestaltung Ihrer Website eine grafische Vorlage aus einer Galerie von über 1.500 Templates wählen oder ein individuelles Template von Grund auf selbst entwerfen.

Alle vordefinierten Templates sind bis ins letzte Detail durchdacht, garantieren optimale Ergebnisse und sind in jeweils 4 verschiedenen Stilvarianten verfügbar, wodurch sie auch spezifischen Anforderungen gerecht werden. Und mit dem internen Editor können sie darüber hinaus weiter beliebig angepasst werden.

Als Erstes muss zur Bestimmung des grafischen Stils der Website eine der folgenden Optionen ausgewählt werden:
- | Individuelles Template: Mit dieser Option können Sie eine Stilvorlage von Grund auf selbst gestalten.
- | Verfügbare Templates: Hier können Sie ein vordefiniertes Template anwenden.

Wenn Sie ein vordefiniertes Template verwenden möchten, können Sie es aus der Liste Verfügbare Templates auswählen. Aufgrund der großen Anzahl sind die verfügbaren Templates in thematische Kategorien gegliedert, um die Auswahl zu erleichtern. Nach Auswahl einer Kategorie aus dem Menü werden die enthaltenen Templates als Miniaturvorschau angezeigt. Nach Auswahl der Miniaturansicht wird eine Vorschau in größerem Format angezeigt.

Nachdem Sie ein Template ausgewählt haben, können Sie folgende Optionen festlegen:

-

Menütyp: Definieren Sie hier die Struktur der Website, also wie das Navigationsmenü angeordnet werden soll. Wählen Sie hierzu zwischen Horizontales Menü und Vertikales Menü.

In den Vorgängerversionen von WebSite X5 erfolgte die Wahl zwischen dem horizontalen und dem vertikalen Menü im Dialogfenster Auswahl des Menütyps, das in der aktuellen Version 9 nicht mehr vorhanden ist.

-

Varianten: Jedes Template steht Ihnen in vier verschiedenen Varianten zur Verfügung, die als Vorschaubilder angezeigt werden. Wenn Sie die Miniaturansicht einer Variante anklicken, wird die Auswahl als Vorschau größer dargestellt.

In der Vorgängerversion 8 von WebSite X5 standen für jedes Template vier Farbvarianten zur Verfügung: Die neuen Varianten unterscheiden sich von diesen, weil sie nicht nur andere Farbkombinationen haben, sondern auch in den grafischen Elementen voneinander abweichen.

-

Farbanpassung: Neben der Auswahl der vier Stilvarianten können Sie mit diesem Schieberegler für das Template eine neue, individuelle Farbnuance festlegen. Dank dieser Option ist die Vielfalt der grafischen Gestaltungsmöglichkeiten praktisch unbegrenzt.

Die Modelle sind für die Darstellung mit einer Auflösung von 1024 x 768 Pixeln optimiert. Wenn Sie Ihre Website für eine andere Auflösung optimieren möchten, verwenden Sie bitte die Option Individuelles Template.

Verwandte Themen:
- | Aufbau des Ordners Templates mit den vordefinierten Stilvorlagen
- | Wo finde ich weitere Templates für WebSite X5?


Aufbau des Ordners Templates mit den vordefinierten Stilvorlagen

Soll ein vorinstalliertes Template geändert oder ein individuelles der Liste hinzugefügt werden, ist es nützlich zu wissen, wie und wo diese Templates bei der Installation von WebSite X5 abgelegt werden.

Die Dateien der verschiedenen Vorlagen werden in dem Unterverzeichnis /Templates des Installationsordners abgelegt.

Beispielsweise finden Sie die Dateien des Templates "City" der Kategorie "2.Travel" unter folgendem Pfad:
- | /Templates/2.Travel/City/Hor - Templates mit horizontalem Navigationsmenü
- | /Templates/2.Travel/City/Ver - Templates mit vertikalem Navigationsmenü
In den Unterverzeichnissen /Hor und /Ver befinden sich weitere, von 1 bis 4 nummerierte Unterordner. Jeder dieser Unterordner entspricht einer Stilvariante des Templates. Wenn Sie im Fenster Auswahl des Templates den Mauszeiger auf die Schaltflächen zur Auswahl der Stilvariante führen, erscheint ein ToolTip mit der Nummer des entsprechenden Unterordners.

Im Unterverzeichnis des Templates (/Templates/2.Travel/City) befindet sich außerdem die Datei settings.xml. Diese Textdatei enthält einige Basisparameter wie: ContentHorWidth und ContentVerWidth (Breite der Inhalte für das Template jeweils mit horizontalem oder vertikalem Menü), MenuHorWidth (Breite des horizontalen Menüs), MenuHorHeight (Höhe des horizontalen Menüs). Die Werte dieser Parameter sind in Pixeln ausgedrückt.

In den Unterordnern #1, #2, #3 und #4 befinden sich außerdem die in dem jeweiligen Template verwendeten Bilddateien (Format .JPG).

Neben den 4 genannten Unterordnern befinden sich in den Verzeichnissen /Hor und /Ver ferner folgende Dateien, die für alle Stilvarianten verwendet werden:
- | index.html: enthält den Code der Basisstruktur des Templates.
- | template.css: Stylesheet mit den Anweisungen zur Definition einiger Basiseinstellungen für die Präsentation der Inhalte.

Verwandte Themen:

-

Auswahl des Templates


Wo finde ich weitere Templates für WebSite X5?

Wenn Sie für die Neu- oder Umgestaltung Ihrer Website nach einem neuen Template suchen, finden Sie diese unter WebSite X5 Templates. Diese Sektion der offiziellen Internetpräsenz von WebSite X5 finden Sie unter der Adresse www.websitex5.com/templates.

Auf WebSiteX5 Templates finden Sie zahlreiche, teils kostenlose teils kostenpflichtige Vorlagen von Incomedia und anderen Benutzern, die Sie herunterladen und für Ihr Projekt verwenden können.

Außerdem können Sie Ihre eigenen Kreationen einstellen und so zur Bereicherung des Archivs beitragen. Wenn Sie sich für Webdesign interessieren, können Sie Partner-Designer werden, Ihre Templates bei uns anbieten und damit Geld verdienen. Weitere Informationen über das Partnerprogramm finden Sie unter www.websitex5.com/templates/affiliates

. Und nicht vergessen: Schauen Sie regelmäßig auf WebSite X5 Templates vorbei, um zu erfahren, was es Neues gibt. Sie können auch den RSS-Feed abonnieren, um über alle Neuzugänge informiert zu werden.

Verwandte Themen:

-

Auswahl des Templates


Individuelles Template

In WebSite X5 können Sie Templates auch von Grund auf selbst gestalten: Wählen Sie hierzu die Option Individuelles Template im Fenster Auswahl des Templates und klicken Sie auf Weiter.

Zur Erleichterung der Arbeit finden Sie im Fenster Individuelles Template eine Vorschau mit einer schematischen Darstellung der Seite. Sie können die Sektion, die Sie bearbeiten wollen, aus der Liste auswählen oder direkt auf die jeweiligen Bereiche der Seitenstruktur klicken, um sie auszuwählen und mit den verfügbaren Befehlen zu bearbeiten. Das Ergebnis wird jeweils sofort in der Vorschau angezeigt.

Wenn Sie ein eigenes Template erstellen wollen, müssen Sie zunächst den Menütyp definieren, also festlegen, wo und wie das Navigationsmenü auf den Seiten der Website positioniert werden soll.
Folgende Alternativen stehen zr Verfügung: Horizontal - Menü über dem Header, [image] Horizontal - Menü unter dem Header oder [image] Vertikal - linksbündiges Menü.

 In den Vorgängerversionen von WebSite X5 erfolgte die Wahl zwischen dem horizontalen und dem vertikalen Menü im Dialogfenster Auswahl des Menütyps, das in der aktuellen Version 9 nicht mehr vorhanden ist.

Nach der Auswahl des Menütyps wählen Sie den Seitenbereich, den Sie bearbeiten möchten.

Diese Bereiche sind folgendermaßen gegliedert:

 Seitenhintergrund: Dieser externe Bereich ist sichtbar, wenn das Fenster vom Browser größere Abmessungen hat als die Auflösung der Website selbst erlaubt.

Header: Der Header oder das obere Banner ist ein vorwiegend grafisch gestalteter Bereich, ideal für Elemente wie Überschriften, Untertitel, ein Firmenlogo, Suchfelder, Service-Menüs mit Links, beispielsweise zur Sitemap oder die Sprachauswahl.

Menü: Dies ist der feste Navigationsbereich mit den Menüpunkten der ersten Ebene, die auf jeder Seite unverändert angezeigt werden müssen. Die Position dieses Bereichs variiert natürlich je nach der gewählten Seitenstruktur.

Seiteninhalt: Dieser Bereich enthält den eigentlichen Inhalt der Seiten und eventuell ein Untermenü für die Navigation.

Fußzeile: Der Footer ist ein weiterer, vorwiegend grafisch gestalteter Bereich, der visuell dieSeite abschließt. Im Allgemeinen enthält dieser Bereich Elemente wie Hinweise, Disclaimer, Informationen zum Urheberrecht, Steuernummer, E-Mail-Adressen usw.

Hintergrund der Fußzeile: Dies ist der Bereich des Seitenhintergrunds, der auf der Höhe der Fußzeile beginnt. Bei Einstellung als Transparent wird der Hintergrund der Fußzeile als Teil des Seitenhintergrunds behandelt und hat das gleiche Aussehen. In besonderen Fällen (zum Beispiel wenn die Fußzeile ein Streifen sein soll, der über die gesamte Breite des Browserfensters verläuft), kann es sich als nützlich erweisen, den Hintergrund der Fußzeile vom Seitenhintergrund verschieden zu gestalten.

Für alle genannten Bereiche stehen folgende Optionen zur Verfügung:
- | Farbe: Mit Klick auf die Schaltfläche Farbe öffnet sich die Farbpalette, in der die Farbe für den Hintergrund der Seite ausgewählt werden kann.
- | Bilddatei: Hier können Sie ein Bild auswählen (Format .JPG, .GIF oder .PNG), das als Hintergrund für die ausgewählte Seite verwendet werden soll. In den Header oder die Fußzeile kann auch eine Flash-Animation (.SWF) eingefügt werden.
- | Anordnung: Hier können Sie festlegen, ob das ausgewählte Hintergrundbild wiederholt werden soll. Das Bild kann nur horizontal, nur vertikal oder in beide Richtungen wiederholt werden, bis es den zur Verfügung stehenden Platz ausfüllt. Nur in der Fußzeile kann ferner ein eingefügtes Bild so angepasst werden, dass es den gesamten Hintergrund ausfüllt. In diesem Fall können jedoch möglicherweise die ursprünglichen Proportionen nicht eingehalten werden.
- | Ausrichtung: Legen Sie hier fest, wie das Bild zur Seite ausgerichtet werden soll.

Nur für den Seitenhintergrund steht folgende Option zur Verfügung:

-

Im Hintergrund fixiert: Bei Aktivierung dieser Option wird das Hintergrundbild fixiert, auch wenn der Seiteninhalt mit der Bildlaufleiste verschoben wird.

Nur für den Header und das Menü stehen folgende Option zur Verfügung:

-

Breite: Breite des ausgewählten Seitenbereichs in Pixeln. Beim vertikalen Menütyp ist die Breite für den Header standardmäßig auf 960 Pixel und für das Menü auf 120 Pixel eingestellt, was jedoch jederzeit geändert werden kann. Beim horizontalen Menütyp hingegen wird die Breite des Headers atomatisch auch für das Menü, den Inhalt der Seite und die Fußzeile übernommen.

Die voreingestellte Breite wird automatisch berechnet und ist für eine Anzeige mit 1024 x 768 Pixeln optimiert.

Für die Bereiche Header, Menü (nur horizontaler Menütyp) und Fußzeile steht folgende Option zur Verfügung:

-

Höhe: Höhe des ausgewählten Seitenbereichs in Pixeln.

Für die Bereiche Seitenhintergrund, Menü und Seiteninhalt sind schließlich folgende Optionen verfügbar:

-

Oberer Rand / Unterer Rand: Hier können Sie jeweils die Werte für den oberen und unteren Rand in Pixeln festlegen. Dieser Rand ist der Freiraum zwischen dem Rand eines Bereichs und seinem Inhalt.

Für die Bereiche Menü und Seiteninhalt sind außerdem verfügbar:

-

Linker Rand / rechter Rand: Hier können Sie jeweils die Werte für den linken und rechten Rand in Pixeln festlegen.

Die effektive Breite der Seiten entspricht der Breite des Bereichs Seiteninhalt (abhängig vom Header) abzüglich linkem und rechtem Rand.

Der Header kann mit Texten, Bildern, Flash-Animationen, Slideshows, Suchfeldern und Links vervollständigt werden. Die entsprechenden Optionen finden Sie im Fenster Gestaltung des Templates, das sich öffnet, wenn Sie auf Weiter klicken.

Verwandte Themen:
- | Auswahl des Templates
- | Gestaltung des Templates


Gestaltung des Templates

Nach Auswahl einer vordefinierten Stilvorlage im Fenster Auswahl des Templates bzw. der Gestaltung einer individuellen Vorlage im Fenster Individuelles Template öffnet sich die Ansicht Gestaltung des Templates. In den Bereichen Header und Fußzeile können Sie jeweils die den Header und/oder die Fußzeile des Templates gestalten und Text, Bilder, Flash-Animationen, Slideshows, HTML-Code, ein Suchfeld oder Links einfügen.

 Die verfügbaren Schaltflächen für die Gestaltung des Headers und der Fußzeile sind identisch.

In den Bereichen Header oder Fußzeile ist als Hintergrund eine Flash-Animation eingefügt, die unter Gestaltung des Templates nicht verändert werden kann.

Das Fenster enthält einen Grafik-Editor, in dem unter der Werkzeugleiste automatisch das Hintergrundbild des Headers oder der Fußzeile des ausgewählten Templates (vordefiniert oder individuell) angezeigt wird: Das Bild wird im Maßstab 1:1 angezeigt und die Ansicht kann, sofern erforderlich, mit der horizontalen Bildlaufleiste verschoben werden. In diesem Bild werden alle mit den verfügbaren Funktionen vorgenommenen Änderungen in Echtzeit angezeigt.

Gleich unter dem Bild befindet sich eine Statusleiste mit folgenden Daten:
- | Position: X- und Y-Koordinaten der Position der oberen rechten Ecke des ausgewählten Objekts.
- | Größe: Breite und Höhe des ausgewählten Objekts in Pixeln.

Nachdem über die entsprechende Schaltfläche in der Werkzeugleiste ein Objekt eingefügt wurde, kann es markiert und mit den Optionen in dem nach dem Objekt benannten Bereich bearbeitet werden.

Der Bereich kann also folgende Bezeichnungen haben: Header/ Fußzeile, Text, Bild, Flash-Animation, SlideShow, HTML-Code oder Suchfeld.

Zusätzlich ist bei den Objekten Text, Bild und SlideShow der Bereich Effekte verfügbar.

Verwandte Themen:
- | Auswahl des Templates
- | Individuelles Template


Gestaltung des Templates | Werkzeugleiste

Die Werkzeugleiste im Fenster Gestaltung des Templates enthält folgende Schaltflächen:

 Ausschneiden [Strg+X] - Kopieren [Strg+C] - Einfügen [Strg+V]
Zum Ausschneiden, Kopieren oder Einfügen des ausgewählten Objekts.

Rückgängig [Strg+Z]
Zum Annullieren der zuletzt durchgeführten Operation.

In den Vordergrund / In den Hintergrund
Mit diesen Funktionen kann das ausgewählte Objekt jeweils in den Vordergrund oder Hintergrund, also über oder unter andere Objekte verschoben werden.

Link zuweisen
Mit dieser Funktion können Sie markierten Text, ein Bild oder ausgewählte Bilder einer Slideshow verlinken. Die Einstellungen für den Hyperlink können Sie im Dialogfenster Link vornehmen.

Position und Größe
In dem sich öffnenden Dialogfenster können Sie die Koordinaten für die Position und die Größe des markierten Objekts festlegen. Die standardmäßig aktivierte Option Größenverhältnis beibehalten bewirkt, dass beim Vergrößern oder Verkleinern die Proportionen des Objekts beibehalten werden.

Text einfügen - Bild einfügen - Flash-Animation einfügen - Slideshow einfügen - HTML-Code einfügen - Suchfeld einfügen
Mit diesen Optionen können Sie die jeweils genannte Funktion ausführen.
Eine Slideshow ist eine Sequenz aus Bildern, die automatisch wiedergegeben wird. Dies eignet sich beispielsweise für die Gestaltung von Werbebannern.
In Form von HTML-Code kann jede Art von Inhalt eingefügt werden. Auf diese Weise haben Sie Möglichkeiten, die über die der Schaltflächen weit hinaus gehen.
Die Suchfunktion nutzt eine interne Suchmaschine, über die der Benutzer in allen Inhalten der Website recherchieren kann.

Flash-Animationen und HTML-Code-Objekte sind nur sichtbar, wenn die Website im Browser geöffnet wird.

Verwandte Themen:

-

Gestaltung des Templates


Gestaltung der Templates | Tabs Header / Fußzeile

Wenn Sie im Fenster Gestaltung des Templates im Tab Header und Fußzeile das Hintergrundbild markieren, stehen Ihnen in den jeweiligen Bereichen Header / Fußzeile darunter folgende Optionen zur Verfügung:
- | Bilddatei: Hier wird der Pfad zur verwendeten Bilddatei angezeigt. Das Bild kann durch ein anderes ersetzt werden. Sie können Dateien in den Formaten JPG, GIF, PNG, BMP, PSD, TIF, DIB, PCX, RLE, TGA und WMF verwenden.
- | Bilddatei im Format JPG speichern: Text- und Bildobjekte, die während der Erstellung der Website als Header/Fußzeile eingefügt werden, vereinen sich mit dem verwendeten Hintergrundbild und das Ergebnis wird automatisch als neue Datei im Format PNG gespeichert. Im Format PNG bleiben eventuell eingestellte Transparenzen erhalten. Bestehen keine besonderen Anforderungen im Hinblick auf Transparenzen, können Sie die Option Bilddatei im Format JPG speichern aktivieren, um die Dateigröße des Hintergrundbildes zu reduzieren.

 Es erweist sich als nützlich, den Pfad zu der als Header / Fußzeile verwendeten Bilddatei zu kennen, um die Datei schneller zu finden, zu öffnen, mit einem externen Editor zu bearbeiten, eine Kopie zu speichern oder das Original zu ersetzen.

Verwandte Themen:

-

Gestaltung des Templates


Gestaltung des Templates | Bereich Text

Wenn Sie im Fenster Gestaltung des Templates ein Text-Objekt markieren, das in den Header oder die Fußzeile eingefügt wurde, stehen im Bereich Text folgende Optionen zur Verfügung:
- | Inhalt: Geben Sie hier den gewünschten Text ein.
- | Schriftart: Mit Klick auf die Schaltfläche neben dem Feld öffnet sich ein Dialogfenster, in dem Sie die Schriftart, den Schriftschnitt und die Schriftgröße in Punkten festlegen können.
- | Textfarbe / Hintergrundfarbe: Mit Klick auf die Schaltfläche Farbe öffnet sich die Farbpalette, in der die Text- und die Hintergrundfarbe für den eingegebenen Text festgelegt werden können.

Verwandte Themen:

-

Gestaltung des Templates


Gestaltung des Templates | Bereich Bild

Wenn Sie im Fenster Gestaltung des Templates ein Bild-Objekt markieren, das in den Header oder die Fußzeile eingefügt wurde, stehen im Bereich Bild folgende Optionen zur Verfügung:
- | Bilddatei: Pfad zur Bilddatei, die eingefügt werden soll. Sie können Dateien in den Formaten JPG, GIF, PNG, BMP, PSD, TIF, DIB, PCX, RLE, TGA und WMF verwenden.
- | Bild bei Mauskontakt: Hier können Sie eine zweite, von der ersten verschiedene, Bilddatei auswählen, die bei Kontakt des Mauszeigers eingeblendet wird. Diese Option eignet sich besonders für die Erstellung von Buttons mit Aktiv- und Inaktiv-Status.
- | Transparenz aktivieren: Mit dieser Option kann eine bestimmte Farbe im Bild transparent, also unsichtbar gemacht werden.
- | Transparente Farbe: Mit Klick auf die Schaltfläche öffnet sich das Dialogfenster Farbe, in dem Sie die Farbe festlegen können, die im Bild unsichtbar sein soll, wenn die Option Transparenz aktivieren gewählt wurde. In diesem Fall ist die Pipettenfunktion besonders nützlich, da die gewünschte Farbe damit direkt aus dem Bild übernommen werden kann.
- | Toleranz: Hier können Sie für die Transparenz einen Toleranzfaktor festlegen. Je höher der Toleranzwert eingestellt wird, desto größer ist der durchsichtige Bereich des Bildes.

Verwandte Themen:

-

Gestaltung des Templates


Gestaltung des Templates | Bereich Flash-Animation

Wenn Sie im Fenster Gestaltung des Templates eine Flash-Animation markieren, die in den Header oder die Fußzeile eingefügt wurde, stehen im Bereich Flash-Animation folgende Optionen zur Verfügung:
- | Animationsdatei: Hier können Sie eine Flash-Animation (SWF-Datei) auswählen und einfügen.
- | Transparenter Hintergrund: Mit dieser Option wird der Hintergrund der Animation unsichtbar

Verwandte Themen:

-

Gestaltung des Templates


Gestaltung des Templates | Bereich Slideshow

Wenn Sie im Fenster Gestaltung des Templates ein Slideshow-Objekt markieren, das in den Header oder die Fußzeile eingefügt wurde, stehen im Bereich Slideshow folgende Optionen zur Verfügung:
- | Liste der anzuzeigenden Bilder: Liste der Bilder, aus denen sich die Slideshow zusammensetzt. Von jedem Bild werden der Pfad zur entsprechenden Bilddatei und, sofern vorhanden, der angewendete Effekt und der zugewiesene Link angezeigt. Wenn Sie eine Datei aus der Liste auswählen, wird eine Vorschau angezeigt. Für die Mehrfachauswahl halten Sie auf der Tastatur gleichzeitig zum Klick die Taste Strg oder Umschalt gedrückt.
- | Hinzufügen... / Entfernen: Mit diesen Schaltflächen können Sie jeweils neue Bilder hinzufügen oder in der Liste für die Slideshow ausgewählte Bilder löschen. Im Dialogfenster Datei auswählen können auch mehrere Bilder gleichzeitig ausgewählt werden.
- | Nach oben / Nach unten: Mit diesen Schaltflächen können Sie ein in der Liste der anzuzeigenden Bilder ausgewähltes Bild vor oder hinter ein benachbartes verschieben.
- | Effekt...: Mit dieser Schaltfläche öffnen Sie das Dialogfenster Eigenschaften der Effekte, in dem Sie Einblend-, Bewegungs- und Zoom-Effekte sowie die Links für die Fotos in der Liste der anzuzeigenden Bilder definieren können.
- | Automatische Wiedergabe: Bei Aktivierung dieser Option wird die Slideshow automatisch wiedergegeben.
- | Zufallsanzeige: Bei Aktivierung dieser Option werden die Bilder der Slideshow nicht wie in der Liste der anzuzeigenden Bilder, sondern in zufälliger Rihenfolge wiedergegeben.

Verwandte Themen:
- | Gestaltung des Templates
- | Dialogfenster Eigenschaften der Effekte


Gestaltung des Templates | Bereich HTML-Code

Wenn Sie im Fenster Gestaltung des Templates ein HTML-Objekt markieren, das in den Header oder die Fußzeile eingefügt wurde, stehen im Bereich HTML-Code folgende Optionen zur Verfügung:
- | HTML-Code: Geben Sie in dieses Feld den HTML-Code des zu erstellenden Objekts ein.
- | Bildlaufleisten anzeigen: Bei Aktivierung dieser Option werden die Bildlaufleisten angezeigt.

Nach Klick auf die Schaltfläche [image] Snippet einfügen können Sie aus dem Kontextmenü folgende Bausteine einfügen:

-

Veröffentlichungsdatum [DATE]: Es wird automatisch das Veröffentlichungsdatum der Seite angezeigt. Sie können zum Beispiel schreiben: "Letzte Aktualisierung: [DATE]"

-

Aktuelle Uhrzeit [HOUR]: Automatische Anzeige der aktuellen Uhrzeit. Sie können zum Beispiel schreiben: "Es ist [HOUR] UHR".

-

Aktuelles Datum [NOW]: Automatische Anzeige des aktuellen Datums. Sie können zum Beispiel schreiben: "Heute ist der [NOW]".

-

Logout aus reserviertem Bereich [LOGOUT]: Bei Auswahl dieser Option wird automatisch der Schriftzug Logout mit der entsprechenden Verknüpfung eingefügt, über die der Benutzer den Geschützten Bereich (bestehend aus den Geschützten Seiten mit Zugang über die jeweilige Benutzerkennung) verlassen und zur Homepage zurückkehren kann. Dieser Logout-Link wird nur angezeigt, wenn sich der Benutzer zuvor eingeloggt hat.

Der Schriftzug "Logout" kann im Dialogfenster Sprachenzentrum geändert werden.

Verwandte Themen:

-

Gestaltung des Templates


Gestaltung der Templates | Bereich Suchfeld

Wenn Sie im Fenster Gestaltung des Templates ein Suchfeld markieren, das in den Header oder die Fußzeile eingefügt wurde, stehen im Bereich Suchfeld folgende Optionen zur Verfügung:
- | Button-Beschriftung: Geben Sie hier die gewünschte Beschriftung für den Such-Button ein.
- | Schriftart: Mit Klick auf die Schaltfläche neben dem Feld öffnet sich ein Dialogfenster, in dem Sie die Schriftart, den Schriftschnitt und die Schriftgröße in Punkten festlegen können.
- | Feldfarben: Mit Klick auf die Schaltfläche Farbe öffnet sich die Farbpalette, in der die Text- und die Hintergrundfarbe für das Suchfeld festgelegt werden können.
- | Buttonfarben: Mit Klick auf die Schaltfläche Farbe öffnet sich die Farbpalette, in der die Text- und die Hintergrundfarbe für den Button festgelegt werden können.

 Die Ergebnisse der über die Website durchgeführten Suche erscheinen auf Seiten, die automatisch vom Programm erstellt werden. Die grafische Gestaltung dieser Seiten richtet sich nach den Einstellungen für den Textstil (siehe Stile und Modelle in Schritt 4 - Erweiterte Einstellungen).

Verwandte Themen:
- | Gestaltung des Templates
- | Funktionsprinzip der internen Suchmaschine von WebSite X5


Gestaltung des Templates | Bereich Effekte

Wenn Sie im Fenster Gestaltung des Templates ein Objekt vom Typ Text, Bild oder SlideShow auswählen, stehen Ihnen im Bereich Effekte folgende Optionen zur Verfügung:

-

Effekttyp: Hier können Sie einen oder mehrere Effekte auswählen und aktivieren, die auf das markierte Objekt angewendet werden sollen.

Auf jedes Text-, Bild- oder Slideshow-Objekt können auch mehrere Effekte gleichzeitig angewendet werden und jeder der Effekte ist individuell konfigurierbar:

Effekt | Einstellungen
Schatten | - | Diffusion: Hiermit können Sie die Breite des Schattens festlegen.
 | - | Farbe: Im Dialogfenster Farbe können Sie aus der Farbpalette die Farbe des Schattens auswählen.
 | - | Abstand X / Abstand Y: Hier legen Sie fest, wie weit der Schatten horizontal bzw. vertikal zum Objekt verschoben dargestellt werden soll. Bei Eingabe eines positiven Wertes, wird der Schatten nach rechts bzw. unten verschoben, bei Eingabe eines negativen Wertes entsprechend nach links bzw. oben.
Spiegelung | - | Diffusion: Definieren Sie hier die Breite der anzuwendenden Spiegelung.
 | - | Abstand: Hier können Sie festlegen, wie weit die Spiegelung vom Objekt entfernt sein soll.
Farbiger Rand | - | Breite: Breite des anzuwendenden Rahmens
 | - | Farbe: Im Dialogfenster Farbe können Sie aus der Farbpalette die Farbe des anzuwendenden Rahmens auswählen.
Äußerer Glanz | - | Diffusion: Breite des Glanzeffekts.
 | - | Farbe: Im Dialogfenster Farbe können Sie aus der Farbpalette die Farbe des Glanzeffekts auswählen.
Plastischer Rand | - | Tiefe: Legen Sie hier fest, wie tief der plastische Effekt sein soll.
 | - | Diffusion: Breite des plastischen Randes
 | - | Winkel: Definieren Sie hier den Winkel des plastischen Randes.
Drehung | - | Winkel: Hier können Sie festlegen, um welchen Winkel (im Uhrzeigersinn) das Objekt gedreht werden soll.
Deckkraft | - | Deckkraft: Mit einem Wert von 0 bis 255 können Sie die Deckkraft des Bildes verändern. Je näher der Wert an 0 liegt, desto geringer ist die Deckkraft und desto transparenter wird das Bild.
Weichzeichnung | - | Diffusion: Intensität der Weichzeichnung.
Welle | - | Diffusion: Definieren Sie hier die Breite des Welleneffekts.
 | - | Häufigkeit: Legen Sie hier fest, wie häufig der Welleneffekt wiederkehren soll.
Perspektive | - | Horizontal: Einstellung des horizontalen Fluchtwinkels für den Effekt der Perspektive nach rechts (positive Werte) bzw. nach links (negative Werte).
 | - | Vertikal: Einstellung des vertikalen Fluchtwinkels für den Effekt der Perspektive nach unten (positive Werte) bzw. nach oben (negative Werte).
Verzerrung | - | Horizontal: Einstellung des Punktes, zu dem die Verzerrung auf horizontaler Ebene nach rechts (positive Werte) bzw. nach links (negative Werte) erfolgen soll.
 | - | Vertikal: Einstellung des Punktes, zu dem die Verzerrung auf vertikaler Ebene nach unten (positive Werte) bzw. nach oben (negative Werte) erfolgen soll.

Verwandte Themen:

-

Gestaltung des Templates


Erstellen der Sitemap

Eine Website ist ein strukturierter Komplex verschiedener Seiten. Diese Struktur korrekt zu definieren ist sehr wichtig, da sie bestimmt, wie die Seiten untereinander verknüpft sind, und sie somit die Navigationswege definiert, über die der Besucher zu bestimmten Informationen gelangt.
Eine gute Strukturierung gewährleistet, dass sich der Besucher während der Navigation immer orientieren kann, dass er weiß wo er sich befindet und in wenigen Schritten zur gewünschten Information gelangt. Eine mangelhafte Struktur hingegen verursacht Desorientierung, Frustration und führt im schlimmsten Fall dazu, dass der Besucher die Website verlässt.

Im Fenster Erstellen der Sitemap können Sie die Struktur der Website festlegen, alle gewünschten Seiten anlegen und diese auf Ebenen und Unterebenen organisieren. Nachdem Sie die Sitemap als reine Struktur ohne Inhalte konstruiert haben, können Sie damit beginnen, jede einzelne Seite zu gestalten.

Das Fenster gliedert sich in folgende Bereiche, in denen Sie arbeiten können:
- | Schematische Übersicht der Sitemap;
- | Werkzeugleiste über der Übersicht;
- | Schaltflächen für die Gestaltung der Sitemap.


Das Schema der Sitemap

Das Fenster Erstellen der Sitemap wird fast vollständig von der Übersicht ausgefüllt, in der Sie die Sitemap erstellen.

Als vordefinierte Basis finden Sie eine Struktur bestehend aus einer Homepage und einem Verzeichnis Menü , das 3 Seiten enthält. Mit den entsprechenden Schaltflächen erstellte Ebenen und Seiten werden in das Menü der Sitemap integriert, die auf diese Weise nach und nach ihre Form annimmt.
Wenn in Schritt 4 - Erweiterte Einstellungen eine Introseite, ein Blog, ein geschützter Bereich (hierfür ist es hinreichend, dass auch nur eine Seite als geschützte Seite konfiguriert wird) oder ein Warenkorb für E-Commerce eingerichtet wurde, wird in der Sitemap mit dem Namen Spezielle Seiten hinzugefügt, das die entsprechenden Einträge enthält: Introseite, Blog, Login-Seite und Warenkorb für E-Commerce.

Außer der Baumstruktur der Sitemap sehen Sie einige nützliche Informationen über die angelegten Seiten, wie den Erweiterten Seitentitel und die Beschreibung. Damit diese Informationen angezeigt werden, müssen sie natürlich im Dialogfenster Eigenschaften der Seite zuvor eingegeben worden sein.

Einige Operationen können direkt in der Sitemap-Ansicht durchgeführt werden.
- | Wenn Sie auf eine bereits markierte Ebene oder Seite unter der Homepage erneut klicken, können Sie sie umbenennen (alternativ mit der Schaltfläche Umbenennen). Auch die Alias der speziellen Seiten im Verzeichnis Menü können umbenannt werden, die speziellen Seiten selbst jedoch nicht.
- | Wenn Sie eine Seite markieren und dann auf die Einträge unter Erweiterter Seitentitel oder Beschreibung klicken, können Sie die dort eingegebenen Texte direkt ändern (alternativ im Dialogfenster Eigenschaften der Seite).
- | Mit einem Doppelklick auf eine Ebene können Sie diese erweitern, um die enthaltenen Seiten anzuzeigen, bzw. ausblenden (alternativ mit den Schaltflächen Erweitern und Ausblenden). Außerdem können Sie eine Ebene erweitern oder ausblenden, indem Sie auf den Pfeil links neben dem Namen klicken.
- | Mit Doppelklick auf eine Seite öffnet sich das Fenster Erstellen der Seiten, wo Sie die entsprechende Seite gestalten können.
- | Mit Doppelklick auf eine spezielle Seite wird das Fenster Schritt 4 - Erweiterte Einstellungen geöffnet, wo Sie diese Seite gestalten bzw. aktualisieren können.
- | Wenn Sie eine Ebene markieren und an eine neue Position ziehen, werden alle darin enthaltenen Seiten mit verschoben (alternativ mit den Schaltflächen Nach oben und Nach unten).
- | Wenn Sie eine oder mehrere Seiten markieren, können Sie diese an eine neue Position ziehen (alternativ mit den Schaltflächen Nach oben und Nach unten). Für die Mehrfachauswahl halten Sie auf der Tastatur gleichzeitig zum Klick die Taste Strg oder Umschalt gedrückt.
- | Wenn Sie eine Spezielle Seite markieren und in das Verzeichnis Menü, bzw. zwischen die Seiten und Ebenen ziehen, aus denen sich das Navigationsmenü zusammensetzt, wird eine neue Ebene erstellt, die sich wie ein Alias der Speziellen Seite verhält. Diese Ebene trägt den gleichen Namen der Speziellen Seite und ist mit der Originalseite verlinkt. Auf diese Weise kann in das Navigationsmenü ein aktiver Menüpunkt integriert werden, der zur Introseite, zum Blog, zur Login-Seite oder zum Warenkorb für E-Commerce führt.
- | Nach dem Markieren einer oder mehrerer Seiten können diese innerhalb des gleichen Projekts oder in ein anderes Projekt kopiert werden, das in einem weiteren Programmfenster geöffnet ist. Das Kopieren und Einfügen kann über die Werkzeugleiste, das mit Rechtsklick aufrufbare Kontextmenü oder die Tastenkombinationen Strg+C und Strg+V erfolgen. Bei Speziellen Seiten können die Befehle Kopieren und Einfügen nicht genutzt werden.

Verwandte Themen:
- | Erstellen der Sitemap
- | Die Schaltflächen für die Gestaltung der Sitemap
- | Die Werkzeugleiste der Sitemap


Das Schema der Sitemap

Die Werkzeugleiste in der Übersicht der Sitemap

Im Fenster Erstellen der Sitemap steht direkt über der Übersicht eine Werkzeugleiste mit folgenden Schaltflächen zur Verfügung:

 Ausschneiden [Strg+X] - Kopieren [Strg+C] - Einfügen [Strg+V]
Diese Befehle sind auch über das Kontextmenü abrufbar, das bei Rechtsklick auf die Sitemap eingeblendet wird.

Seite im Menü nicht sichtbar
Wenn Sie diese Option aktivieren, wird die markierte Seite oder Ebene im Navigationsmenü nicht angezeigt. Wenn eine Ebene unsichtbar gemacht wird, sind automatisch alle darin enthaltenen Seiten ebenfalls unsichtbar. Die aus dem Menü ausgeschlossenen Seiten können für Zusatzinformationen genutzt werden, die über interne Links aufgerufen werden. Es muss auf jeden Fall mindestens eine Verknüpfung geschaffen werden, die zu unsichtbaren Seiten führt.

Auch die Homepage kann aus dem Menü ausgeschlossen werden. Dies wird nur dann empfohlen, wenn an anderen Stellen der Website Verknüpfungen zur Homepage eingebaut werden sollen, zum Beispiel im Header des Templates.

Geschützte Seite
Mit dieser Schaltfläche öffnen Sie das gleichnamige Dialogfenster, in dem Sie die jeweilige Seite als Geschützt definieren können, indem Sie die Option Diese Seite als geschützt einstellen aktivieren. Anschließend müssen Sie festlegen, von welchen Gruppen und/oder einzelnen Benutzern diese Geschützte Seite angezeigt werden kann, indem Sie die jeweiligen Kontrollkästchen in der Liste darunter aktivieren. Zwischen der Aktivierung einer Gruppe und der Aktivierung aller enthaltenen Benutzer besteht ein Unterschied: Nur wenn Sie der ganzen Gruppe den Zugriff gestatten, können auch Benutzer, die der Gruppe später hinzugefügt werden, automatisch die entsprechenden geschützten Seiten anzeigen.
Neue Gruppen/Benutzer können Sie im Bereich Zugangsverwaltung in Schritt 4 - Erweiterte Einstellungen erstellen.

Eigenschaften der Seite
Diese Schaltfläche ist aktiv, wenn in der Sitemap eine Seite markiert wird, und öffnet das Dialogfenster Eigenschaften der Seite, in dem Sie einige Parameter für die Optimierung und grafische Gestaltung festlegen sowie zusätzlichen Code eingeben können.

Die hier verfügbaren Optionen sind in drei Kategorien gegliedert:
- | Tab Allgemein
- | Tab Grafik
- | Tab Erweitert

Eigenschaften der Ebene
Die Schaltfläche ist auch aktiv, wenn in der Sitemap eine Ebene markiert wird, und öffnet das Dialogfenster Eigenschaften der Ebene, in der folgende Parameter festgelegt werden können:

-

Drop-Down-Menü in dieser Ebene nicht anzeigen: Wenn Sie diese Option aktivieren, wird das Drop-Down-Menü der Ebene bei Mauskontakt nicht angezeigt.

-

Ebene als Link aktivieren: Hier können Sie über das Dialogfenster Link die Ebene direkt verlinken.

Das Drop-Down-Menü in einer Ebene nicht anzuzeigen und die Ebene als Link zu aktivieren empfiehlt sich beispielsweise, wenn man einen Link zu einer externen Seite direkt als Menüelement einbinden will, oder wenn ein Untermenü mit besonders vielen Menüelementen durch das Öffnen einer speziell erstellten Seite ersetzt werden soll, um die verschiedenen internen Bereiche aufzurufen.

-

Icon, das im Menü angezeigt werden soll: Wählen Sie hier Bilddatei (Format .JPG, .GIF und .PNG), die im Navigationsmenü neben dem Seitennamen angezeigt wird.

Wenn die Seite in Schritt 4 - Erweiterte Einstellungen mit einer Introseite, einem Blog, einem geschützten Bereich (hierfür ist es hinreichend, dass auch nur eine Seite als geschützte Seite konfiguriert wird) oder einem Warenkorb für E-Commerce ausgestattet wurde, wird der Sitemap außerdem ein Verzeichnis mit dem Namen Spezielle Seiten hinzugefügt, das die entsprechenden Einträge enthält. Bei speziellen Seiten sind die Befehle der Werkzeugleiste deaktiviert.

Verwandte Themen:
- | Erstellen der Sitemap
- | Schematische Übersicht der Sitemap;
- | Schaltflächen für die Gestaltung der Sitemap


Erstellen der Sitemap | Eigenschaften der Seite | Tab Allgemein

Im Tab Allgemein des Dialogfensters Eigenschaften der Seite können Sie einige Parameter für die Optimierung der Seite einstellen:
- | Erweiterter Seitentitel: Hier können Sie einen Titel eingeben, der von dem in der Sitemap angezeigten verschieden ist. Der Name, der der Seite beim Aufbau der Sitemap gegeben wurde, wird im Navigationsmenü beibehalten. Der erweiterte, in den Eigenschaften der Seite angegebene Titel hingegen wird als effektiver Seitentitel angezeigt. Bei der Homepage wird der Titel nicht auf der Seite angezeigt, es kann aber trotzdem ein erweiterter Titel festgelegt werden: Der Titel erscheint, sofern vorhanden, auf jeden Fall im Menü, während der erweiterte Titel, sofern vorhanden, für den Metatag <title> im HTML-Code der Seite verwendet wird.
- | Seitenbeschreibung: Hier können Sie eine spezifische Beschreibung für die Seite eingeben. Die Beschreibung der Seite sollte kurz und aussagekräftig sein, da sie vom HTML-Code als Metatag <description> verwendet und von Suchmaschinen zur Indexierung verwendet wird.
- | Keywords: Geben Sie hier einige spezifische Schlüsselwörter für die Seite ein. Diese Schlüsselwörter werden als Werte des Metatags <keywords> im HTML-Code der Seite und von Suchmaschinen zur Indexierung verwendet.
- | Name der erstellten Datei: Geben Sie hier der HTML-Datei der Seite einen Namen. Wenn nicht anders angegeben, wird als Name der HTML-Datei automatisch der Name der Seite verwendet, der ihr beim Aufbau gegeben wurde. Wenn Sie den Dateien kurze und aussagekräftige Namen geben, bekommen Sie einfache und leicht zu merkende Adressen, was sich auch positiv auf die Indexierung durch die Suchmaschinen auswirkt. Für die Homepage ist diese Option nicht verfügbar.

Verwandte Themen:

-

Dialogfenster Eigenschaften der Seite


Erstellen der Sitemap | Eigenschaften der Seite | Tab Grafik

Im Tab Grafik des Dialogfensters Eigenschaften der Seite können Sie für die aktive Seite einige wichtige grafische Eigenschaften festlegen:
- | Icon, das im Menü angezeigt werden soll: Wählen Sie hier Bilddatei (Format .JPG, .GIF und .PNG), die im Navigationsmenü neben dem Seitennamen angezeigt wird.
- | Seitenhintergrund: Hier können Sie ein Bild ( Datei im Format. JPG, .GIF oder .PNG) auswählen, das anstelle des vordefinierten Hintegrunds des gewählten Templates (siehe: Auswahl der Templates) verwendet wird.
- | Hintergrundbild für den Seiteninhalt: Wählen Sie hier Bilddatei (Format .JPG, .GIF und .PNG), die als Hintergrund für den Seiteninhalt angezeigt wird. Dieses Bild überlagert die Farbe oder das Hintergrundbild des gewählten Templates (siehe: Auswahl der Templates).
- | Anordnung: Hier können Sie festlegen, ob das als Hintergrund für den Seiteninhalt gewählte Bild wiederholt angezeigt werden soll. Das Bild kann nur horizontal, nur vertikal oder in beide Richtungen wiederholt werden, bis es den zur Verfügung stehenden Platz ausfüllt.
- | Ausrichtung: Legen Sie hier fest, wie das Hintergrundbild für den Seiteninhalt ausgerichtet werden soll.
- | Seite ohne Template erstellen: Bei Aktivierung dieser Option wird das für die Website gewählte oder individuell erstellte Template auf dieser Seite nicht angewendet (siehe: Auswahl der Templates). Das heißt, die Seite enthält nur die eingegebenen Inhalte und es werden weder das Template noch das Navigationsmenü angezeigt.
- | Seitenbreite / Hintergrund: Diese Einstellungen sind nur verfügbar, wenn die Option Seite ohne Template erstellen aktiviert wurde und ermöglichen die Einstellung der Seitenbreite in Pixel sowie der Hintergrundfarbe.

Verwandte Themen:
- | Dialogfenster Eigenschaften der Seite
- | Auswahl der Templates


Erstellung der Sitemap | Eigenschaften der Seite | Tab Erweitert

Im Tab Erweitert des Dialogfensters Eigenschaften der Seite können Sie die Sitemap gestalten und manuell den HTML-Code bearbeiten, der für die Seite erstellt wird.

-

Dateinamenformat: Hier können Sie das Format bestimmen, mit dem die Datei der Seite gespeichert werden soll. Voreingestellt ist das Format .html, alternativ können Sie .php, .asp, .cfm und .jsp wählen. Auch die Datei index.html der Homepage kann in einem anderen Format gespeichert werden: Dieses Format wird eventuell auch für die Introseite übernommen. Nur das Format geschützter Seiten (siehe Schaltfläche [image] Geschützte Seite in der Werkzeugleiste der Sitemap) kann nicht geändert werden und bleibt .php.

-

Diese Seite in die Sitemap einbinden: Mit dieser standardmäßig aktivierten Funktion wird die Seite in die Sitemap der Website aufgenommen.

-

Aktualisierungsfrequenz: Hier können Sie bestimmen, wie oft die Seite aktualisiert werden soll. Der Parameter wird in der generierten Sitemap wiedergegeben.

-

Priorität des Inhalts: Hier können Sie der Seite eine Priorität zuweisen, die ihre Relevanz im Verhältnis zu anderen Seiten der Website zum Ausdruck bringt. Der Parameter wird in der generierten Sitemap wiedergegeben.

-

Benutzerdefinierter Code: Hier können Sie in den HTML-Code der Seite zusätzliche Strings einfügen. Über das Menü können Sie die Position innerhalb des Seitencodes festlegen, in den der individuelle Code eingefügt werden soll: Vor dem <HTML> Tag, Vor dem </HEAD> Tag, Innerhalb des <BODY> Tag (also innerhalb der Anweisung <BODY>, zum Beispiel: <BODY onload="alert('Hello!')">), Vor dem </BODY> Tag, Nach dem </BODY> Tag. Unter der Auswahl der Position finden Sie das Feld, in das Sie den gewünschten Code kopieren oder eingeben können.

Die Option Benutzerdefinierter Code ist nützlich, wenn bestimmte Stylesheets (CSS) verbunden oder Events per Onload geladen werden sollen. Für die korrekte Funktion einiger JavaScripts, die mit der Funktion HTML und Widgets eingefügt werden können, müssen entsprechende Code-Zeilen in den Bereichen <HEAD> und <BODY> der HTML-Datei vorgesehen werden.

Verwandte Themen:
- | Dialogfenster Eigenschaften der Seite
- | Erstellen und Verlinken der Sitemap


Erstellen der Sitemap

In WebSite X5 hat die Sitemap die typische Baumstruktur: Ausgehend von der Homepage gelangt man zu den verschiedenen Ebenen mit den jeweiligen Seiten. Beim Erstellen der Sitemap werden neben der Homepage, die immer vorhanden ist, auch eine Reihe von Seiten definiert, die über das Menü verbunden sind. Daher müssen alle diese Seiten eingefügt und gleichzeitig die einzelnen Menüebenen aufgebaut werden.

Für die Definition der Sitemap stehen folgende Optionen zur Verfügung:

-

Neue Ebene [Strg+L]: Fügt eine neue Menüebene ein. Die Anzahl der realisierbaren Ebenen und Unterebenen ist unbegrenzt.

-

Neue Seite [Strg+P]: Erstellt eine neue Seite, die automatisch in die ausgewählte Ebene eingefügt wird.

-

Trennelement: Fügt ein Trennelement ein, um die Menüeinträge auch visuell zu organisieren. Ein Trennelement kann ein Zwischenraum oder ein Titel sein und eignet sich besonders für die Erstellung von mehrspaltigen Menüs (siehe Stil des Drop-Down-Menüs | Tab Menüelemente in Schritt 4 - Erweiterte Einstellungen).

-

Entfernen [Entf]: Löscht eine ausgewählte Seite oder Ebene.

-

Umbenennen [F2]: Mit dieser Schaltfläche können Sie die Homepage, eine andere Seite oder eine Ebene umbenennen, nachdem Sie das jeweilige Element markiert haben. Ebenen und Seiten sollten mit korrekten Benennungen versehen werden, da die Menüpunkte in der Sitemap und in den Titeln der einzelnen Seiten sowie als Namen der entsprechenden HTML-Dateien wiederkehren, sofern im Fenster Eigenschaften der Seite nichts anderes festgelegt wurde.

-

Nach oben [Strg+U] / Nach unten [Strg+D]: Mit diesen Schaltflächen ändern Sie die Reihenfolge ausgewählter Seiten oder Ebenen, indem Sie sie jeweils vor oder hinter die benachbarte verschieben.

Alternativ können Sie die Reihenfolge der Ebenen und Seiten auch direkt in der Sitemap ändern: Wählen Sie hierzu den Eintrag aus, den Sie verschieben wollen, und ziehen Sie ihn per Drag&Drop an die gewünschte Stelle. Mit gedrückter Strg- und Umschalttaste können auch mehrere Ebenen und/oder Seiten markiert werden.

-

Erweitern / Ausblenden: Mit diesen Schaltflächen können Sie eine ausgewählte Ebene jeweils erweitern oder deren Inhalt ausblenden, um mehr oder weniger Seiten anzuzeigen.

Wenn die Seite in Schritt 4 - Erweiterte Einstellungen mit einer Introseite, einem Blog, einem geschützten Bereich (hierfür ist es hinreichend, dass auch nur eine Seite als geschützte Seite konfiguriert wird) oder einem Warenkorb für E-Commerce ausgestattet wurde, wird der Sitemap außerdem ein Verzeichnis mit dem Namen Spezielle Seiten hinzugefügt, das die entsprechenden Einträge enthält. Die Befehle Entfernen, Umbenennen, Nach oben, Nach unten, Erweitern und Ausblenden sind für die Speziellen Seiten nicht aktiv. Für Alias der Speziellen Seiten (die Sie erstellen, indem Sie die Speziellen Seiten zwischen die Seiten und Ebenen ziehen) hingegen bleiben die Befehle Entfernen, Umbenennen, Nach oben und Nach unten verfügbar, weil sie hier keine direkte Auswirkung auf die Introseite, den Blog, die Login-Seite oder den Warenkorb für E-Commerce haben, sondern nur auf die Menüeinträge, die sich hierauf beziehen.

Nachdem Sie die Sitemap strukturiert haben, schlägt WebSite X5 vor, mit der Gestaltung der einzelnen Seiten fortzufahren. Hierzu werden die Seiten nacheinander angezeigt. Sie können die Sitemap verwenden, um direkt in das Programmfenster zu gelangen und dort eine bestimmte Seite zu bearbeiten: Klicken Sie hierzu doppelt auf den gewünschten Eintrag oder markieren Sie ihn und klicken dann auf Weiter.

Verwandte Themen:
- | Erstellen der Sitemap
- | Die Werkzeugleiste der Sitemap
- | Die Schaltflächen für die Gestaltung der Sitemap


Sitemap

Auf der Grundlage der in Schritt 2 erstellten Sitemap wird automatisch die Seite Sitemap erstellt. Die Einträge in der Sitemap sind aktive Links zu den entsprechenden Seiten: Die Sitemap ist daher ein nützliches Hilfsmittel zur Orientierung und Navigation für den Anwender. Die Anzeige der Sitemap-Inhalte kann mit den Optionen Erweitern und Ausblenden angepasst werden.
Auf die Sitemap kann mit Hilfe entsprechender Verknüpfungen über Text und Bilder (siehe Aktion Sitemap im Fenster Link) oder über das Menü am unteren Seitenrand verwiesen werden, wo die Verknüpfung zur Sitemap automatisch eingefügt wird (durch Aktivierung der Option Anzeigen für das Element Menü am unteren Seitenrand in Stile und Modelle | Tab Text).

Auch wenn die Sitemap nicht angezeigt werden soll, kann sie das Programm dennoch als XML-Sitemap erstellen, die über den Metatag <sitemap> mit dem HTML-Code der Siten verbunden ist. Die Sitemap ist eine XML-Datei, die die Liste der Seiten einer Website enthält und die gewährleistet, dass die Suchmaschinen alle Bestandteile der Website durchsuchen. Über die Sitemap können den Suchmaschinen ferner einige nützliche Informationen über die Seiten geliefert werden:
- | Häufigkeit, mit der jede Seite aktualisiert wird;
- | Datum der letzten Änderung einer Seite;
- | Die Priorität jeder einzelnen Seite im Kontext der Website (diese Priorität beeinträchtigt in keiner Weise die Positionierung der Seiten in den Suchergebnissen).

Damit die Sitemap der Website erstellt wird, muss die Option Sitemap automatisch erstellen unter Allgemeine Einstellungen | Tab Erweitert aktiviert werden. Um zu gewährleisten, dass die Sitemap auch Daten wie die Häufigkeit der Aktualisierung oder die Prioritäten der einzelnen Seiten enthält, müssen die Optionen im Fenster Eigenschaften der Seite | Tab Erweitert genutzt werden, das beim Erstellen der Sitemap aufgerufen werden kann.

Verwandte Themen:
- | Erstellen der Sitemap
- | Erstellen und Verlinken der Sitemap


Erstellen der Seiten

Nach der Strukturierung der Sitemap können Sie mit der Gestaltung der einzelnen Seiten beginnen. Im Fenster Erstellen der Seiten können Sie das Layout gestalten und die Inhalte eingeben.

Der Pfad und der Titel der Seite, an der Sie gerade arbeiten, wird hinter dem Eintrag Aktuelle Seite angezeigt.

Das Fenster gliedert sich in folgende Bereiche, in denen Sie arbeiten können:
- | das Layout-Schema (oder Raster) der Seite, in dem das gewünschte Layout festgelegt werden kann;
- | den Bereich Verfügbare Objekte mit der Objektauswahl für die Seitengestaltung;
- | Die Vorschau für die Anzeige des Objekts, das in der ausgewählten Zelle des Layout-Schemas enthalten ist.


Das Layout-Schema im Bereich Erstellen der Seiten

Für die komfortable Layout-Gestaltung bietet WebSite X5 ein Schema, das standardmäßig in zwei Zeilen und zwei Spalten gegliedert ist: Ziehen Sie einfach die verfügbaren Objekte in die Zellen dieses Schemas (ein Objekt pro Zelle), um die Seite zusammenzustellen.

Natürlich können Sie weitere Zeilen und Spalten hinzufügen, um mehr Zellen zur Verfügung zu haben. Außerdem kann die Breite der einzelnen Spalten manuell definiert werden. Dank dieser Gestaltungsoptionen im Schema und der Möglichkeit, Objekte auch über mehrere, nebeneinander liegende Zellen zu erweitern, können ausgesprochen attraktive Layouts realisiert werden.

Wichtiger Hinweis: Das Schema dient ausschließlich der Vereinfachung der Layout-Gestaltung. Außer in einigen wenigen, speziellen Fällen, wie bei besonders komplexen Objektkombinationen, wird das Layout-Schema im HTML-Code der Seiten nicht als Tabelle umgesetzt. Bei der Anzeige in einem Browser ist das Layout-Schema grundsätzlich nicht sichtbar.

Wie bereits erwähnt, kann jede Zelle des Schemas nur ein Objekt enthalten, während sich ein Objekt hingegen horizontal oder vertikal über mehrere nebeneinander liegende Zellen erstrecken kann, sodass es einen größeren Raum auf der Seite einnimmt.

Das Aussehen einer Zelle des Layout-Schemas hängt von ihrem jeweiligen Status ab:
- | Enthält sie ein Objekt, das noch nicht konfiguriert wurde, wird das Symbol des Objekttyps auf einem grau schraffierten Hintergrund angezeigt.
- | Wurde das enthaltene Objekt bereits konfiguriert, erscheint das Symbol des Objekttyps auf einem einfarbig hellblauem Hintergrund.
- | Ist das enthaltene Objekt markiert, wird der Umriss mit Ankerpunkten angezeigt.

Mit den Schaltflächen der Werkzeugleiste können Sie die Struktur des Layout-Schemas definieren und grafische Einstellungen vornehmen.

Im Einzelnen sind folgende Funktionen verfügbar:

 Objektinhalt definieren: Die Schaltfläche ist aktiv, wenn ein Objekt in eine Zelle eingefügt wurde, und öffnet ein Dialogfenster, in dem das Objekt konfiguriert werden kann. Dieses Dialogfenster variiert je nach Objekttyp.

Zellenstil: Die Schaltfläche ist aktiv, wenn ein Objekt in eine Zelle eingefügt wurde, und öffnet das Dialogfenster Zellenstil , in dem Sie die grafischen Eigenschaften der aktiven Zelle definieren können.

Zellenrand: Die Schaltfläche ist aktiv, wenn ein Objekt in eine Zelle eingefügt wurde, und öffnet das Dialogfenster Zellenrand , in dem die Breite der externen und internen Ränder der aktiven Zelle in Pixeln eingestellt werden können. Bei Aktivierung der Option Benutzerdefinierte Ränder können Sie für den Oben/Rechts, Unten/ Links einrichten. (siehe Das Box-Modell in WebSite X5)

Ausrichtung Zelleninhalt: Die Schaltfläche ist aktiv, wenn ein Objekt in eine Zelle eingefügt wurde, und ermöglicht die Ausrichtung des Zelleninhalts (Oben/Mitte/Unten, Links/Zentriert/Rechts).

Zeile einfügen / Zeile löschen: Mit dieser Funktion können Sie vor der ausgewählten Zelle eine Zeile einfügen bzw. die Zeile löschen, die die ausgewählte Zelle enthält. Auf diese Weise können Schemata mit bis zu 64 Zeilen erstellt werden.

Spalte einfügen / Spalte löschen: Mit dieser Funktion können Sie vor der ausgewählten Zelle eine Spalte einfügen bzw. die Spalte löschen, die die ausgewählte Zelle enthält. Auf diese Weise können Schemata mit bis zu 12 Spalten erstellt werden.

Wurde eine leere Zelle markiert, werden die neuen Zeilen bzw. Spalten vor dieser Zelle eingefügt. Wurde hingegen ein Objekt markiert, werden die neuen Zeilen bzw. Spalten vor der ersten Zelle eingefügt, die von dem jeweiligen Objekt belegt wird. Wurde keine Zelle bzw. kein Objekt markiert, werden die neuen Zeilen bzw. Spalten am Ende des Schemas eingefügt.

Standardmäßig haben alle Zeilen bzw. Spalten des Layout-Schemas die gleiche Breite bzw. Höhe. Mit den Cursors am unteren Rand des Schemas können Sie den Wert der Spalten manuell absolut (Pixel) oder relativ (Prozentsatz) einstellen:
- | Durch Ziehen eines Pfeils wird die Begrenzungslinie der Spalte verschoben. Während Sie den Cursor in eine andere Position ziehen, wird eine Infobox mit dem jeweiligen Pixelwert und Prozentsatz angezeigt, den die Spaltenbegrenzung jeweils annimmt. Wenn Sie beim Ziehen des Cursors gleichzeitig die Taste Strg gedrückt halten, wird der Cursor pixelweise verschoben. Andernfalls verschiebt er sich in Schritten von einem Zehntel des verfügbaren Raums.
- | Mit Rechtsklick auf den Cursor wird ein Kontextmenü eingeblendet. Wählen Sie hier die Option Spaltenbreite festlegen, um die Spaltenbreite direkt in Pixeln einzugeben.
- | Wählen Sie hingegen die Option Spalten auf gleiche Breite bringen, um für alle Spalten die gleiche Breite einzustellen.

Verwandte Themen:
- | Erstellen der Seiten
- | Die Objekte im Bereich Erstellen der Seiten
- | Das Box-Modell in WebSite X5


Die Objekte im Bereich Erstellen der Seiten

Um ein Objekt in eine Seite einzufügen, wählen Sie im Bereich Verfügbare Objekte ein Objekt aus und ziehen es im Layout-Schema in die gewünschte Zelle.

Jede Zelle des Schemas kann nur ein Objekt enthalten, umgekehrt kann ein Objekt aber sowohl horizontal als auch vertikal mehrere nebeneinander liegende Zellen belegen.
Ziehen Sie hierzu das jeweilige Objektsymbol in die gewünschte Richtung über die Ränder der Zellen hinaus, sodass das Feld den Platz der entsprechenden Zellen belegt. Das Objekt kann auch an seinen Ankerpunkten über mehrere Zellen gezogen werden.

Nachdem die Anzahl der Zellen festgelegt wurde, die ein Objekt belegen soll, wird diese - vorbehaltlich der Kompatibilität mit der Position anderer Objekte - beibehalten, auch wenn es an andere Stellen des Schemas verschoben wird. Alternativ können Sie sich innerhalb des Schemas auch mit den Pfeiltasten Ihrer Tastatur bewegen:
- | Pfeiltasten: Verschieben der Auswahl innerhalb des Schemas von einer Zelle in eine andere.
- | Strg + Pfeiltasten: Verschieben eines markierten Objekts (unter Beibehaltung seiner Abmessungen) in eine andere Zelle des Schemas.
- | UMSCHALT + Pfeiltasten: Ändern der Abmessungen eines markierten Objekts (vorbehaltlich Kompatibilität mit eventuellen weiteren Objekten), um es auf eine andere Zellenzahl im Layout-Schema zu vergrößern oder zu verkleinern.

Mit Rechtsklick auf das Objektsymbol oder in eine leere Zelle wird ein Kontextmenü mit den Optionen Ausschneiden, Kopieren, Einfügen, Entfernen, Zellenstil, Zeile einfügen, Spalte einfügen, Zeile löschen und Spalte löschen angezeigt.
Über diese Befehle können Sie zum Beispiel eine Kopie eines Objekts erstellen, um diese dann in eine andere Zelle oder eine andere Seite einzufügen, oder ein Objekt löschen. Ein eingefügtes Objekt kann auch von der Seite entfernt werden, indem Sie es in einen Bereich außerhalb des Layout-Schemas ziehen oder die Taste Entf drücken. Wird ein neues Objekt in einer Zelle positioniert, die bereits von einem anderen belegt ist, wird dieses von dem neuen ersetzt. Wird hingegen ein bereits positioniertes Objekt auf eine belegte Zelle gezogen, tauschen die beiden Objekte ihre Position.

Mit den Optionen Kopieren und Einfügen im Untermenü der Option Zellenstil können Sie einen Zellenstil automatisch auf eine andere Zelle anwenden.

Nachdem Sie ein Objekt in das Schema eingefügt haben, können Sie per Doppelklick auf die jeweilige Zelle des Layout-Schemas oder durch Markieren des Objekts und Anklicken der Schaltfläche [image] Objektinhalt definieren den jeweiligen Inhalt festlegen (Text, Tabelle, Bild, Flash-Animation, Video und Audio, Galerie, E-Mail-Formular, Produktliste, HTML und Widgets).

Es müssen nicht alle Zellen des Layout-Schemas ausgefüllt werden. Berücksichtigen Sie hierbei bitte jedoch, dass eine leere Zelle einem leeren Platz auf der Seite entspricht.

Die Layout-Möglichkeiten optimal zu nutzen, beachten Sie, dass die Software nach folgenden Regeln arbeitet:
- | Die Seitenbreite wird vom jeweiligen Template bestimmt.
- | Die Spaltenbreite des Layout-Schemas ist der Quotient aus der Seitenbreite und der Anzahl der eingefügten Spalten. Standardmäßig haben alle Spalten die gleiche Breite, dieser Parameter kann jedoch manuell geändert werden.
- | Alle auf der gleichen Zeile angeordneten Zellen der Tabelle haben die gleiche Höhe: Standardmäßig wird dieser Wert durch das höchste der in den Zellen enthaltenen Objekte bestimmt.
- | Die eingefügten Objekte werden automatisch der Zellengröße im Layout-Schema angepasst.

Verwandte Themen:
- | Erstellen der Seiten
- | Das Layout-Schema im Bereich Erstellen der Seiten


Objekt Text

Neben Bildern, Videos und Flash-Animationen werden die Inhalte einer Website maßgeblich mit Texten übermittelt.

Für das Web zu schreiben, stellt andere Anforderungen als die Redaktion von Texten für den Druck. Jedes Kommunikationsmedium hat seine eigenen Charakteristiken. Beim Internet sind das vor allem die technische Grundlage (Display eines Computers oder Mobilgeräts), die Art der Informationsaufnahme (eher ein schnelles Scannen als dauerhaftes Lesen) und die Verfügbarkeit praktisch unbegrenzter Alternativen (man bedenke, wie viele Websites sich ein und demselben Thema widmen).

Um die Aufmerksamkeit des Lesers zu wecken, ihn zum Lesen anzuregen und im besten Fall von der Qualität unseres Angebots zu überzeugen, müssen die Textinhalte für die Veröffentlichung im Web geeignet sein: Vor allem müssen die Inhalte interessant präsentiert werden, sie müssen prägnant aber nicht steril sowie effizient sein. Die zu übermittelnde Botschaft sollte in kurze Abschnitte gegliedert werden. Dies erleichtert zum einen das Verständnis und wirkt zum anderen visuell aufgelockerter und weniger drückend. Und für eine bessere Lesbarkeit der Texte ist es schließlich wichtig, die typografischen Aspekte zu berücksichtigen, also zu entscheiden, wie Überschriften, Hervorhebungen, der Textkörper, Bildunterschriften und anderes formatiert werden sollen.

Diese Aspekte zu durchdenken und die Texte mit Sorgfalt zu verfassen, ist äußerst wichtig, wenn man eine Website erstellen will, die auf ihre Besucher positiv wirken soll. Langweilige Inhalte, vager Ausdruck, Grammatik, Orthografie- und Interpunktionsfehler lassen eine Website sofort nachlässig wirken und ein zweiter Besuch wird mit großer Wahrscheinlichkeit ausbleiben.

Abgesehen von dieser kurzen, aber notwendigen Betrachtungen zum Thema Web Writing stellt Ihnen WebSite X5 einen internen Editor zur Verfügung, in dem Sie Ihre Texte verfassen und formatieren können. Selbstverständlich können auch fertige, mit anderen Programmen erstellte Texte durch einfaches Kopieren und Einfügen verwendet werden.

Anleitung

Mit Doppelklick auf das Objekt Text im Layout-Schema wird das entsprechende Dialogfenster geöffnet. Das Fenster enthält einen Editor, in den Sie die Texte direkt eingeben und anschließend formatieren können.

Der Texteditor präsentiert sich wie folgt:

Es stehen folgende Funktionen zur Verfügung:

 Ausschneiden [Strg+X] - Kopieren [Strg+C] - Einfügen [Strg+V]
Mit der Funktion Einfügen werden alle eventuell vorhandenen Formatierungen aus dem Text entfernt und die im Editor festgelegten angewendet.

Inhalte einfügen
Mit diesem Befehl wird zuvor mit den entsprechenden Funktionen ausgeschnittener oder kopierter Text eingefügt. Der so eingefügte Text behält seine Originalformatierungen.

Mit den Funktionen Ausschneiden, Kopieren und Einfügen können Texte übernommen werden, die zuvor mit anderen Textbearbeitungsanwendungen erstellt wurden.

Rückgängig [Strg+Z] - Wiederherstellen [ALT+UMSCHALT+BACKSPACE]
Zum Annullieren/Wiederherstellen der zuletzt durchgeführten/annullierten Operation.

Link einfügen [Strg+L]
Mit dieser Funktion können Sie markierte Textpassagen verlinken. Die Einstellungen für den Hyperlink können im Dialogfenster Link vorgenommen werden.

Bild einfügen
Fügen Sie ein Bild (Formate .JPG, .GIF, .PNG, .BMP) in den Text ein. In ein Textobjekt eingefügte Bilder werden automatisch neu dimensioniert, wenn sie größer sind als die im Layout-Schema zugewiesene Zelle. Außerdem kann die Größe der Bilder durch Ziehen an den Ankerpunkten frei angepasst werden. Für spezielle Layouts wird jedoch empfohlen, das eigens hierfür bereitgestellte Objekt Bild zu verwenden.

HTML-Code aktivieren
Mit dieser Funktion können Sie HTML-Code direkt auf der Seite eingeben. Im HTML-Modus werden die Zeichen < und > nicht als "kleiner als" bzw. "größer als" interpretiert, sondern in diese Zeichen eingefügter Text wird als HTML-Tag gelesen.

RollOver-Einstellungen
Hiermit können Sie Text mit RollOver-Effekt konfigurieren: Das heißt, der Text ist nicht mehr statisch, sondern kann gescrollt werden. Die RollOver-Einstellungen werden im Dialogfenster RollOver vorgenommen.

An Zellenbreite anpassen
Mit dieser Einstellung wird das Layout des Textes simuliert, das er im Inneren der Layout-Zelle haben wird.

Heller/dunkler Hintergrund
Hier können Sie den Hintergrund des Text-Editors hell oder dunkel einstellen. Dies erleichtert zum Beispiel die Eingabe von hellem Text, der mit dem jeweils gewählten Template im Kontrast stehen soll.

Schrift - Schriftgröße
Hier können Sie eine Schrift (einen Font) auswählen und dessen Größe definieren.

Das Dropdown-Menü enthält alle Zeichensätze, die auf dem lokalen Computer installiert sind. Wenn der verwendete Zeichensatz nicht auch auf dem Computer der Anwender installiert ist, wird er automatisch durch eine ähnliche Systemschrift ersetzt.

Fett [Strg+B] - Kursiv [Strg+I] - Unterstrichen [Strg+U]
Mit diesen Schaltflächen werden auf markierten Text jeweils die entsprechenden Schriftschnitte angewendet.

Textfarbe - Hintergrundfarbe
Mit Klick auf diese Schaltflächen öffnet sich das Dialogfenster Farbe, in dem Sie die gewünschte Farbe für den Text bzw. den Texthintergrund auswählen können.

Aufzählung
Mit diesem Befehl können Sie eine Liste mit Aufzählungszeichen erstellen.

Zeileneinzug vergrößern / Zeileneinzug verkleinern
Hier können Sie den Einzug eines Absatzes vergrößern bzw. verkleinern.

Linksbündig - Zentriert - Rechtsbündig - Blocksatz
Stellen Sie hier die Ausrichtung Ihres Textes ein.

Text links - Standard - Text rechts
Diese Schaltflächen sind aktiv, wenn ein in den Text eingefügtes Bild markiert wird. Sie können festlegen, ob der Text rechts oder links vom Bild verlaufen oder das Bild in den Textfluss eingebettet werden soll.

Mit Rechtsklick kann außerdem das Kontextmenü aufgerufen werden, das folgende Optionen enthält: Rückgängig, Ausschneiden, Kopieren, Einfügen, Inhalte einfügen, Löschen und Alles markieren.

Verwandte Themen:
- | Das Layout-Schema im Bereich Erstellen der Seiten
- | Die Objekte im Bereich Erstellen der Seiten
- | Link einfügen
- | RollOver-Einstellungen


Einstellungen Rollover

Diese Funktion kann mit der Schaltfläche [image] Editor des Textobjekts oder des Tabellenobjekts aufgerufen werden und ermöglicht die Einstellung für das Rollover der Texte.

Zunächst muss der Effekt mit der Option Rollover aktivieren ausgewählt werden.

Anschließend können Sie im Bereich Typ die Anzeigemodalität wählen:

-

Bewegung: Legen Sie hier fest, wie der Text scrollen soll. Sie haben folgende Optionen zur Auswahl:

 Kein - Bildlaufleiste anzeigen: Der Text wird nicht gescrollt, da aber die Zelle eine feste Höhe hat (siehe weiter unten die Option Höhe), wird automatisch eine Bildlaufleiste angezeigt, wenn diese Höhe nicht ausreicht.

Einzelnes Scrollen: Der Text wird in die definierte Richtung gescrollt und bleibt stehen, wenn er am Ende angelangt ist.

Fortlaufendes Scrollen: Der Text wird in die definierte Richtung gescrollt und die Bewegung wird, wenn er am Ende angelangt ist, wiederholt.

Abwechselndes Scrollen: Der Text wird in die definierte Richtung gescrollt und die Bewegung wird, wenn er am Ende angelangt ist, umgekehrt.

Sektionsweises Scrollen: Der Text wird virtuell in Sektionen, also in Blöcke mit der unter Höhe festgelegten Höhe aufgeteilt. Der Text wird, unterbrochen durch kurze Pausen, sektionsweise gescrollt. Nach Durchlauf der letzten Sektion wiederholt sich der Vorgang. Für die optimale Darstellung des Effekts muss der Text so geschrieben und formatiert sein, dass er bei Einstellung einer angemessenen Höhe in Sektionen aufgeteilt werden kann.

-

Richtung: Legen Sie hier fest, in welche Richtung der Text gescrollt werden soll. Er kann nach Rechts, Links, Unten oder Oben gescrollt werden.

Im Bereich Optionen können Sie folgende Einstellungen vornehmen:
- | Effekt: Wählen Sie zwischen den Effekten Linear, Auf und ab und Schwingen, die für alle Bewegungstypen verfügbar sind, außer für das Fortlaufende Scrollen.
- | Höhe: Stellen Sie hier die Höhe der Zelle ein, die den Text enthält.
- | Dauer (Sek.): Legen Sie hier fest, wie viele Sekunden der Effekt dauern soll. Wurde das einzelne, fortlaufende oder abwechselnde Scrollen ausgewählt, definiert dieser Wert die Zeit der Bewegung, bis sie wiederholt wird. Wurde hingegen das sektionsweise Scrollen aktiviert, definiert dieser Wert die Anzeigedauer einer Sektion, bevor zur nächsten übergegangen wird.
- | Bei Mauskontakt anhalten: Bei Aktivierung dieser Option wird der Scrollvorgang bei Mauskontakt angehalten.

 Die Option Höhe ist nur dann verfügbar, wenn das Rollover vertikal eingestellt ist (Richtung nach oben oder nach unten). Bei horizontalem Rollover (Richtung nach links oder nach rechts) wird ein besserer Effekt erzielt, wenn das Textobjekt eine ganze Zeile des Layout-Schemas füllt.

Verwandte Themen:
- | Textobjekt
- | Tabellenobjekt


Objekt Bild

Bilder sind die Elemente, die bei der Erstellung von Websites am häufigsten verwendet werden. Mit Bildern können Sie Themen illustrieren, Produkte präsentieren, Botschaften übermitteln oder Ihre Inhalte einfach dekorativ bereichern. Bilder sind in jedem Fall wichtig, da sie zum Gesamtbild der Website beitragen und ihre ästhetisch ansprechende, professionelle Wirkung unterstreichen.

In WebSite X5 können Sie alle gebräuchlichen Bildformate importieren und es steht Ihnen ein praktischer, interner Grafik-Editor zur Verfügung, mit dem Sie Ihre Bilder zusätzlich bearbeiten und korrigieren können. Die verfügbaren Funktionen umfassen das Ausschneiden, Drehen und Retuschieren von Bildern und Sie können Masken, Filter und Rahmen anwenden. Ferner können Sie beeindruckende Panaoramadarstellungen erstellen und Details herauszoomen.

Auch der Schutz vor unbefugter Nutzung von Bildern aus dem Internet wurde bei WebSite X5 berücksichtigt. Das Programm ist mit einem Schutzsystem ausgestattet, das den Zugriff auf die Originaldatei verhindert und Schutzmethoden wie Wasserzeichen und Urheberrechtsinformationen bereitstellt.

 Wenn Sie in Ihre Website hochwertige Bilder einbinden möchten, besuchen Sie Ihr Control-Panel online unter my.websitex5.com: Hier finden Sie über 6.000 exklusive, lizenzfreie Bilder zur Auswahl.

Anleitung

Mit Doppelklick auf das Objekt Bild im Layout-Schema wird das entsprechende Dialogfenster geöffnet. In diesem Fenster können Sie zu importierende Bilder auswählen, deren Eigenschaften festlegen, Zoom- und Panoramaeffekte definieren, entscheiden, ob sie in die Sitemap aufgenommen werden sollen und in diesem Fall die entsprechenden Informationen eingeben.

Die Funktionen, die Sie für die Gestaltung eines Bild-Objekts benötigen, sind in drei Bereiche gegliedert:
- | Tab Allgemein
- | Tab Anzeige
- | Tab Sitemap

Verwandte Themen:
- | Das Layout-Schema im Bereich Erstellen der Seiten
- | Die Objekte im Bereich Erstellen der Seiten
- | Grafik-Editor


Objekt Bild | Tab Allgemein

Im Tab Allgemein des Fensters Objekt Bild können Sie Ihr Bildobjekt definieren und bearbeiten.

In WebSite X5 können Sie alle gebräuchlichen Bildformate (.JPG, .GIF, .PNG, .BMP, .PSD, .TIF, .DIB, .PCX, .RLE, .TGA und .WMF) importieren. Wählen Sie hierzu die gewünschte Datei aus den lokal gespeicherten oder direkt online aus.

Im Bereich Vorschau wird das importierte Bild dargestellt. Mit Klick auf die Schaltfläche Bearbeiten... unter der Vorschau öffnet sich der programmeigene Grafik-Editor, in dem Sie das importierte Bild bearbeiten können.

Für das importierte Bild können Sie folgende Eigenschaften festlegen:

-

Titel: Bildtitel, der in den HTML-Code der Seiten unter title des Tags <img> eingefügt wird.

-

Alternativtext: Hier können Sie einen Text eingeben, der an Stelle des Bildes erscheint, wenn dieses nicht angezeigt werden kann. Im HTML-Code der Seiten entspricht dies dem Eintrag alt im Tag <img>.

Der Titel und der Alternativtext sind zwei Parameter, die sorgfältig durchdacht und vergeben werden sollten, da sie sowohl für die Zugänglichkeit als auch für die Optimierung der Website von Bedeutung sind.

-

Link: Hier können Sie das Bild verlinken. Bei Klick auf die Schaltfläche [image] öffnet sich das Dialogfenster Link, in dem Sie den Aktionstyp des Links und die jeweiligen Optionen definieren können.

-

Qualität: Hier können Sie die Qualität festlegen, die beim Speichern des Bildes im Format JPG erhalten bleiben soll.
Beim Import werden alle Bilder automatisch in das Format .JPG oder, sofern Transparenzen eingestellt sind, in das Format .PNG konvertiert. Je höher bei der Konvertierung in .JPG das Kompressions-Level ist, desto geringer wird die Qualität des Bildes.

Es empfiehlt sich daher, direkt Bilder in den Formaten .GIF oder .JPG zu importieren. Alle Bilder, die in einem anderen Format als .JPG, .GIF oder .PNG importiert werden, werden automatisch mit dem eingestellten Kompressions-Level in das Format JPG konvertiert. Die Konvertierung in .JPG oder, sofern Transparenzen eingestellt sind, in .PNG, erfolgt auch dann, wenn das Originalbild größer ist als die zugewiesene Zelle im Layout-Schema und wenn es im Grafik-Editor bearbeitet wird.
In allen anderen Fällen wird das Bild unverändert kopiert. Das ist erforderlich, damit der auf das GIF-Format angewandte Transparenz-Effekt beibehalten werden kann.

Im Bereich Schutz stehen Ihnen schließlich einige Optionen zur Verfügung, die zum Schutz vor unrechtmäßigem Kopieren der Bilder beitragen:
- | Bilder urheberrechtlich schützen: Mit Aktivierung dieser Option verhindern Sie, dass Bilder mit Befehlen wie Bild speichern unter... in den Kontextmenüs des Browsers kopiert werden können. Hierzu wird das Bild in ein Flash-Objekt eingebettet. Dies erschwert nicht nur das Kopieren, sondern verhindert auch, dass bei Anzeige des HTML-Codes der Seite der Dateiname sichtbar wird.
- | Bildschutz- und Copyright-Informationen anzeigen: Bei Aktivierung dieser Option wird das Bild zusätzlich von einem Wasserzeichen überlagert. Außer dem Wasserzeichen wird eine Info zum Urheberrecht eingefügt. Der Wortlaut dieser wird automatisch generiert und beinhaltet den Namen des Autors, der im Fenster Allgemeine Einstellungen | Tab Allgemein in Schritt 1 angegeben wurde.

 Hinweise zum Funktionsprinzip des Schutzsystems für Bilder:
- | Bei Aktivierung des Schutzsystems werden die Bilder in ein Flash-Objekt eingebettet: Auf diese Weise sind der Titel und der Alternativtext nicht im HTML-Code enthalten und können somit auch nicht für die Optimierung der Seiten verwendet werden.
- | Geschützte Bilder können nicht in die Sitemap aufgenommen werden. Der Ausschluss geschützter Seiten aus der Sitemap ist für die Effizienz des Schutzsystems erforderlich: Andernfalls wäre es über die XML-Dateien der Sitemap möglich, auf den Namen der Originaldatei zurückzugreifen und diese herunterzuladen.
- | Wenn Sie das Schutzsystem nicht aktivieren möchten, können Sie im entsprechenden Tab des Grafik-Editors das Bild direkt bearbeiten und ein Wasserzeichen einfügen.

Verwandte Themen:
- | Objekt Bild
- | Grafik-Editor


Objekt Bild | Tab Anzeige

Mit den Optionen im Tab Anzeige des Fensters Objekt Bild können Sie einige Anzeigemodalitäten festlegen, um mit Zoom- und Verschiebungseffekten eine Panoramadarstellung zu erzielen.

Folgende Anzeigemodalitäten stehen zur Verfügung:

 Bildgröße automatisch anpassen: Mit dieser standardmäßig aktivierten Option wird das eingefügte Bild automatisch an die Abmessungen der Zelle im Layout-Schema angepasst.

Vergrößertes Bild zoomen und manuell verschieben: Bei Aktivierung dieser Option kann das Bild per Mausklick vergrößert werden, bis es den eingestellten Zoomfaktor erreicht. Anschließend kann das Bild verschoben werden, um das gewünschte Detail in den Vordergrund zu bringen. Bei dieser Option muss das Bild manuell verschoben werden. Klicken Sie hierzu in das Bild und ziehen Sie es in die gewünschte Position.
Um diesen Effekt zu erzielen, werden zuerst die Abmessungen des Bildes denen der Zelle im Layout-Schema angepasst und anschließend neu berechnet, entweder auf der Grundlage des Maximalen Zooms (wenn Sie unter Art der Verschiebung die Option Frei Verschieben gewählt haben) oder proportional zur festgelegten Höhe (wenn Sie unter Art der Verschiebung die Option Horizontale Rundumsicht oder Vertikale Rundumsicht gewählt haben). Auf diese Weise wird das Bild größer als die Anzeigefläche und kann darin verschoben werden.

Vergrößertes Bild zoomen und automatisch verschieben: Die Option entspricht der zuvor beschriebenen, mit dem einzigen Unterschied, dass das Bild verschoben wird, indem Sie den Mauszeiger an seinen Rändern positionieren.

Nach Auswahl der Option Vergrößertes Bild zoomen und manuell verschieben oder Vergrößertes Bild zoomen und automatisch verschieben können Sie folgende Zoom-Einstellungen vornehmen:

-

Art der Verschiebung: Legen Sie hier fest, in welche Richtung das Bild manuell oder automatisch verschoben werden soll.

-

Frei Verschieben: Das Bild kann sowohl in horizontaler als auch vertikaler Richtung verschoben werden. In diesem Fall muss der Maximale Zoom festgelegt werden: Bei einem Zoomfaktor von 200% wird die Originalgröße des Bildes verdoppelt.

Originalbild | Bild mit Effekt

-

Horizontale Rundumsicht: Das Bild kann nur in horizontaler Richtung verschoben werden. Um diesen Effekt optimal zu nutzen, sollten Bilder im Querformat verwendet werden. In diesem Fall müssen Sie im entsprechenden Feld die Höhe des Bildes in Pixeln angeben.
Originalbild | Bild mit Effekt

-

Vertikale Rundumsicht: Das Bild kann nur in vertikaler Richtung verschoben werden. Hierfür eignen sich am besten Bilder im Hochformat und Sie müssen im entsprechenden Feld die Höhe in Pixeln angeben, die das Bild in seiner Zelle des Layout-Schemas haben darf.
Originalbild | Bild mit Effekt

-

Maximaler Zoom: Diese Einstellung steht nur für den Modus Frei verschieben zur Verfügung und ermöglicht die Einstellung des Zoomfaktors, der auf das Bild angewendet werden soll, damit es größer ist als sein Anzeigebereich. Wenn das Bild nicht vergrößert wird, kann es auch nicht verschoben werden.

-

Höhe: Diese Einstellung ist nur für die Modalitäten Horizontale Rundumsicht und Vertikale Rundumsicht verfügbar und ermöglicht im ersten Fall die Einstellung der Höhe des Bildes in Pixeln und im zweiten Fall der Höhe der Zelle im Layout-Schema, die das Bild enthält.

-

Bild vergrößern: Diese standardmäßig aktivierte Option bewirkt, dass das Bild per Mausklick vergrößert und verkleinert werden kann. Beim Öffnen der Seite wird das Bild in Originalgröße angezeigt und das Symbol in der unteren rechten Bildecke signalisiert, dass es gezoomt werden kann. Per Mausklick wird das Bild auf der Grundlage des eingestellten Zoomfaktors vergrößert.

-

Zoomleiste anzeigen: Diese Option ist nur verfügbar wenn Bild vergrößern gewählt wurde. Bei Aktivierung wird im Bildfenster eine Leiste angezeigt, in der der Zoom reguliert und eingestellt werden kann.

-

Navigator anzeigen: Bei Aktivierung dieser Option wird ein Navigationswerkzeug eingeblendet. Dies ist ein kleines Fenster im Bild, das eine Miniatur enthält. Das heißt, das Bild wird komplett angezeigt und im Navigator ist der aktuell gewählte Ausschnitt zu sehen. Mögliche Aktionen:
- | Sie können auf den Ausschnitt klicken und ihn in die gewünschte Position ziehen. Dies entspricht dem manuellen Verschieben des Bildes.
- | Sie können auf den Navigator klicken, in dem der Bildausschnitt angezeigt wird, und diesen innerhalb des Bildes verschieben.
- | Sie können in die untere rechte Ecke des Navigators klicken und mit der Maus ziehen, um die Größe des Navigators anzupassen.
Wenn Sie den Mauszeiger in den bereich außerhalb des Bildes verschieben, wird der Navigator mit einer Bewegung zum jeweils nächsten Bildrand ausgeblendet.

-

Bild automatisch bewegen: Bei Aktivierung dieser Option wird das Bild während der Anzeige automatisch verschoben. Dies ist nützlich, um dem Nutzer zu zeigen, dass das Bild vergrößert werden kann. Er kann die Bewegung steuern, indem er den Mauszeiger an die Bildränder bewegt, durch Anklicken Zoomen und ein zweites Anklicken die Ansicht wieder verkleinern.

Verwandte Themen:
- | Objekt Bild
- | Grafik-Editor


Objekt Bild | Tab Sitemap

Mit den Optionen im Tab Sitemap des Fensters Objekt Bild können Sie in die Sitemap zusätzliche Bildinformationen einfügen.

Aktivieren Sie hierzu zunächst die Option Bild in die Sitemap einbinden: Auf diese Weise werden in die Sitemap, die von WebSite X5 automatisch generiert wird (siehe Sitemap automatisch erstellen in Allgemeine Einstellungen | Tab Erweitert) , die entsprechenden Bildinformationen eingefügt. Anschließend müssen Sie folgende Einstellungen vornehmen:
- | Titel: Optionaler Parameter. Hier können Sie dem Bild einen Titel geben.
- | Kurzbeschreibung: Optionaler Parameter. Geben Sie hier, falls gewünscht, eine Beschreibung oder eine Bildunterschrift ein.
- | Geografische Lage: Optionaler Parameter. Geben Sie hier, falls gewünscht, Zusatzinformationen wie eine Adresse, einen Ort oder ein Land ein, die die geografische Zuordnung des Bildes ermöglichen.
- | Lizenz-URL: Optionaler Parameter. Geben Sie hier, falls gewünscht, die URL der Lizenzdatei für das Bild ein.

 Es ist nicht möglich, in die Sitemap Bilder einzubinden, für die der Schutz gegen unrechtmäßiges Kopieren aktiviert wurde (siehe Bereich Schutz in Objekt Bild | Tab Allgemein).

Verwandte Themen:
- | Objekt Bild
- | Grafik-Editor
- | Erstellen und Verlinken der Sitemap


Objekt Tabelle

Tabellen eignen sich optimal, um Daten zu organisieren und zu präsentieren.

Oftmals ermöglicht eine Tabelle die effiziente, zusammenfassende Darstellung und Präsentation von großen Datenmengen, die andernfalls lange Texte erfordern würde. So ist beispielsweise eine Tabelle mit den Preisen eines Hotels, organisiert nach Zimmertyp und Saison, wesentlich einfacher zu lesen und verständlicher als ein Fließtext mit den gleichen Informationen.

Ein weiterer Vorzug von Tabellen ist, dass sie als grafisches Element eine Seite bereichern und die Monotonie eines langen Textes auflockern.

Damit diese Vorzüge auch wirklich ausgenutzt werden, müssen Tabellen gut strukturiert werden, sollten nicht zu komplex und ästhetisch ansprechend sein.

Anleitung

Mit Doppelklick auf das Objekt Tabelle im Layout-Schema wird das entsprechende Dialogfenster geöffnet. Im Editor dieses Fensters können Sie direkt eine Tabelle erstellen.

Voreingestellt ist eine Tabelle mit zwei Zeilen und drei Spalten einer Gesamtbreite, die eine ganze Zelle im Layout-Schema ausfüllt. Sie können Zeilen oder Spalten hinzuzufügen oder entfernen, deren Größe bestimmen sowie Zellen verbinden oder teilen, um mehr oder weniger komplexe Tabellen zu erstellen.

Folgende Funktionen stehen zur Verfügung:

 Ausschneiden [Strg+X] - Kopieren [Strg+C] - Einfügen [Strg+V]
Mit der Funktion Einfügen werden alle eventuell vorhandenen Formatierungen aus dem Text entfernt und die im Editor festgelegten angewendet.

Inhalte einfügen
Mit diesem Befehl wird zuvor mit den entsprechenden Funktionen ausgeschnittener oder kopierter Text eingefügt. Der so eingefügte Text behält seine Originalformatierungen.

Rückgängig [Strg+Z] - Wiederherstellen [ALT+UMSCHALT+BACKSPACE]
zum Annullieren/Wiederherstellen der zuletzt durchgeführten/annullierten Operation.

Link einfügen [CTRL+L]
Mit dieser Funktion können Sie markierten Text und/oder ein Bild verlinken. Die Einstellungen für Hyperlinks können Sie im Dialogfenster Link vornehmen.

Bild einfügen
Fügen Sie ein Bild (Formate .JPG, .GIF, .PNG, .BMP) in eine Zelle der Tabelle ein. An den Ankerpunkten können Bilder außerdem frei in der Größe angepasst werden.

HTML-Code aktivieren
Mit dieser Funktion können Sie HTML-Code direkt in die Tabelle eingeben. Im HTML-Modus werden die Zeichen < und > nicht als "kleiner als" bzw. "größer als" interpretiert, sondern in diese Zeichen eingefügter Text wird als HTML-Tag gelesen.

RollOver-Einstellungen
Hiermit können Sie Text mit RollOver-Effekt konfigurieren: Das heißt, der Text ist nicht mehr statisch, sondern kann gescrollt werden. Die RollOver-Einstellungen werden im Dialogfenster RollOver vorgenommen.

Heller/dunkler Hintergrund
Hier können Sie den Hintergrund des Tabellen-Editors hell oder dunkel einstellen. Dies erleichtert zum Beispiel die Eingabe von hellem Text, der mit dem jeweils gewählten Template im Kontrast stehen soll.

Zeile einfügen / Zeile löschen / Spalte einfügen / Spalte löschen
Mit diesen Schaltflächen können Sie nach der Zelle, in der der Cursor positioniert ist, eine Zeile oder Spalte einfügen bzw. löschen.

Zellen verbinden - Zellen teilen
Mit diesen Funktionen können Sie jeweils mehrere nebeneinander liegende Zellen zu einer verbinden oder die aktive Zelle horizontal in zwei Zellen teilen.

Schrift - Schriftgröße
Hier können Sie eine Schrift (einen Font) auswählen und dessen Größe definieren.

Das Dropdown-Menü enthält alle Zeichensätze, die auf dem lokalen Computer installiert sind. Wenn der verwendete Zeichensatz nicht auch auf dem Computer der Anwender installiert ist, wird er automatisch durch eine ähnliche Systemschrift ersetzt.

Fett [Strg+B] - Kursiv [Strg+I] - Unterstrichen [Strg+U]
Mit diesen Schaltflächen werden auf markierten Text jeweils die entsprechenden Schriftschnitte angewendet.

Textfarbe - Hintergrundfarbe
Mit Klick auf diese Schaltflächen öffnet sich das Dialogfenster Farbe, in dem Sie die gewünschte Farbe für den Text bzw. den Zellenhintergrund auswählen können.

Zellenrandfarbe
Öffnet ein Dialogfenster, in dem Sie den Rändern der markierten Zellen Farben zuweisen können. Außer der Farbe können Sie auch die Breite der Ränder bestimmen, die die Zeilen und/oder Spalten der Tabelle begrenzen.

Aufzählung
Mit diesem Befehl können Sie eine Liste mit Aufzählungszeichen erstellen.

Zeileneinzug vergrößern / Zeileneinzug verkleinern
Hier können Sie den Einzug eines Absatzes vergrößern bzw. verkleinern.

Linksbündig - Zentriert - Rechtsbündig - Blocksatz
Stellen Sie hier die Ausrichtung Ihres Textes ein.

Text links - Standard - Text rechts
Diese Schaltflächen sind aktiv, wenn innerhalb einer Zelle ein Bild und Text markiert werden. Sie können festlegen, ob der Text rechts oder links vom Bild verlaufen oder das Bild in den Textfluss eingebettet werden soll.

Oben ausrichten - Zentrieren - Unten ausrichten
Definieren Sie hier die Position des Textes innerhalb der Zelle.

Mit Rechtsklick kann außerdem das Kontextmenü aufgerufen werden, das neben den Standardoptionen Rückgängig, Ausschneiden, Kopieren, Einfügen, Inhalte einfügen und Löschen auch folgende Befehle enthält:

-

Zeilenhöhe
Öffnet ein Dialogfenster, in dem Sie die Höhe markierter Zeilen in Pixeln einstellen können. Wenn Sie den Wert 0 eingeben, nehmen die Zeilen automatisch die erforderliche Mindesthöhe an, um den eingefügten Inhalt anzuzeigen.

-

Spaltenbreite
Öffnet ein Dialogfenster, in dem Sie die Breite markierter Spalten in Pixeln einstellen können.

Die Abmessungen der Zeilen, Spalten oder der einzelnen Zellen können auch geändert werden, indem Sie mit dem Mauszeiger auf den Rand klicken, die linke Maustaste gedrückt halten und den Rand in die gewünschte Position ziehen. Wenn Sie eine Zelle auswählen und den linken und/oder rechten Rand der Zelle verschieben, werden nur die Abmessungen dieser Zelle geändert.

Wenn eine Tabelle keinen Text enthält, gilt sie als leer und wird nicht angezeigt.

Verwandte Themen:
- | Das Layout-Schema im Bereich Erstellen der Seiten
- | Die Objekte im Bereich Erstellen der Seiten
- | Link einfügen
- | RollOver-Einstellungen


Objekt Flash-Animation

Mit WebSite X5 können Sie in die Seiten verschiedene Animationstypen und Effekte einfügen, um sie attraktiver und ansprechender zu gestalten.

Sie können eine beliebige Flash-Animation (Format .SWF) einfügen: vom einfachen Banner mit Text und Bildern bis hin zu komplexen, interaktiven Videos, die lokal auf Ihrem PC gespeichert oder im Internet veröffentlicht sind.
Mit den erweiterten Funktionen können Sie ferner Dateien anhängen, die für die korrekte Darstellung der Animation eventuell erforderlich sind.

Anleitung

Mit Doppelklick auf das Objekt Flash-Animation im Layout-Schema wird das entsprechende Dialogfenster geöffnet. In diesem Fenster wählen Sie die zu importierende Datei, definieren ihre Eigenschaften und fügen eventuell erforderliche, verknüpfte Dateien hinzu.

Die diesbezüglichen Optionen sind in zwei Bereiche gegliedert:
- | Tab Allgemein
- | Tab Erweitert

Verwandte Themen:
- | Das Layout-Schema im Bereich Erstellen der Seiten
- | Die Objekte im Bereich Erstellen der Seiten

 Um schnell und einfach eigene Flash-Animationen zu gestalten, probieren Sie die Software SWiSH Max aus.
Weitere Informationen: www.incomedia.eu/swishmax.


Objekt Flash-Animation | Tab Allgemein

Im Tab Allgemein des Fensters Objekt Flash-Animation wählen Sie die Animationsdatei aus.

Die Flash-Animation kann eine lokale Datei sein oder aus dem Internet importiert werden. Aktivieren Sie im ersten Fall die Option Lokale Datei und klicken Sie auf die Schaltfläche [image] neben dem Feld, um die entsprechende Ressource im Format .SWF auszuwählen. Im zweiten Fall aktivieren Sie die Option Datei im Internet und geben in das Feld die URL ein, unter der die Ressource online verfügbar ist.

Sie können die Vorschau der importierten Animation in einem eigenen Fenster anzeigen, indem Sie die Option Vorschau aktivieren.

 Um die Vorschau anzeigen zu können, müssen Sie den Macromedia Flash Player installieren.

Für die eingefügte Animation können Sie folgende Eigenschaften festlegen:
- | Alternativtext: Geben Sie hier den Text ein, der alternativ angezeigt werden soll, wenn die Flash-Animation nicht wiedergegeben werden kann.
- | Breite: Stellen Sie hier die gewünschte Breite der Flash-Animation in Pixeln ein. In Klammern ist der Höchstwert für die Breite des Objekts angegeben: Dieser Wert wird im Layout-Schema festgelegt.
- | Höhe: Stellen Sie hier die gewünschte Höhe der Flash-Animation in Pixeln ein.
- | Playerversion: Wählen Sie hier die Version des Flash-Players aus, die für die Anzeige der Animation erforderlich ist. Verfügt der Benutzer nicht über die hier angegebene Version, wird automatisch ein Fenster mit einer Update-Aufforderung eingeblendet.
- | Transparenter Hintergrund: Bei Aktivierung dieser Option wird der Hintergrund der eingefügten Animation transparent.

Verwandte Themen:

-

Objekt Flash-Animation

Um schnell und einfach eigene Flash-Animationen zu gestalten, probieren Sie die Software SWiSH Max aus.
Weitere Informationen: www.incomedia.eu/swishmax.


Flash-Animation | Tab Erweitert

Im Tab Erweitert des Fensters Objekt Flash-Animation können Sie die Dateien angeben, die gegebenenfalls importiert werden müssen, damit die Flash-Animation korrekt funktioniert.

Alle mit der Flash-Animation verknüpften Dateien werden in der Übersicht angezeigt. Außer den Dateinamen enthält die Tabelle auch den jeweiligen Serverpfad.

Um die Liste der mit der Flash-Animation verknüpften Dateien zusammenszustellen, stehen Ihnen folgende Optionen zur Verfügung:
- | Hinzufügen...: Öffnet das Dialogfenster Verlinkte Datei hochladen, in dem Sie eine neue verknüpfte Datei auswählen können.
- | Bearbeiten...: Öffnet ebenfalls das Dialogfenster Verlinkte Datei hochladen, in dem Sie die Einstellungen für die aus der Liste der verknüpften Dateien ausgewählte Datei ändern können.
- | Entfernen: Löschen einer markierten Datei aus der Übersicht der verlinkten Dateien.

Ferner steht folgende Option zur Verfügung:

-

Serverpfad: Geben Sie hier den Pfad zu dem Verzeichnis an, in dem die .SWF-Datei der Flash-Animation veröffentlicht werden soll.

Verwandte Themen:

-

Objekt Flash-Animation

Um schnell und einfach eigene Flash-Animationen zu gestalten, probieren Sie die Software SWiSH Max aus.
Weitere Informationen: www.incomedia.eu/swishmax.


Objekt Video und Audio

In Website X5 können Sie auch Websites erstellen, mit denen Sie Ihre Besucher beispielsweise mit Videos und Musik unterhalten.

Videos haben heute eine Verbreitung, die bis vor Kurzem noch undenkbar waren: Ein Video aufzuzeichnen, auf den Computer zu übertragen, dort zu bearbeiten und dann online zustellen, ist ein für jeden zugänglicher Prozess.

In WebSite X5 können Sie ausgesprochen einfach jeden Videotyp importieren, in Ihre Site einfügen und veröffentlichen. WebSite X5 unterstützt alle gängigen Viodeoformate und gibt FLV- und MP4-Dateien mit dem programmeigenen Player wieder. Es können sowohl lokal gespeicherte als auch online verfügbare Dateien eingebunden werden, auch von Portalen wie YouTube oder Vimeo.

Anleitung

Mit Doppelklick auf das Objekt Video und Audio im Layout-Schema wird das entsprechende Dialogfenster geöffnet. In diesem Fenster können Sie zu importierende Dateien auswählen, deren Eigenschaften festlegen, entscheiden, ob sie in die Sitemap aufgenommen werden sollen und in diesem Fall die entsprechenden Informationen eingeben.

Die Funktionen, die Sie für die Gestaltung eines Video- oder Audio-Objekts benötigen, sind in zwei Bereiche gegliedert:
- | Tab Allgemein
- | Tab Sitemap

Verwandte Themen:
- | Das Layout-Schema im Bereich Erstellen der Seiten
- | Die Objekte im Bereich Erstellen der Seiten


Objekt Video und Audio | Tab Allgemein

Im Tab Allgemein des Fensters Objekt Video und Audio können Sie die Dateien für das Objekt auswählen und einige Einstellungen für die Widergabe vornehmen.

Je nachdem, wo sich die zu importierende Ressource befindet, bestehen unterschiedliche Möglichkeiten für die Einbettung:

-

Lokale Datei: Bei Aktivierung dieser Option klicken Sie auf die Schaltfläche [image], um aus den verfügbaren Ressourcen die gewünschte Datei auszuwählen. Unterstützt werden die Formate .AVI, .WMV, .MPG, .MOV, MP3, .WMA, .WAV, .MID, und .M4A.

-

Datei im Internet: Bei Aktivierung dieser Option müssen Sie die URL eingeben, unter der die Video- oder Audio-Datei online zur Verfügung steht.

-

YouTube-/Vimeo-URL: Bei Aktivierung dieser Option müssen Sie die URL der YouTube- oder Vimeo-Seite eingeben, unter der die Video- oder Audio-Datei abrufbar ist.

Wenn Sie auf diese Weise ein auf YouTube veröffentlichtes Video einfügen, wird die Originalgröße den Einstellungen von WebSite X5 angepasst. Für umfangreichere Steueroptionen wird empfohlen, YouTube-Videos nicht als Objekt Video und Audio, sondern als Objekt HTML und Widgets zu importieren.

Sie können die Vorschau der importierten Animation in einem eigenen Fenster anzeigen, indem Sie die Option Vorschau aktivieren.

Je nach dem Format der importierten Video- oder Audiodatei werden für die Wiedergabe unterschiedliche Player verwendet:

Player | Videoformate | Audioformate
WebSite X5 Media Player | .MP4 und .FLV | .MP3
Microsoft Windows Media Player | .AVI, .WMV und .MPG | .WAV und .WMA
QuickTime Player | .MOV und .AIF | .M4A

Unabhängig von dem für die Wiedergabe verwendeten Player können folgende Eigenschaften festgelegt werden:
- | Alternativtext: Hier können Sie einen Text eingeben, der angezeigt wird, wenn die Video- oder Audiodatei nicht wiedergegeben werden kann.
- | Breite: Stellen Sie hier die gewünschte Breite des Videos oder der Steuerleiste für die Audiowiedergabe in Pixeln ein. In Klammern ist der Höchstwert für die Breite des Objekts angegeben: Dieser Wert wird im Layout-Schema festgelegt.
- | Höhe: Stellen Sie hier die gewünschte Höhe des Videos oder der Steuerleiste für die Audiowiedergabe in Pixeln ein. Der Wert in Klammern gibt den zulässigen Höchstwert für die Steuerleiste der Audiowiedergabe (35 Pixel) an. Der Mindestwert hingegen beträgt 15 Pixel.
- | Steuerleiste anzeigen: Bei Aktivierung dieser Option wird eine Leiste mit allen Steuerelementen für die Wiedergabe und Verwaltung von Videos oder Musik eingeblendet.
- | Automatische Wiedergabe: Bei Aktivierung dieser Option werden Video- und Audiodateien automatisch wiedergegeben.

Nur für die Wiedergabe der importierten Datei mit dem WebSite X5 Media Player können zusätzlich folgende Eigenschaften festgelegt werden:
- | Button für Vollbildansicht aktivieren: Bei Aktivierung dieser Option wird der Steuerleiste ein Element hinzugefügt, mit dem die Videowiedergabe in den Vollbildmodus umgeschaltet werden kann.
- | Steuerleiste automatisch ausblenden: Bei Aktivierung dieser Option wird die Steuerleiste nur bei Mauskontakt mit dem Wiedergabefenster angezeigt.
- | Farbe der Steuerleiste: Mit Klick auf die Schaltfläche Farbe öffnet sich die Farbpalette, in der Sie eine Farbe für die Steuerleiste auswählen können.

Verwandte Themen:

-

Objekt Video und Audio


Objekt Video und Audio | Tab Sitemap

Mit den Optionen im Tab Sitemap des Fensters Objekt Video und Audio können Sie in die Sitemap zusätzliche Informationen über Ihre Videos einfügen.

Aktivieren Sie hierzu zunächst die Option Video in die Sitemap einbinden: Auf diese Weise werden in die Sitemap, die von WebSite X5 automatisch generiert wird (siehe Sitemap automatisch erstellen in Allgemeine Einstellungen | Tab Erweitert) , die entsprechenden Videoinformationen eingefügt. Anschließend müssen Sie folgende Einstellungen vornehmen:
- | Titel: Obligatorischer Parameter. Geben Sie einen Titel für das Video ein. Die bei Google maximal zulässige Länge für Videotitel beträgt 100 Zeichen.
- | Kurzbeschreibung: Obligatorischer Parameter. Geben Sie eine Kurzbeschreibung für das Video ein. Die bei Google maximal zulässige Länge für Beschreibungen beträgt 2048 Zeichen. Längere Beschreibungen werden abgebrochen.
- | Kategorie: Optionaler Parameter. Geben Sie hier, falls gewünscht, eine Kategorie ein, der das Video seinem Inhalt nach zugeordnet werden könnte. Bei Google kann jedes Video nur einer Kategorie zugeordnet werden und der Name der Kategorie darf aus maximal 256 Zeichen bestehen.
- | Keywords für die Websuche: Optionaler Parameter. Geben Sie hier Tags ein, also Schlüsselwörter oder kurze Infos über den Inhalt Ihres Videos. Bei Google darf jedes Video maximal 32 Tags haben.
- | Vorschaubild für das Video: Obligatorischer Parameter. Wählen Sie hier ein Vorschaubild für Ihr Video aus. Google empfiehlt für diese Miniaturen eine Mindestgröße von 120 x 90 Pixeln und das Bildformat .JPG, .PNG oder .GIF.
- | Veröffentlicht am: Optionaler Parameter. Hier können Sie das Datum eingeben, an dem das Video veröffentlicht wurde.
- | Länge (Sek.): Optionaler Parameter. Hier können Sie die Länge des Videos in Sekunden angeben. Google empfiehlt dringend, diese Information bereitzustellen. Die Videolänge kann 0 bis 28800 Sekunden (8 Stunden) betragen.
- | Inhalte für Minderjährige geeignet: Optionaler Parameter. Mit Aktivierung dieser Option versichern Sie, dass der Inhalt des Videos für minderjährige Personen geeignet ist. Google weist darauf hin, dass Videos, die als ungeeignet für Minderjährige eingestuft sind, nur betrachtet werden können, wenn der Filter SafeSearch deaktiviert ist. Die Funktion SafeSearch von Google filtert Websites mit sexuellen oder pornografischen Inhalten aus den Suchergebnissen heraus.

Verwandte Themen:
- | Objekt Video und Audio
- | Erstellen und Verlinken der Sitemap


Objekt Galerie

Die starke Verbreitung der Digitalfotografie und hiermit verbundener Online-Dienste macht es ausgesprochen einfach, ganze Fotogalerien im Web mit anderen zu teilen.
Sie können Ihre Familienfotos veröffentlichen, um sie entfernten Verwandten und Freunden zu zeigen, oder Alben und Kataloge erstellen, als Hobby oder für die Arbeit.

Mit WebSite X5 können Sie eindrucksvolle Galerien erstellen, um nicht nur Ihre Fotos, sondern auch Videos zu präsentieren. Zur Verfügung stehen Galerien in Flash oder JavaSkript, die auf unterschiedlichen Methoden für die Navigation und Anzeige beruhen. So können Sie beispielsweise eine Steuerleiste einfügen sowie die Bilder als Sequenz oder als Miniaturen darstellen.

Im Allgemeinen unterscheiden sich, abgesehen von den verschiedenen Technologien, JavaScript-Galerien von Flash-Galerien in der Verwendung der ShowBox für die vergrößerte Anzeige. Der Benutzer klickt auf eine der Miniaturansichten und das entsprechende Bild oder Video wird in einem separaten Fenster angezeigt, das die geöffnete Seite überlagert. Wird nun der Mauszeiger auf der vergrößerten Ansicht positioniert, werden Steuerelemente eingeblendet, mit denen Sie direkt zum vorherigen oder nächsten Bild gelangen, ohne zu den Miniaturansichten zurückkehren zu müssen.

Die Gestaltung der ShowBox kann komplett individuell angepasst werden: Mit den Optionen in Stile und Modelle | Tab ShowBox in Schritt 4 - Erweiterte Einstellungen können Sie beispielsweise Farben, Schatten, die Deckkraft und Einblendeffekte festlegen.

Anleitung

Mit Doppelklick auf das Objekt Galerie im Layout-Schema wird das entsprechende Dialogfenster geöffnet. Hier können Sie den Galerietyp auswählen (Flash oder JavaSkript), die Liste der zu verwendenden Bilder bzw. Videos zusammenstellen, die Galerie mit den entsprechenden Einstellungen individuell gestalten und, sofern erforderlich, die grafischen Aspekte der Miniaturen bearbeiten.

Die Funktionen, die Sie für die Konfiguration einer Galerie benötigen, sind in drei Sektionen untergliedert:
- | Tab Stil
- | Tab Liste
- | Tab Miniaturbild

 JavaSkript-Galerien können auch über einen Link innerhalb von Seiten gestartet werden: Für weitere Informationen siehe Link.

Verwandte Themen:
- | Das Layout-Schema im Bereich Erstellen der Seiten
- | Die Objekte im Bereich Erstellen der Seiten
- | Stile und Modelle | Tab ShowBox


Objekt Galerie | Bereich Stil

Im Tab Stil des Fensters Objekt Galerie können Sie den gewünschten Galerietyp auswählen und einige allgemeine Einstellungen vornehmen.

Wie bereits erwähnt, können Sie in WebSite X5 zwischen zwei verschiedenen Galerietypen wählen: Flash-Galerien und JavaSkript-Galerien.

Die verfügbaren Flash-Galerien sind folgende:
- | Klassische Slideshow Bei diesem Galerietyp werden die Bilder und Videos als Sequenz, also nacheinander angezeigt. Wird dieser Typ ausgewählt, ist die Wiedergabemodalität vom Einblend-Effekt abhängig. Der Übergang von einem Bild zum nächsten erfolgt über die Bedienelemente der Steuerleiste. Auf der Leiste mit den Steuerelementen sehen Sie Miniaturen, sodass Sie direkt die gewünschten Bilder öffnen können.
- | Horizontale Bildergalerie In dieser Galerie sind die Miniaturen über oder unter dem jeweils ausgewählten Bild angeordnet. Wenn der Mauszeiger auf den Miniaturen positioniert wird, bewegt sich die Sequenz nach rechts oder links. Mit Klick auf eine Miniatur wird das jeweilige Bild bzw. Video und der Großansicht gezeigt. Die Art dieser Anzeige ist von dem eventuell eingestellten Einblend-Effekt abhängig.
- | Vertikale Bildergalerie Dieser Galerietyp entspricht dem vorstehend beschriebenen, mit dem einzigen Unterschied, dass die Miniaturen vertikal rechts oder links von der Großansicht dargestellt werden.

Die verfügbaren JavaSkript-Galerien hingegen sind folgende:
- | Miniaturbild In diesem Galerietyp sehen Sie nur Miniaturen. Mit Klick auf eine Miniatur wird das jeweilige Bild bzw. Video in der ShowBox gezeigt.
- | Miniaturbilder in erweiterter Zellenstruktur Diese Galerie ist identisch mit der vorstehend beschriebenen, mit der zusätzlichen Möglichkeit, einzustellen, wie viele Bilder maximal angezeigt werden sollen. Diese Modalität bietet sich an, wenn die Galerie sehr viele Bilder bzw. Videos enthält. Der Benutzer kann mit dem Steuerelement von einer Gruppe zur nächsten umschalten und dabei immer auf der gleichen Seite bleiben.
- | Horizontale Miniaturbilder In diesem Galerietyp wird nur eine horizontale Leiste mit Miniaturen angezeigt. Mit Klick auf eine Miniatur wird das jeweilige Bild bzw. Video in der ShowBox angezeigt.
- | Vertikale Miniaturbilder Dieser Galerietyp entspricht dem vorstehend beschriebenen, mit dem einzigen Unterschied, dass die Miniaturen vertikal dargestellt werden.

Je nach ausgewähltem Galerietyp können Sie unterschiedliche Einstellungen vornehmen.

Für Flash-Galerien stehen folgende Einstellungen zur Verfügung:
 |  | Klassische Slideshow | Horizontale Bildergalerie | Vertikale Bildergalerie
- | Breite Definieren Sie hier die maximale Breite der Bilder in Pixeln. | Ja | Ja | Ja
- | Höhe Definieren Sie hier die maximale Höhe der Bilder in Pixeln. | Ja | Ja | Ja
- | Miniaturbilder in der Steuerleiste anzeigen: Diese standardmäßig aktivierte Option bewirkt, dass in der Steuerleiste, die bei Mauskontakt eingeblendet wird, außer den Steuerelementen auch Miniaturansichten aller Bilder angezeigt werden. Auf diese Weise muss der Betrachter die Bilder nicht zwingend nacheinander ansehen, sondern kann direkt ein Bild oder Video auswählen, das ihn interessiert. | Ja | Nein | Nein
- | Sichtbare Miniaturen Hier können Sie festlegen, wie viele Miniaturen außer dem Hauptbild angezeigt werden sollen. | Nein | Ja | Ja
- | Position der Miniaturbilder Hier können Sie festlegen, an welcher Seite des Hauptbilds die Miniaturen angezeigt werden sollen. | Nein | Ja | Ja

Für Flash-Galerien können darüber hinaus folgende Eigenschaften festgelegt werden:
- | Steuerleiste anzeigen: Mit dieser standardmäßig aktivierten Option wird bei Mauskontakt eine Steuerleiste für die Navigation durch die Bilder und Videos eingeblendet. Die Basissteuerelemente sind [image] Präsentation starten, [image] Vorheriges Bild und [image] Nächstes Bild.
- | Automatische Wiedergabe: Bei Aktivierung dieser Option werden die Bilder und Videos nach dem Start der Galerie automatisch wiedergegeben.
- | Zufallsanzeige: Bei Aktivierung dieser Option werden die Bilder und Videos nicht in der Reihenfolge, in der sie angeordnet sind, sondern in einer zufälligen Abfolge wiedergegeben.
- | Farbe der Steuerleiste: Mit Klick auf die Schaltfläche Farbe öffnet sich die Farbpalette, in der Sie eine Farbe für die Steuerleiste auswählen können.
- | Hintergrundfarbe: Mit Klick auf die Schaltfläche Farbe öffnet sich die Farbpalette, in der Sie die Hintergrundfarbe für die Galerie auswählen können.
- | Schriftgröße: Legen Sie hier die Größe des Texts fest, der unter dem groß dargestellten Bild oder Video angezeigt wird.
- | Soundtrack: Hier können Sie eine Audiodatei (Format MP3) auswählen, die während der Wiedergabe der Galerie als Soundtrack zu hören ist.

Für JavaSkript-Galerien stehen folgende Einstellungen zur Verfügung:
- | Sichtbare Miniaturen: Legen Sie hier fest, wie viele Miniaturen angezeigt werden sollen.
- | Anzahl von Zeilen pro Seite: Diese Option ist nur für den Galerietyp Miniaturen in erweiterter Zellenstruktur verfügbar. Hier können Sie festlegen, wie viele Zeilen die Gruppe der angezeigten Miniaturen haben kann.
- | Bei Klick das vergrößerte Bild in der ShowBox anzeigen: Mit dieser standardmäßig aktiven Option können Sie die Miniatur mit der vergrößerten Anzeige des Bildes oder Videos in der ShowBox verlinken.
- | Breite / Höhe: Diese Einstellungen sind nur verfügbar, wenn die Option Bei Klick das vergrößerte Bild in der ShowBox anzeigen aktiviert wurde. Sie können wie breit und wie hoch das Fenster der ShowBox maximal sein darf.

Verwandte Themen:
- | Objekt Galerie
- | Stile und Modelle | Tab ShowBox


Objekt Galerie | Bereich Liste

Im Tab Liste des Fensters Objekt Galerie stellen Sie die Liste der Bilder und Videos zusammen, die in die Galerie aufgenommen werden sollen:

Alle bereits importierten Dateien werden in der Dateiliste angezeigt: Wenn Sie eine von den in die Liste aufgenommenen Dateien auswählen, wird rechts eine Vorschau angezeigt.
Die Dateiliste enthält von jedem Bild oder Video den jeweiligen Pfad, den eventuell zugewiesenen Einblendeffekt, ein Häkchen, das auf die Zuweisung eines Links hinweist, sowie eine Beschreibung.

Im Fenster des Objekts Galerie stehen Ihnen folgende Schaltflächen zur Verfügung:

-

Hinzufügen... / Entfernen: Mit diesen Schaltflächen können Sie neue Dateien hinzufügen bzw. markierte löschen. Unterstützt werden Bilddateien in den Formaten .JPG, .GIF, .PNG, .PSD, BMP, TIF, DIB, PCX, RLE, TGA und WMF sowie die Videoformate .FLV und .MP4.
Wenn Sie auf das kleine Dreieck in der Schaltfläche Hinzufügen... klicken, erscheint ein Kontextmenü mit den Optionen Bild hinzufügen, Video hinzufügen und YouTube-/Vimeo-Video hinzufügen.

Bei Auswahl der Option YouTube-/Vimeo-Video hinzufügen öffnet sich ein Dialogfenster, in dem Sie die URL des bereits auf einem der Portale veröffentlichten Videos eingeben können.

-

Nach oben / Nach unten: Mit diesen Schaltflächen können Sie eine markierte Datei vor oder hinter die in der Dateiliste jeweils benachbarte verschieben.

-

Bearbeiten...: Diese Schaltfläche öffnet den Grafik-Editor, in dem ein in der Dateiliste ausgewähltes Bild bearbeitet werden kann.

Je nach gewähltem Galerietyp (siehe Objekt Galerie | Tab Stil) können für jedes eingefügte Bild oder Video einige Optionen definiert werden:
- | Effekt...: Mit Klick auf die Schaltfläche [image] öffnen Sie das Dialogfenster Eigenschaften der Effekte , in dem Sie Einblend-, Bewegungs- und Zoom-Effekte für Bilder und Videos festlegen können, die vorher in der Dateiliste markiert wurden. Die eingestellten Effekte werden nur in Flash-Galerien wiedergegeben. Bei JavaSkript-Galerien hingegen wird auf alle Bilder und Videos ein Einblend-Effekt angewendet.
- | Link: Mit Klick auf die Schaltfläche [image] öffnet sich das Dialogfenster Link, in dem Sie die Verknüpfung, die einem Bild aus der Dateiliste zugewiesen werden soll, konfigurieren können. Bei JavaScript-Galerien ersetzt der hier eingestellte Link die vergrößerte Bildansicht, auch dann, wenn die Option Bei Klick das vergrößerte Bild in der ShowBox anzeigen aktiviert wurde. Bei Flash-Galerien können auch Videos verlinkt werden.
- | Beschreibung: Hier können Sie für das jeweilige, in der Dateiliste markierte Bild oder Video eine Beschreibung eingeben. Der Text wird unter dem Fenster angezeigt, das das vergrößerte Bild oder Video enthält.

Verwandte Themen:
- | Objekt Galerie
- | Grafik-Editor
- | Dialogfenster Effekte


Objekt Galerie | Bereich Miniaturbild

Im Tab Miniaturbild des Fensters Objekt Galerie können Sie einige grafische Einstellungen für die Miniaturbilder Ihrer Galerien vornehmen.

Das Miniaturbild ist eine verkleinerte Darstellung des in die Galerie eingefügten Bildes oder Videos, die vom Programm automatisch erstellt wird. Für eine ansprechendere Gestaltung können die Miniaturbilder in Rahmen dargestellt werden, in denen sie wie Dias, Fotogramme eines Films, Post-Its usw. wirken.

Für die Definition des Designs können Sie zwischen folgenden Optionen wählen:

-

Vordefinierte Rahmen: Wählen Sie den gewünschten Rahmen aus den vorhandenen aus.

-

Individuell erstellte Rahmen: Wählen Sie die Bilddatei (Format .JPG, .GIF, .PNG, .BMP, .PSD, .TIF, .DIB, .PCX, .RLE, .TGA und .WPG) des gewünschten Rahmens.

Um einen neuen Rahmen zu erstellen, muss ein Bild entsprechend vorbereitet und separat gespeichert werden. Es sollte quadratisch sein, sofern erforderlich, sollte die äußere Transparenz erhalten bleiben und es muss im Format .PNG gespeichert werden.

Für die Miniaturbilder stehen darüber hinaus folgende Optionen zur Verfügung:

-

Äußerer Bildrand (%): Hier können Sie den Abstand definieren, der zwischen dem Miniaturbild und dem Rahmen bestehen bleiben soll.

-

Farbänderung: Mit Klick auf die Schaltfläche Farbe öffnet sich die Farbpalette, in der eine Farbe ausgewählt werden kann, mit der der rahmen schattiert werden soll. Das heißt, es wird ein Colorize-Effekt angewendet, der den Rahmen in der ausgewählten Farbe schattiert.

Der Effekt der Farbvariante kann nur bei Rahmen verwendet werden, die nicht schwarz oder weiß sind. In diesen Fällen ist der Colorize-Effekt unwirksam.

Verwandte Themen:

-

Objekt Galerie


Objekt E-Mail-Formular

Beim Surfen im Internet haben Sie gewiss schon oft Formulare gesehen, die ausgefüllt werden müssen, um Daten per E-Mail zu versenden. Solche Module werden als Kontaktformulare verwendet, über die sich Benutzer zu bestimmten Diensten oder für den Zugang zu passwortgeschützten Bereichen anmelden oder mit denen Recherchen und Umfragen durchgeführt werden.

Welchen Zweck auch immer sie erfüllen, mit WebSite X5 können Sie auf sehr einfache Weise ein E-Mail-Formular erstellen, indem Sie die gewünschten Felder, das Layout und die grafischen Eigenschaften definieren und vor allem festlegen, auf welche Weise der Versand und die Erfassung der Daten erfolgen soll.

Anleitung

Mit Doppelklick auf das Objekt E-Mail-Formular im Layout-Schema wird das entsprechende Dialogfenster geöffnet. In diesem Fenster können Sie die Felder festlegen, die das Formular enthalten soll, sowie die Modalitäten für den Versand und die Erfassung der Daten und die grafischen Eigenschaften des Formulars definieren.

Die verschiedenen Funktionen sind in folgende Bereiche gegliedert:
- | Tab Liste
- | Tab Senden
- | Tab Stil

 Wenn die Funktion der erstellten Seite lokal getestet wird, erscheint ein Hinweis, dass die E-Mail den im Formular erfassten Daten nicht gesendet wird. Das E-Mail-Formular funktioniert erst nach der Veröffentlichung der Website auf dem Server vollständigr.

Für den korrekten Betrieb des E-Mail-Formulars muss der Server, auf dem die Website veröffentlicht wird, die Programmiersprache PHP unterstützen und der Befehl MAIL muss aktiviert sein. Diese Informationen über den Server finden Sie im Bereich WebSite Test des Control Panels online.

Treten Probleme mit dem Versenden von E-Mails auf, ist der verwendete Server wahrscheinlich nicht im Standard-Modus konfiguriert. Versuchen Sie in diesem Fall, im Dialogfenster Einstellungen, den Skripttyp und die Methode für den E-Mail-Versand zu ändern. Für weitere Informationen wenden Sie sich bitte an Ihren Webspace-Anbieter.

Verwandte Themen:
- | Das Layout-Schema im Bereich Erstellen der Seiten
- | Die Objekte im Bereich Erstellen der Seiten
- | Control Panel online
- | Fenster Einstellungen


Objekt E-Mail-Formular | Tab Liste

Mit den Funktionen im Tab Liste des Objektfensters E-Mail-Formular können Sie die Liste der Felder zusammenstellen, aus denen sich das E-Mail-Formular zusammensetzen soll.

Die bereits aufgenommenen Felder werden in der Übersicht angezeigt, die von jedem Eintrag folgende Informationen enthalten: Feldname, Feldtyp, Breite, ob es sich um ein Pflichtfeld handelt sowie eine Beschreibung. All diese Parameter können bei der Erstellung des Felds im Dialogfenster Feld eingeben definiert werden.

Die Übersicht fasst nicht nur die wichtigsten Daten der ausgewählten Felder zusammen, sondern ist auch ein praktisches Tool mit verschiedenen Optionen:
- | Mit Doppelklick auf ein Feld öffnet sich das Dialogfenster Feld eingeben, wo Sie die Parameter ändern können;
- | Mit einem zweiten Klick auf ein bereits markiertes Feld können Sie dessen Namen ändern. Dies entspricht dem Öffnen des Dialogfensters Feld eingeben und dem dortigen Ändern der Beschriftung;
- | Nachdem Sie ein Feld markiert haben, können Sie außerdem die Schaltflächen an der rechten Seite nutzen, um eine Kopie zu erstellen sowie das Feld zu löschen, nach oben oder unten zu verschieben oder dessen Einstellungen zu ändern.
Über die Tabelle kann auch die Anordnung der Felder im Formular gesteuert werden. Eine hell gestrichelte Linie symbolisiert die Zeilen des Formulars. Wird ein Feld neben einem anderen positioniert, erscheint neben der Breiteangabe das Symbol [image]. Sind zwei nebeneinander positionierte Felder breiter als der verfügbare Raum, wird dies mit dem Symbol [image] signalisiert: Ändern Sie die Breite nicht, werden die Felder auf zwei Zeilen angezeigt.

Rechts neben der Übersicht finden Sie einige Schaltflächen, mit denen Sie die Liste der Felder für das Formular erstellen können:
- | Hinzufügen...: Öffnet das Dialogfenster Feld eingeben, mit dem Sie ein neues Feld in das Formular einfügen können.
- | Duplizieren: Hier können Sie von einem bestehenden, markierten Feld eine Kopie erstellen.
- | Entfernen: Mit dieser Schaltfläche löschen Sie ein markiertes Feld aus dem Formular.
- | Nach oben / Nach unten: Mit diesen Schaltflächen können Sie ein markiertes Feld vor oder hinter das jeweils benachbarte verschieben.
- | Bearbeiten...: Öffnet das Dialogfenster Feld eingeben, in dem Sie die Einstellungen des zuvor in der Liste markierten Felds ändern können.

Im Dialogfenster Feld eingeben, das sich über die Schaltflächen Hinzufügen... und Bearbeiten... öffnet, können Sie die Definition der einzelnen Felder effektiv vornehmen. Dieses Dialogfenster gliedert sich in zwei Bereiche:
- | Tab Feldtyp
- | Tab Optionen

 Die Schaltflächen Senden für den Versand des ausgefüllten Formulars und Zurücksetzen zum Löschen aller in das Formular eingegebenen Inhalte werden automatisch vom Programm erstellt und am Ende des Formulars eingefügt.

Verwandte Themen:

-

Objekt E-Mail-Formular


Objekt E-Mail-Formular | Tab Liste | Feldtyp

Mit den Optionen im Tab Feldtypen im Fenster Feld eingeben können Sie die Felder auswählen, aus denen sich Ihr E-Mail-Formular zusammensetzen soll.

Zur Auswahl stehen folgende Feldtypen:

 Textfeld: Das auf einer Zeile angeordnete Textfeld wird als leerer Rahmen angezeigt, in dem der Anwender seine Eingabe frei formulieren kann.

E-Mail-Adresse: Spezifisches Textfeld, in das der Anwender eine E-Mail Adresse eingeben kann. In diesen Fällen wird automatisch ein Filter eingerichtet, der prüft, ob die eingegebenen Daten korrekt sind. Um gültig zu sein, muss eine E-Mail-Adresse zum Beispiel das Zeichen @ sowie im Text dahinter einen Punkt enthalten.

Textbereich: Ein auf mehreren Zeilen angeordnetes Textfeld, in das der Anwender einen Kommentar oder eine Frage eingeben kann.

Datum: Spezifisches Textfeld, mit dem der Anwender zur Eingabe eines Datums aufgefordert wird. Dieses Datum kann eingegeben oder in einem Kalender ausgewählt werden.

Drop-Down-Liste: Die möglichen Optionen, aus der der Anwender nur eine auswählen kann, werden als Drop-Down-Liste angezeigt.

Liste: Die möglichen Optionen, aus der der Anwender nur eine auswählen kann, werden als Liste angezeigt.

Mehrfachauswahl: Die möglichen Optionen, aus denen der Anwender mehrere auswählen kann, werden hintereinander als Aufzählung angezeigt.

Einfache Auswahl: Die möglichen Optionen, aus denen der Anwender nur eine auswählen kann, werden hintereinander als Aufzählung angezeigt.

Passwort: Textfeld, in dem die eingegebenen Zeichen verborgen als Punkte oder Sterne (abhängig vom verwendeten Betriebssystem) angezeigt werden. Mit dieser Option können Sie Anwendern die Möglichkeit geben, ein Passwort festzulegen, mit dem sie sich für einen Dienst registrieren.

Dateianhang: Textfeld, über das der Anwender mit der Schaltfläche [image] Ressourcen durchsuchen und eine Datei als Anhang auswählen kann.

In Bezug auf Dateianhänge wenden Sie sich bitte an Ihren Webspace-Provider, um zu prüfen, ob dieser Dienst aktiv ist.

Sicherheitsfrage: Textfeld, in das der Anwender die Antwort auf eine Frage eingeben muss. Auf diese Weise kann zwischen realen Anwendern und Programmen unterschieden werden, die Online-Kontaktformulare für den Versand von Spam nutzen.

Nutzungsbedingungen: Textfeld mit den Nutzungsbedingungen, die der Anwender akzeptieren muss, um Daten versenden zu können. In diesem Feld können zum Beispiel die Datenschutzbestimmungen angezeigt werden.

Je nach ausgewähltem Feldtyp stehen verschiedene Optionen zur Verfügung. Folgende Optionen sind für alle Feldtypen verfügbar:
- | Beschriftung: Geben Sie hier die Beschreibung des Feldes ein. Dieser Text wird über, neben oder in dem entsprechenden Feld angezeigt. Sie können die Beschriftung nutzen, um die erfragte Information näher zu erklären oder die Frage zu stellen, die der Anwender beantworten soll.
- | Breite (%): Geben Sie hier die Breite des Feldes als Prozentsatz der verfügbaren Gesamtbreite ein (5% bis 100%).
- | In derselben Zeile anzeigen, wie das vorherige Feld: Bei Aktivierung dieser Option wird das Feld nicht in einer neuen Zeile, sondern neben dem vorhergehenden angezeigt. Zwei Felder können nur dann nebeneinander angezeigt werden, wenn die Summe der eingestellten Breitenwerte nicht 100% der verfügbaren Gesamtbreite überschreitet.
- | Als obligatorische Eingabe kennzeichnen: Mit dieser Option wird das jeweilige Feld als Pflichtfeld konfiguriert. Für die Mehrfachauswahl ist die Option nicht verfügbar und bei der Sicherheitsfrage ist sie als Standard aktiviert.

Neben diesen allgemeinen Eigenschaften stehen für die einzelnen Feldtypen folgende spezifische Optionen zur Verfügung:
Textfeld:

-

Max. Zeichen: Bei Aktivierung dieser Option können Sie die maximal zulässige Anzahl von Zeichen festlegen, die in das Feld eingegeben werden können. Sie können diese Zahl zum Beispiel auf 15 festlegen, wenn das Feld die Steuernummer des Kunden enthalten soll.

-

Filter für die Texteingabe: Hier können Sie eine Kontrolle der Korrektheit der in das Feld eingegebenen Daten einstellen. Folgende Filter stehen zur Auswahl:
- | Kein: Es können sowohl Buchstaben als auch Zahlen eingegeben werden.
- | Nur Zahlen: Es können nur Zahlen eingegeben werden.
- | Telefon-/Faxnummer: Es können Zahlen, Bindestriche und Leerzeichen eingegeben werden.
- | Datum: Es können Zahlen, Punkte und das Zeichen "/" eingegeben werden.
E-Mail-Adresse:

-

Bestätigung der E-Mail-Adresse anfordern: Bei Aktivierung dieser Option wird automatisch ein Feld hinzugefügt, in das der Anwender seine E-Mail-Adresse ein zweites Mal eingeben muss. Die beiden Eingaben werden automatisch verglichen und bei Nichtübereinstimmung wird ein entsprechender Hinweis angezeigt.
Textbereich:

-

Max. Zeichen: Bei Aktivierung dieser Option können Sie die maximal zulässige Anzahl von Zeichen festlegen, die in das Feld eingegeben werden können.

-

Zeilenanzahl: Hier können Sie die Höhe des Feldes bestimmen, indem Sie die zulässige Zeilenzahl festlegen (maximal 30).
Datum:

-

Datumsformat: Wählen Sie hier das gewünschte Format für die Eingabe des Datums aus den verschiedenen nationalen und internationalen Formaten.

-

Kalendersymbol anzeigen: Mit dieser standardmäßig aktivierten Option wird neben dem Feld für das Datum ein Kalendersymbol angezeigt. Bei Klick auf dieses Symbol wird ein Kalender angezeigt, aus dem der Anwender ein Datum auswählen kann, ohne es manuell eingeben zu müssen.
Liste:

-

Zeilenanzahl: Hier können Sie die Höhe des Feldes bestimmen, indem Sie die zulässige Zeilenzahl festlegen (maximal 30).
Einfache Auswahl/Mehrfachauswahl:

-

Spaltenanzahl: Legen Sie hier die Anzahl der Spalten fest, auf die die möglichen Antworten verteilt werden können.
Passwort:

-

Passwortbestätigung anfordern: Bei Aktivierung dieser Option wird automatisch ein Feld hinzugefügt, in das der Anwender sein Passwort ein zweites Mal eingeben muss. Die beiden Eingaben werden automatisch verglichen und bei Nichtübereinstimmung wird ein entsprechender Hinweis angezeigt.
Sicherheitsfrage:

-

Richtige Antwort: Geben Sie hier die richtige Antwort auf die Frage ein, die dann mit der Eingabe des Anwenders verglichen wird.
Nutzungsbedingungen:

-

Text der Information: Geben Sie hier den Text für die Bedingungen ein, die der Kunde akzeptieren muss, bevor er Daten versenden kann.

Bei den Feldtypen Drop-Down-Liste, Liste, Mehrfachauswahl und Einfache Auswahl stehen zur Erstellung der jeweiligen Listen ferner folgende Optionen zur Auswahl:
- | Hinzufügen / Entfernen: Mit diesen Schaltflächen können Sie neue Antwortoptionen hinzufügen bzw. markierte aus der Liste löschen. Um einen Eintrag zu ändern, ist es hinreichend, nach dem Markieren erneut darauf zu klicken.
- | Nach oben / Nach unten: Hier können Sie die Anzeigereihenfolge der Eingaben verändern, indem Sie ein ausgewähltes Element nach oben oder unten verschieben.
- | Bearbeiten...: Hier können Sie eine ausgewählte Option bearbeiten.

Verwandte Themen:

-

Objekt E-Mail-Formular | Tab Liste


Objekt E-Mail-Formular | Tab Liste

Objekt E-Mail-Formular | Tab Liste | Optionen

Mit den Optionen im Tab Feldtyp des Dialogfensters Feld eingeben können Sie einige erweiterte Einstellungen für die Felder des E-Mail-Formulars vornehmen.

Im Einzelnen stehen Ihnen folgende erweiterte Funktionen zur Verfügung:
- | Beschriftung: Geben Sie hier eine Beschreibung ein, die erklärt, welche Information in das Feld eingegeben werden soll. Sofern konfiguriert, wird neben dem Feld ein (individuell anpassbares) Symbol dargestellt, das auf die Verfügbarkeit weiterführender Informationen hinweist. Bei Bewegung des Mauszeigers über dieses Symbol werden diese Informationen in einer Quickinfo angezeigt.
- | Attribut <name>: Geben Sie hier den Wert ein, der bei Erstellung des HTML-Codes dem Attribut <name> des Feldes zugewiesen werden soll. Diese Option erweist sich beispielsweise als nützlich, wenn als Methode für den Datenversand (siehe Objekt E-Mail-Formular | Tab Senden) Datenversand an eine Datei ausgewählt wurde.
- | Name des Felds Datenbank: Geben Sie hier einen Namen für das Feld ein, der gewährleistet, dass die erfassten Daten korrekt erkannt und in einer Datenbank hinterlegt werden. Diese Option erweist sich beispielsweise als nützlich, wenn als Methode für den Datenversand (siehe: Objekt E-Mail-Formular | Tab Senden) Datenversand an eine Datenbank ausgewählt wurde.

Verwandte Themen:
- | Objekt E-Mail-Formular | Tab Liste
- | Objekt E-Mail-Formular | Tab Senden


Objekt E-Mail-Formular | Tab Senden

Im Tab Senden des Objektfensters E-Mail-Formular können Sie die Modalitäten festlegen, mit denen die im Formular erfassten Daten per E-Mail versendet werden sollen.

Im Bereich Datenversand wird angegeben, wie die über das Formular erfassten Daten an den Eigentümer der Website versendet werden sollen. Sie haben folgende Optionen zur Auswahl:

Datenversand per E-Mail: Diese Option ist als Standard ausgewählt. Die über das Formular erfassten Daten werden mit Hilfe eines vordefinierten PHP-Skripts automatisch per E-Mail gesendet.

Datenversand an eine Datenbank: Die über das Formular erfassten Daten werden mit Hilfe eines vordefinierten PHP-Skripts automatisch an eine bestimmte MySQL Datenbank gesendet.

Datenversand an eine Datei: Die über das Formular erfassten Daten werden mit Hilfe eines bestimmten Skripts (PHP, ASP usw.) verwaltet. Diese Alternative bietet sich an, wenn ein eigenes Skript verwendet werden soll, zum Beispiel für den Datenversand, wenn der genutzte Server kein PHP unterstützt, oder wenn spezielle Verfahren und Verwaltungsmethoden verwendet werden sollen.

Je nach Art des gewählten Datenversands müssen einige Parameter festgelegt werden:
Datenversand per E-Mail: | - | E-Mail des Absenders: Bei Aktivierung dieser Option können Sie angeben, welche Adresse als Absender der über das Formular versendeten E-Mail mit den erfassten Daten verwendet werden soll. Standardmäßig wird hier die E-Mail-Adresse des Empfängers verwendet, die in diesem Fall der des Webseitenbetreibers entspricht. Wird festgelegt, dass als Absender der E-Mail die Adresse des Benutzers verwendet werden soll, der das Formular ausgefüllt hat, kann beispielsweise der Befehl Antworten des E-Mail-Clients verwendet werden.
 | - | E-Mail des Empfängers: Hier können Sie angeben, an welche Adresse die über das Formular erfassten Daten gesendet werden sollen. Es können auch mehrere E-Mail-Adressen angegeben werden. Geben Sie hierzu alle Adressen, getrennt durch ein Semikolon, ein.
 | - | Betreff: Geben Sie hier den Betreff für die E-Mail mit den über das Formular erfassten Daten an.
 | - | Nachricht: Geben Sie hier einen Einleitungstext für die mit dem Formular erfassten Daten ein.
 | - | Anhang der erfassten Daten im Format CSV: Bei Aktivierung dieser Option werden die erfassten Daten auch in einer CSV-Datei gespeichert, die an die E-Mail angehängt wird. In einer CSV-Datei werden di Daten als Liste durch Semikolon getrennter Werte im Textformat gespeichert. Diese Dateien können komfortabel in Tabellenkalkulationsprogramme (z.B. Microsoft Excel) importiert werden.
Datenversand an eine Datenbank: | - | Hostname: Geben Sie hier die URL des MySQL-Servers ein, auf dem sich die zu verwendende Datenbank befindet. In den meisten Fällen liegt die Datenbank auf dem gleichen Server wie die Website, mit der sie verknüpft ist, und kann daher als "localhost" identifiziert werden. In jedem Fall empfiehlt es sich, diesen Parameter beim Webspace-Anbieter zu erfragen.
 | - | Datenbankname: Geben Sie hier den Namen der Datenbank ein, mit der Sie arbeiten möchten (beim Provider erfragen).
 | - | Tabellenname: Geben Sie hier den Namen der Tabelle in der Datenbank ein, in der Sie die Daten erfassen wollen. Die Tabellen können erstellt werden, indem Sie über die eigens hierfür vorgesehene Online-Anwendung auf die Datenbank zugreifen. Wird ein Tabellenname eingegeben, der noch nicht existiert, wird die Tabelle automatisch erstellt.
 | - | Benutzername: Geben Sie hier den Benutzernamen ein, mit dem Sie auf die Online-Datenbank zugreifen können (beim Provider erfragen).
 | - | Passwort: Geben Sie hier das Passwort ein, mit dem Sie auf die Online-Datenbank zugreifen können (beim Provider erfragen).
Datenversand an eine Datei: | - | Skriptdatei (z.B. PHP, ASP): Importieren Sie die Skriptdatei, die Sie für die Erfassung und den Versand der Daten verwenden wollen. In diesem Fall muss die Sktriptdatei manuell erstellt werden, um die gewünschte Aufgabe zu erfüllen.

Im Bereich Bestätigungs-E-Mail an den Benutzer stehen folgende Optionen zur Verfügung:
- | Bestätigungs-E-Mail an den Benutzer senden: Bei Aktivierung dieser Option erhält der Benutzer, nachdem er das Formular ausgefüllt und die Daten gesendet hat, automatisch eine Bestätigungs-E-Mail.
- | E-Mail des Absenders: Bei Aktivierung dieser Option kann hier eine gültige und aktive E-Mail-Adresse eingegeben werden, die in der Bestätigungs-E-Mail als Absender verwendet wird. Der Standard-Absender ist die E-Mail-Adresse des Seitenbetreibers, d.h. es wird die Adresse verwendet, die als E-Mail des Empfängers im Bereich Datenversand eingegeben wurde. Geben Sie unter E-Mail des Absenders eine andere Adresse ein, können die Bestätigungs-E-Mails von einer Adresse versendet werden, die von der Empfangsadresse der Daten verschieden ist. Diese Option ist nützlich, wenn für die Kommunikation mit den Benutzern eine neutrale Adresse (vom Typ info@meinunternehmen.com oder noreply@meinunternehmen.com) anstelle einer persönlichen (name.nachname@meinunternehmen.com) verwendet werden soll.
- | E-Mail des Empfängers: Hier kann bestimmt werden, aus welchem der Formularfelder die E-Mail-Adresse des Benutzers bezogen werden soll, an die die Bestätigung geschickt werden soll.
- | Betreff: Geben Sie hier den Betreff der Bestätigungs-E-Mail ein.
- | Nachricht: Geben Sie hier die Nachricht der Bestätigungs-E-Mail ein.
- | Einfügen der erfassten Daten in die Nachricht: Bei Aktivierung dieser Option werden die über das Formular erfassten Daten hinter der Nachricht eingefügt.

Im Bereich Optionen stehen schließlich folgende Optionen zur Verfügung:
- | Antispam-Filter 'Captcha' aktivieren: Bei Aktivierung dieser Option wird am Ende des Formulars die Anti-Spam-Kontrolle Captcha eingefügt. Bei dieser Methode werden einige Buchstaben verzerrt auf einem verworrenen Hintergrund dargestellt. Der Anwender muss die Buchstaben korrekt in ein bestimmtes Feld eingeben, um die Nachricht senden zu können.
- | Bestätigungsseite nach dem Datenversand: Legen Sie hier über die Sitemap die Seite fest, die automatisch angezeigt wird, wenn das Formular ausgefüllt und die eingegebenen Daten per E-Mail versendet wurden. Anstelle der Homepage empfiehlt es sich hier, eine spezifische Seite mit einer Danksagung einzufügen. Diese Seite muss mit der entsprechenden Option in Schritt 2 - Erstellung der Sitemap als Nicht sichtbar im Menü eingestellt werden.

 Die grafischen Eigenschaften der mit dem Formular versendeten E-Mails können Sie im Bereich Stile und Modelle | Tab E-Mail in Schritt 4 - Erweiterte Einstellungen individuell anpassen.

Verwandte Themen:
- | Objekt E-Mail-Formular
- | Stile und Modelle | Tab E-Mail


Objekt E-Mail-Formular | Tab Stil

Im Tab Stil des Objektfensters E-Mail-Formular können einige grafische Eigenschaften des E-Mail-Formulars festgelegt werden.

Wählen Sie zunächst das Formularelement aus, das Sie bearbeiten möchten: Die Auswahl kann über das gleichnamige Drop-Down-Menü erfolgen oder direkt per Klick auf das Element in der Vorschau.

Folgende Elemente können angepasst werden:

 Textbeschreibungen: Dies ist die Feldbeschriftung, die angibt, welche Information eingegeben werden muss, oder die Frage, die beantwortet werden soll.

Felder: Feld, in das der Benutzer sie geforderte Information eingibt.

'Senden'- und 'Zurücksetzen' -Button: Die Schaltflächen, die automatisch am Formularende eingefügt werden. Mit Klick auf diese Buttons werden die in die Felder eingegebenen Daten jeweils versendet oder gelöscht.

Beschreibung und Validierung der Felder: Dies sind Meldungen, die Zusatzinformationen enthalten, z.B. Hinweise zum Ausfüllen der Felder, für die Korrektur eingegebener Daten oder die Aufforderung, ein leer gelassenes Pflichtfeld auszufüllen.

Je nach gewähltem Element können im Bereich Stil verschiedene Optionen genutzt werden:
Textbeschreibungen: | - | Schriftart: Mit Klick auf das Schriftsymbol öffnet sich ein Dialogfenster, in dem Sie die Schriftart, den Schriftschnitt und die Textgröße festlegen können.
 | - | Farbe: Mit Klick auf die Schaltfläche Farbe öffnet sich die Farbpalette, in der die Farbe für den zu bearbeitenden Text ausgewählt werden kann.
 | - | Anordnung: Legen Sie hier fest, wo die Feldbeschriftung angezeigt werden soll. Sie haben folgende Optionen zur Auswahl: Beschriftung über den Feldern anzeigen, Beschriftung innerhalb der Felder anzeigen und Beschriftung links neben den Feldern anzeigen. Wenn Sie die Beschriftungen links neben den Feldern anzeigen wollen, kann die Breite (%) festgelegt werden, also der Zeilenabschnitt, der von der Beschriftung belegt werden kann, als Prozentsatz.
Felder: | - | Farbe: Öffnet das Dialogfenster Farbe, in dem Sie die Farben für den Text (normal und ausgewählt), den Hintergrund (nnormal und ausgewählt) und den Rand (normal und bei Eingabe eines Fehlers) festlegen können.
'Senden'- und 'Zurücksetzen' -Button: | - | Farbe: Mit Klick auf die Schaltfläche Farbe öffnet sich die Farbpalette, in der die Farben für den Text, den Hintergrund und den Rand der Buttons ausgewählt werden können.
 | - | Hintergrundbild: Hier können Sie eine Bilddatei (Format .JPG, .GIF und .PNG) auswählen, die als Hintergrund für die Buttons verwendet werden soll.
 | - | 'Zurücksetzen' - Button anzeigen: Diese Option ist standardmäßig aktiviert und fügt am Formularende außer dem Button "Senden" automatisch auch den Button "Zurücksetzen" ein (zum Leeren aller ausgefüllten Felder).
Beschreibung und Validierung der Felder: | - | Icon-Datei für die Feldbeschreibung: Hier können Sie eine Bilddatei (Format .JPG, .GIF und .PNG) importieren, die neben dem Feld als Icon erscheint und auf die Verfügbarkeit weiterführender Informationen hinweist.
 | - | Beschreibung bei Auswahl des Feldes anzeigen: Bei Aktivierung dieser Option wird die Meldung mit den Zusatzinformationen automatisch angezeigt, sobald in das Feld geklickt wird.
 | - | Falls eine Fehlermeldung bei der Datenverarbeitung erfolgt: Legen Sie hier fest, wie die Fehlermeldung angezeigt werden soll, wenn ein Feld nicht korrekt ausgefüllt wurde bzw. in einem Pflichtfeld die Eingabe fehlt. Sie haben folgende Optionen zur Auswahl: Browser Dialogfenster anzeigen, Internes Popupfenster anzeigen oder Quickinfo neben dem ungültigen Feld anzeigen.

 Die grafischen Eigenschaften der mit dem Formular versendeten E-Mails können Sie im Bereich Stile und Modelle | Tab E-Mail in Schritt 4 - Erweiterte Einstellungen individuell anpassen.

Verwandte Themen:
- | Objekt E-Mail-Formular
- | Stile und Modelle | Tab E-Mail


Objekt Produktliste

Eine der interessantesten Funktionen von WebSite X5 ist die Möglichkeit, einen Online-Shop für E-Commerce einzurichten, in dem Sie sich nicht nur ein potenziell weltweit sichtbares Schaufenster für Ihre Produkte schaffen, sondern diese auch direkt online zum Kauf anbieten können.

Neben dem Einstellen der Produkte und deren Verwaltung können Sie mit WebSite X5 mit dem eigens hierfür bestimmten Objekt "Produktliste" einen authentischen Produktkatalog zusammenstellen. Mit diesem Objekt können Sie eine Gruppe von Produkten aus dem Gesamtkatalog präsentieren. Hierzu stellen Sie die einzelnen Produktdatenblätter zusammen, in denen die Hauptinformationen für den jeweiligen Artikel zusammengefasst sind und die den Online-Kauf ermöglichen.

Anleitung

Mit Doppelklick auf das Objekt Produktliste im Layout-Schema wird das entsprechende Dialogfenster geöffnet. In diesem Fenster können Sie eine Liste aller Produkte erstellen, die angeboten werden sollen, und definieren die Anzeigemodalität der Produktdatenblätter.

Die diesbezüglichen Optionen sind in zwei Bereiche gegliedert:
- | Tab Liste
- | Tab Einstellungen

 Das Objekt Produktliste funktioniert nur dann, wenn zuvor im Bereich Warenkorb für E-Commerce in Schritt 4 - Erweiterte Einstellungen Artikel eingefügt wurden.

Verwandte Themen:
- | Das Layout-Schema im Bereich Erstellen der Seiten
- | Die Objekte im Bereich Erstellen der Seiten
- | Warenkorb für E-Commerce


Objekt Produktliste | Tab Liste

Im Tab Liste des Fensters Objekt Produktliste kann festgelegt werden, welche Produkte im Objekt Produktliste angezeigt werden sollen.

Hier finden Sie die kompletteKategorien- und Produktliste, die in Schritt 4 - Erweiterte Einstellungen in den Warenkorb für E-Commerce eingefügt wurden.

Neben jedem Produkt und jeder Kategorie befindet sich ein Kontrollkästchen. Aktivieren Sie die Kontrollkästchen der Kategorien und/oder Produkte, die in das Objekt Produktliste aufgenommen werden sollen.

Zwischen der Aktivierung einer Kategorie und der Aktivierung aller enthaltenen Produkte besteht ein Unterschied: Nur wenn Sie eine ganze Kategorie auswählen, werden später dieser Kategorie hinzugefügte Produkte automatisch auch in die Produktliste aufgenommen.

Verwandte Themen:
- | Objekt Produktliste
- | Warenkorb für E-Commerce


Objekt Produktliste | Tab Einstellungen

Mit den Funktionen im Tab Einstellungen des Fensters Produktliste können Sie einige grafische Einstellungen für die Produktdatenblätter vornehmen, mit denen die Produkte in die Lisate aufgenommen werden.

Allem voran müssen Sie den Anzeigemodus festlegen. Hier haben Sie die Wahl zwischen folgenden Optionen:

 Nur Text
Das Produktdatenblatt enthält nacheinander folgende Informationen: Produktname, eine Beschreibung, eine Liste der verfügbaren Varianten (sofern verfügbar), den Preis und daneben ein Eingabefeld für die Menge sowie den Button "Kaufen".

Bild und Text
Das Produktdatenblatt enthält links das Bild des Produkts und rechts alle zugehörigen Informationen.

Text und Bild
Dieser Anzeigemodus entspricht dem vorhergehenden, mit dem Unterschied, dass der Text hier links und das Bild rechts angeordnet ist.

Nur Bild
Bei dieser Option werden unter dem Bild die Produktinformationen mit Ausnahme der Beschreibung angezeigt.

Bild und Text abwechseln
In diesem Anzeigemodus werden Produktdatenblätter mit Bild und Text rechts sowie solche mit Bild und Text links abwechselnd angezeigt.

Im Bereich Frame-Einstellungen können Sie festlegen:
- | Anzahl der Felder pro Zeile: Definieren Sie hier, wie viele Produktdatenblätter in einer Zeile angezeigt werden sollen.
- | Feldhöhe: Hier können Sie die gewünschte Höhe der einzelnen Produktdatenblätter in Pixeln festlegen. Die den Produkten zugeordneten Bilder werden dieser Einstellung automatisch angepasst. Wenn die Produktbeschreibungen zu lang sind, um vollständig angezeigt zu werden, erscheint eine Bildlaufleiste.
- | Bildbreite (%): Wenn Sie einen Anzeigemodus gewählt haben, bei dem Text und Bild nebeneinander positioniert sind, können Sie hier festlegen, wie viel Raum des Datenblatts jeweils vom Bild und vom Text ausgefüllt sein soll. Dies bedeutet beispielsweise, wenn das Bild 30% der Breite des Produktdatenblattes einnimmt, stehen für den Text die übrigen 70% zur Verfügung.
- | Innenabstand: Dies ist der Abstand zwischen dem Rand des Produktdatenblatts und seinem Inhalt. Sie legen hier also fest, wie viel Freiraum horizontal und/oder vertikal um den Inhalt innerhalb des Produktdatenblatts bestehen soll.

Im Bereich Grafik können Sie festlegen:
- | Schriftart: Mit Klick auf die Schaltfläche neben dem Feld öffnet sich ein Dialogfenster, in dem Sie die Schriftart, den Schriftschnitt und die Schriftgröße in Punkten festlegen können.
- | Textfarbe / Hintergrund / Randfarbe: Mit Klick auf die Schaltflächen Farbe öffnet sich die Farbpalette, in der Sie jeweils die Farbe für den Text, den Hintergrund und den Rand des Produktdatenblatts auswählen können.
- | Randbreite: Legen Sie hier fest, wie breit der Rand des Produktdatenblatts sein soll.

Im rechten Fensterbereich können Sie ferner folgende Optionen wählen:
- | Feld für Menge anzeigen: Bei Aktivierung dieser Option wird im Produktdatenblatt ein Feld für die Mengenangabe angezeigt, in dem der Benutzer wählen kann, wie viele Einheiten des Produkts er in den Warenkorb legen möchte.
- | Preis anzeigen: Bei Aktivierung dieser Option wird im Produktdatenblatt auch der Preis des Artikels angezeigt.
- | Link über Bild aktivieren: Bei Aktivierung dieser Option wird allen Bildern der Produktdatenblätter automatisch ein Link zu den vergrößerten Bildern zugeordnet. Diese vergrößerten Darstellungen werden in einer ShowBox angezeigt.

 Das Aussehen der ShowBox kann komplett individuell gestaltet werden: Mit den Optionen in Stile und Modelle | Tab ShowBox in Schritt 4 - Erweiterte Einstellungen können Sie beispielsweise Farben, Schatten, die Deckkraft und Einblendeffekte festlegen.

Verwandte Themen:
- | Objekt Produktliste
- | Stile und Modelle | Tab ShowBox


Objekt HTML und Widgets

Für jeden Inhalt, der auf einer Seite angezeigt werden kann, bietet WebSite X5 ein spezifisches Objekt, wie Text, Bild, Flash-Animation, E-Mail-Formular usw. Dank der Möglichkeit, darüber hinaus auch HTML und Widgets zu verwalten, werden die Möglichkeiten praktisch unbegrenzt. Mit dem Objekt HTML und Widgets können direkt Code-Blöcke eingefügt werden, um spezifische Funktionen umzusetzen, auch wenn diese standardmäßig nicht vorgesehen sind.

Ganz besonders nützlich sind hierbei die verfügbaren Widgets: kleine bereits komplette und funktionsfähige Anwendungen, die eine bestimmte Aufgabe erfüllen. Ein einfaches Beispiel ist das Widget für Google Maps: Mit der Definition weniger Parameter können Sie eine Karte des gewünschten Ortes anzeigen, ohne sie direkt auf der Webseite Google Maps konfigurieren zu müssen.

Anleitung

Mit Doppelklick auf das Objekt HTML und Widgets im Layout-Schema wird das entsprechende Dialogfenster geöffnet. Dieses Fenster enthält einen Texteditor, in den Sie HTML- und/oder CSS-Code eingeben können. Dieser Code kann individuell geschrieben, aus anderen Quellen z.B. aus dem WEB kopiert und eingefügt oder durch einfache Auswahl eines Widgets übernommen werden.

Im Einzelnen stehen folgende Bereiche zur Verfügung:
- | Tab HTML-Code
- | Tab Erweitert

Verwandte Themen:
- | Das Layout-Schema im Bereich Erstellen der Seiten
- | Die Objekte im Bereich Erstellen der Seiten


HTML und Widgets | Tab HTML-Code

Mit den Funktionen im Tab HTML-Code des Dialogfensters HTML und Widgets können Sie in dem dort verfügbaren Editor HTML-Code eingeben, der in die Website übernommen werden soll. Den Code können Sie individuell schreiben oder durch Anklicken eines der verfügbaren Widgets übernehmen.

Der Editor im Bereich HTML-Code bietet folgende Optionen:

 Ausschneiden [Strg+X] - Kopieren [Strg+C] - Einfügen [Strg+V]
von markiertem Code.

Rückgängig [Strg+Z] - Wiederherstellen [ALT+UMSCHALT+BACKSPACE]
zum Annullieren/Wiederherstellen der zuletzt durchgeführten/annullierten Operation.

Für ein komfortables Lesen und Schreiben des Codes bietet der HTML-Editor Syntaxhervorhebung (Syntax Highlighting). Mit dieser Funktion werden bestimmte Elemente des Codes in unterschiedlichen Farben dargestellt, ohne dass dies die Bedeutung der Textsequenzen beeinflusst. Dank Syntaxhervorhebung wird die Code-Struktur übersichtlicher und eventuelle Fehler werden leichter gefunden.

Im Bereich Widgetliste finden Sie alle verfügbaren Widgets. Mit Doppelklick auf ein Widget wird das Dialogfenster Widget geöffnet, in dem Sie die vorgesehenen Parameter definieren können. Nach der Bestätigung der Eingabe wird der entsprechende HTML-Code erstellt und automatisch in den Editor eingefügt.

Im Bereich Eigenschaften stehen folgende Optionen zur Verfügung:
- | Breite: Hier wird die Breite des Objekts HTML und Widgtes angezeigt. Dieser Wert wird auf der Grundlage des im Layout-Schema verfügbaren Platzes automatisch definiert.
- | Höhe: Hier kann die Höhe des Objekts HTML und Widgets eingestellt werden.
- | Bildlaufleisten anzeigen: Diese Option ist standardmäßig aktiviert und bewirkt das auomatische Einfügen einer Bildlaufleiste, wenn das Objekt HTML und Widgets höher ist, als unter Höhe eingestellt wurde.

Verwandte Themen:

-

Objekt HTML und Widgets


HTML und Widgets | Tab Erweitert

Mit den Funktionen im Tab Erweitert des Dialogfensters HTML und Widgets können Sie ein Stylesheet (CSS) erstellen und/oder die Liste der Dateien definieren, die mit dem aktiven Objekt HTML und Widgets verknüpft werden sollen.

Im Bereich CSS-Code befindet sich ein Editor (identisch mit dem im Tab HTML-Code), in den Sie den Code für ein Stylesheet eingeben können. Zur Erinnerung: Mit Stylesheets definieren Sie die grafischen Eigenschaften der HTML-Seiten, mit denen sie verknüpft sind.

Im Bereich Mit dem HTML-Code verlinkte Dateien hingegen werden alle verknüpften Dateien in einer Übersicht angezeigt, die neben den Dateinamen auch deren Serverpfad enthält.

Um die Liste der mit dem HTML-Code verknüpften Dateien zusammenzustellen, stehen Ihnen folgende Optionen zur Verfügung:
- | Hinzufügen...: Öffnet das Dialogfenster Verlinkte Datei hochladen, in dem Sie eine neue verknüpfte Datei auswählen können.
- | Bearbeiten...: Öffnet ebenfalls das Dialogfenster Verlinkte Datei hochladen, in dem Sie die Einstellungen für die aus der Liste der verknüpften Dateien ausgewählte Datei ändern können.
- | Entfernen: Löschen einer markierten Datei aus der Übersicht der verlinkten Dateien.

Verwandte Themen:
- | Objekt HTML und Widgets
- | Dialogfenster Verlinkte Datei hochladen


Editor grafico

Grafik-Editor

WebSite X5 optimiert importierte Bilder automatisch und stellt zusätzlich einen vielseitigen Grafik-Editor zur Verfügung, mit dem die Bilder bearbeitet werden können.
Der Grafik-Editor kann überall dort aufgerufen werden, wo die Schaltfläche Bearbeiten... verfügbar ist, generell in Fenstern, wo eine Bilddatei importiert werden kann wie zum Beispiel in Bildobjekt, Galerieobjekt oder bei der Erstellung eines neuen Produkts im Warenkorb für E-Commerce.

Der Grafik-Editor ist in 5 Bereiche gegliedert:
- | Tab Zuschneiden und Drehen
- | Tab Filter
- | Tab Wasserzeichen
- | Tab Maske
- | Tab Rahmen
- | Tab Effekte
- | Tab Bibliothek

Darüber hinaus finden Sie im Grafik-Editor folgende Schaltflächen:
- | OK: Schließen des Editors und Rückkehr zum Hauptfenster. Alle Änderungen am Bild werden gespeichert.
- | Abbrechen: Schließen des Editors und Rückkehr zum Hauptfenster. Eventuelle Änderungen am Bild werden nicht gespeichert.
- | Speichern als...: Speichern einer Kopie des Original-Bildes im Format .PNG.

Verwandte Themen:
- | Bildobjekt
- | Galerieobjekt
- | Warenkorb für E-Commerce


Grafik-Editor | Tab Zuschneiden und Drehen

Mit den Funktionen im Tab Zuschneiden und Drehen desGrafik-Editors kann ein bestimmter Bildbereich ausgeschnitten und der Rest entfernt werden.

Sie können den auszuschneidenden Bereich direkt in der Vorschau auswählen und an den Ankerpunkten zusätzlich anpassen. Die Auswahl kann verschoben werden, um den gewünschten Bereich genau zu bestimmen. Klicken Sie hierzu in den Bereich und ziehen Sie den Bereich in die gewünschte Position.

Das Ausschneiden muss nicht bestätigt werden. Der Bereich außerhalb des (dunkler dargestellten) ausgeschnittenen Teils wird nicht berücksichtigt. Um den Ausschnitt wieder zu entfernen, klicken Sie auf den Bereich außerhalb der markierten Fläche.

Neben dem Bild stehen Ihnen für die Bearbeitung folgende Bereiche zur Verfügung:
- | Ausschneiden: Hier werden die Werte der X-Koordinate und der Y-Koordinate der oberen linken Ecke des Ausschnitts sowie dessen Breite undHöhe in Pixeln angezeigt. Diese Werte werden nicht notwendigerweise direkt aus dem Schnittbereich entnommen, sondern können auch in die entsprechenden Felder eingegeben oder mit den Pfeilschaltflächen definiert werden.
- | Spiegelung: Durch Aktivierung der jeweiligen Kontrollkästchen kann das Bild horizontal (an der senkrechten Achse) und/oder vertikal (an der waagerechten Achse) gespiegelt werden.
- | Drehung: Hier können Sie das Bild im Uhrzeigersinn um 90°, 180° oder 270° drehen oder unverändert lassen.

Verwandte Themen:

-

Grafik-Editor


Grafik-Editor | Tab Filter

Mit den Funktionen im Tab Filter des Grafik-Editors können an dem importierten Bild die wesentlichen Farbeigenschaften korrigiert sowie einige grafische Effekte angewendet werden.

- | Filter: Hier finden Sie eine Auswahl von Filtern, die auf das Bild angewendet werden können. Die Liste umfasst die Effekte Helligkeit und Kontrast, Farbbalance (RGB), Farbton/Sättigung (HSL), Detail, Weichzeichnung, Schwarz-weiß, Sepia, Mosaik, Körnung, Diffusion, Ölgemälde, Leinwand, Rauschen, Marmor. Um einen Filter anzuwenden, aktivieren Sie das entsprechende Kontrollkästchen.
- | Einstellungen: Hier finden Sie die Einstellungen, mit denen Sie den ausgewählten Filter definieren können.

Änderungen der Filter werden sofort angewendet und in der Vorschau angezeigt.

Verwandte Themen:

-

Grafik-Editor


Grafik-Editor | Tab Wasserzeichen

Mit den Funktionen im Tab Wasserzeichen des Grafik-Editors kann über das importierte Bild ein Wasserzeichen gelegt werden. Zweck eines Wasserzeichens ist die Veränderung des Bildes, zum Beispiel, um ausdrücklich auf das Urheberrecht hinzuweisen und unbefugtem Kopieren und Nutzen vorzubeugen.

- | Wasserzeichen: Hier finden Sie eine Auswahl von Wasserzeichen, die auf das Bild angewendet werden können. Neben den hier angezeigten Vorlagen können Sie auch ein individuelles Wasserzeichen erstellen: Wählen Sie hierzu die zweite Option aus der Liste aus (Benutzerdefiniert...) und importieren Sie eine entsprechend vorbereitete Bilddatei.
- | Einstellungen: Sie können das ausgewählte Wasserzeichen um 90°, 180° oder 270° drehen sowie horizontal oder vertikal spiegeln.

 Ein Wasserzeichen muss als Bilddatei im Format .GIF, .PNG, .PSD oder .WMF mit Transparenz vorbereitet werden. Das Wasserzeichen wird dann über das Original-Bild gelegt, von dem nur die Teile im transparenten Bereich sichtbar bleiben.
Da das Format .GIF nur eine transparente Ebene unterstützt, während in den Formaten .PNG und .PSD bis zu 256 verwaltet werden können, empfiehlt es sich, das Wasserzeichen in einem dieser beiden Formate zu speichern.

+

=

Verwandte Themen:

-

Grafik-Editor


Grafik-Editor | Tab Maske

Mit den Funktionen im Tab Maske des Grafik-Editors kann auf das importierte Bild eine Maske angewendet werden.

- | Maske: Hier finden Sie eine Auswahl von Masken, die auf das Bild angewendet werden können. Neben den hier angezeigten Vorlagen können Sie auch eine individuelle Maske erstellen: Wählen Sie hierzu die zweite Option aus der Liste aus (Benutzerdefiniert...) und importieren Sie eine entsprechend vorbereitete Bilddatei.
- | Einstellungen: Sie können die ausgewählte Maske um 90°, 180° oder 270° drehen sowie horizontal oder vertikal spiegeln.

 Eine Maske ist ein Bild (256 Farben) in Graustufen. Dieses Bild wird so auf das Originalbild gelegt, dass die vom Schwarz bedeckten Teile unsichtbar werden und die weißen Teile sichtbar bleiben.

+

=

Verwandte Themen:

-

Grafik-Editor


Grafik-Editor | Tab Rahmen

Mit den Funktionen im Tab Rahmen des Grafik-Editors kann dem importierten Bild ein Rahmen hinzugefügt werden.

- | Rahmen: Hier finden Sie eine Auswahl von Rahmen, die auf das Bild angewendet werden können. Neben den hier angezeigten Vorlagen können Sie auch einen individuellen Rahmen erstellen: Wählen Sie hierzu die zweite Option aus der Liste aus (Benutzerdefiniert...) und importieren Sie eine entsprechend vorbereitete Bilddatei.
- | Einstellungen: Sie können den ausgewählten Rahmen um 90°, 180° oder 270° drehen sowie horizontal oder vertikal spiegeln.

 Ein Rahmen muss als Bilddatei im Format .GIF, .PNG, .PSD oder .WMF mit Transparenz vorbereitet werden. Der Rahmen wird dann über das Original-Bild gelegt, von dem nur die Teile im transparenten Bereich sichtbar bleiben.
Da das Format .GIF nur eine transparente Ebene unterstützt, während in den Formaten .PNG und .PSD bis zu 256 verwaltet werden können, empfiehlt es sich, den Rahmen in einem dieser beiden Formate zu speichern.

+

=

Verwandte Themen:

-

Grafik-Editor


Grafik-Editor | Tab Effekte

Mit den Funktionen im Tab Effekte des Grafik-Editors können an dem importierten Bild die wesentlichen Farbeigenschaften korrigiert sowie einige grafische Effekte angewendet werden.

- | Effekte: Hier finden Sie eine Auswahl von Effekten, die auf das Bild angewendet werden können. Die Liste umfasst die Effekte Schatten, Spiegelung, Äußerer Glanz, Farbiger Rand, Rahmen, Verlauf, Hochrelief, Basrelief, Profilkanten, Deckkraft, Verzerrung, Perspektive und Drehung. Um einen Effekt anzuwenden, aktivieren Sie das entsprechende Kontrollkästchen.
- | Einstellungen: In diesem Bereich finden Sie die Einstellungen, mit denen Sie den ausgewählten Effekt definieren können.

Änderungen der Effekte werden sofort angewendet und in der Vorschau angezeigt.

Verwandte Themen:

-

Grafik-Editor


Grafik-Editor | Tab Bibliothek

Im Tab Bibliothek des Grafik-Editors können Sie ein zuvor als Stil gespeichertes Set von Einstellungen auswählen und auf das aktive Bild anwenden oder die für das aktive Bild festgelegten Eigenschaften als neuen Stil speichern, um ihn später auch auf andere Bilder anzuwenden.

In der Bibliothek finden Sie alle Vordefinierten Stile und bereits erstellten Benutzerdefinierten Stile. Ferner stehen folgende Befehle zur Verfügung:
- | Anwenden: Alle Einstellungen des ausgewählten Stils werden auf das aktive Bild angewendet.
- | Hinzufügen...: Hiermit können Sie alle Einstellungen, die in den anderen Tabs des Grafik-Editors für das aktive Bild vorgenommen wurden, als Stil in den Benutzerdefinierten Stilen speichern.
- | Entfernen: Mit Klick auf diese Schaltfläche löschen Sie einen ausgewählten Stil aus den Benutzerdefinierten Stilen. Die Vordefinierten Stile können nicht gelöscht werden.

Anleitung

Mit der Bibliothek können Sie die Bearbeitung Ihrer Seiten erheblich beschleunigen: Sollen für mehrere Bilder die gleichen grafischen Einstellungen des Grafik-Editors verwendet werden, bietet es sich an, diese für das erste Bild zu definieren, sie dann als Stil zu speichern und bei Bedarf auf andere Bilder anzuwenden, ohne sie noch einmal vornehmen zu müssen.

Erstellen eines neuen Stils:
- | Öffnen Sie den Tab Allgemein des Fensters Bildobjekt und klicken Sie auf die Schaltfläche Bearbeiten... unter der Vorschau, um den Grafik-Editor zu starten.
- | Nutzen Sie zur Gestaltung die Optionen, die Ihnen im Grafik-Editor zur Verfügung stehen, bis Sie das gewünschte Ergebnis erzielt haben.
- | Klicken Sie nun auf den Tab Bibliothek und dort auf die Schaltfläche Hinzufügen: Mit den zuvor definierten Einstellungen wird ein neuer Stil erstellt. Der Liste der Benutzerdefinierten Stile wird eine Vorschau des soeben erstellten Stils hinzugefügt.

Anwenden eines Stils:
- | Öffnen Sie den Tab Allgemein des Fensters Bildobjekt und klicken Sie auf die Schaltfläche Bearbeiten... unter der Vorschau, um den Grafik-Editor zu starten.
- | Öffnen Sie den Tab Bibliothek und markieren Sie in der Liste der Vordefinierten Stile oder Benutzerdefinierten Stile die Vorschau des Stils, den Sie verwenden möchten.
- | Klicken Sie auf die Schaltfläche Anwenden.

Verwandte Themen:

-

Grafik-Editor


Zellenstil

In WebSite X5 können Sie jede Seite einer Website mit einem Layout-Schema erstellen, das den verfügbaren Raum in Zellen gliedert. Die Zahl der verfügbaren Zellen ist von der Zahl der eingegebenen Zeilen und Spalten abhängig und in jede Zelle können verschiedene Inhalte eingegeben werden (durch einfaches Drag&Drop der verfügbaren Objekte).

Die Zelle entspricht somit einem bestimmten Bestandteil einer Seite: Sie hat einen bestimmten Inhalt und kann individuell grafisch gestaltet werden. Durch Gestaltung der Ränder, Rahmen und Hintergründe einer Zelle können also innerhalb einer Seite Bereiche erstellt werden, um die Inhalte zu organisieren und Bestandteile wie gewünscht hervorzuheben.

Anleitung

In der Bearbeitungsphase Erstellen der Seiten können Sie, nachdem Sie eins der verfügbaren Objekte in eine Zelle des Layout-Schemas gezogen haben, die grafische Gestaltung dieser Zelle [image] mit Hilfe der Optionen im Dialogfenster Zellenstil festlegen.

Die hier verfügbaren Optionen sind in drei Kategorien gegliedert:
- | Tab Stil
- | Tab Text
- | Tab Bibliothek

Verwandte Themen:
- | Erstellung der Seiten
- | Layout-Schema


Zellenstil | Tab Stil

Im Tab Stil des Dialogfensters Zellenstil können die grafischen Eigenschaften der ausgewählten Zelle im Layout-Schema festgelegt werden.

Die erste Option ist der Hintergrund der Zelle, für den folgende Alternativen zur Verfügung stehen:

 Farbiger Hintergrund: Die Zelle erhält einen einfarbigen Hintergrund.

Hintergrund mit Farbverlauf: Der Hintergrund der Zelle wird mit einem Farbverlauf ausgefüllt, für den die Anfangsfarbe, die Endfarbe und die Richtrung festgelegt werden können.

Bildhintergrund: Der Hintergrund der Zelle wird mit einem importierten Bild ausgefüllt.

Bild an Zelle anpassen: Für den Hintergrund der Zelle wird ein importiertes Bild in Blöcke aufgeteilt und so wieder zusammengesetzt, dass es sich perfekt den Abmessungen der Zelle anpasst (siehe Erstellen eines Hintergrundbildes, das sich an die Abmessungen der Zelle anpasst)

Je nach Hintergrundtyp können im Bereich Einstellungen verschiedene Optionen gewählt werden.

Für den farbigen Hintergrund stehen folgende Optionen zur Verfügung:
- | Hintergrundfarbe: Mit Klick auf die Schaltfläche Farbe öffnet sich die Farbpalette, in der die Farbe für den Hintergrund der Zelle ausgewählt werden kann.
- | Deckkraft: Legen Sie hier die Deckkraft der gewählten Hintergrundfarbe fest. Je kleiner der eingestellte Wert ist, desto geringer wird die Deckkraft, das heißt, die Hintergrundfarbe der Zelle wird transparenter und lässt den Hintergrund der Seite stärker durchscheinen.

Für den Hintergrund mit Farbverlauf stehen folgende Optionen zur Verfügung:
- | Anfangsfarbe / Endfarbe: Mit Klick auf die Schaltfläche Farbe öffnet sich die Farbpalette, in der die Anfangs- und die Endfarbe für den Farbverlauf als Huintergrund der Zelle ausgewählt werden kann.
- | Diffusion: Hier können Sie festlegen, ob im Farbverlauf die Anfangs- oder die Endfarbe dominieren soll. Hierzu geben Sie an, in welchem Abstand (in Pixeln) der Übergang von der einen zur anderen Farbe erfolgen soll. Stellen Sie beispielsweise einen vertikalen Farbverlauf von Grau nach Weiß mit einer Diffusion von 250 ein, erfolgt der Übergang innerhalb der ersten 250 Pixel und dahinter ist der Hintergrund durchgehend weiß.
- | Richtung: Hier können Sie die Richtung des Farbverlaufs festlegen, das heißt, ob erLinks, Rechts, Oben oder Unten beginnen soll.
- | Deckkraft: Legen Sie hier die Deckkraft des eingestellten Farbverlaufs fest. Je kleiner der eingestellte Wert ist, desto geringer wird die Deckkraft, das heißt, die Hintergrundfarbe der Zelle wird transparenter und lässt den Hintergrund der Seite stärker durchscheinen.

Für den Bildhintergrund stehen folgende Optionen zur Verfügung:
- | Hintergrundfarbe: Mit Klick auf die Schaltfläche Farbe öffnet sich die Farbpalette, in der die Farbe für den Hintergrund der Zelle ausgewählt werden kann.
- | Bilddatei: Wählen Sie hier das Bild für den Hintergrund der Zelle aus. Sie können Dateien in den Formaten JPG, GIF und PNG verwenden.
- | Anordnung: Hier können Sie festlegen, ob das ausgewählte Hintergrundbild wiederholt werden soll. Das Bild kann nur horizontal, nur vertikal oder in beide Richtungen wiederholt werden, bis es den zur Verfügung stehenden Platz ausfüllt.
- | Ausrichtung: Legen Sie hier fest, wie das Hintergrundbild zur Zellenfläche ausgerichtet werden soll.
- | Farbsättigung: Mit Klick auf die Schaltfläche Farbe öffnet sich die Farbpalette, in der eine Farbe ausgewählt werden kann, mit der das Hintergrundbild der Zelle schattiert werden soll. Das heißt, es wird ein Colorize-Effekt angewendet, der das gesamte Bild in der ausgewählten Farbe schattiert.
- | Deckkraft: Legen Sie hier die Deckkraft des ausgewählten Hintergrundbilds fest. Je kleiner der eingestellte Wert ist, desto geringer wird die Deckkraft, das heißt, die Hintergrundfarbe der Zelle wird transparenter und lässt den Hintergrund der Seite stärker durchscheinen.

Für die Bildoption An Zelle anpassen stehen folgende Einstellungen zur Verfügung:
- | Hintergrundfarbe: Mit Klick auf die Schaltfläche Farbe öffnet sich die Farbpalette, in der die Farbe für den Hintergrund der Zelle ausgewählt werden kann.
- | Bilddatei: Wählen Sie hier das Bild für den Hintergrund der Zelle aus. Sie können Dateien in den Formaten JPG, GIF und PNG verwenden.
- | Blockbreite / Blockhöhe: Hier können Sie die Abmessungen der Blöcke einstellen, in die das Hintergrundbild aufgeteilt wird. Damit legen Sie fest, welche Bildteile unverändert bleiben und welche wiederholt werden sollen. (siehe Erstellen eines Hintergrundbildes, das sich an die Abmessungen der Zelle anpasst)
- | Farbsättigung: Mit Klick auf die Schaltfläche Farbe öffnet sich die Farbpalette, in der eine Farbe ausgewählt werden kann, mit der das Hintergrundbild der Zelle schattiert werden soll. Das heißt, es wird ein Colorize-Effekt angewendet, der das gesamte Bild in der ausgewählten Farbe schattiert.
- | Deckkraft: Legen Sie hier die Deckkraft des ausgewählten Hintergrundbilds fest. Je kleiner der eingestellte Wert ist, desto geringer wird die Deckkraft, das heißt, die Hintergrundfarbe der Zelle wird transparenter und lässt den Hintergrund der Seite stärker durchscheinen.

Im Bereich Rand können Sie festlegen:
- | Farbe und Linienstärke: Mit Klick auf die Schaltfläche Farbe öffnet sich die Farbpalette, in der die Farbe für den Rand der Zelle ausgewählt werden kann, während Sie mit der zweiten Option die Breite des Randes definieren.
- | Benutzerdefinierte Ränder: Wenn Sie dieses Kontrollkästchen aktivieren, können Sie die Farbe und die Linienstärke der einzelnen Zellenränder unabhängig festlegen.

 die Randfarbe wird auch als Farbe für die Transparenz des Bildes verwendet.

Verwandte Themen:
- | Zellenstil
- | Erstellen eines Hindergrundbildes, das sich an die Abmessungen der Zelle anpasst


Zellenstil | Tab Text

Im Tab Text des Dialogfensters Zellenstil können die grafischen Eigenschaften der Textelemente festgelegt werden, die im Layout-Schema den Stil der aktiven Zelle vervollständigen.

Zunächst muss das Element (Text oder Bild) definiert werden, das eingefügt oder bearbeitet werden soll. Sie haben folgende Optionen zur Auswahl:

 Titel: Text, der als Überschrift der aktiven Zelle angezeigt wird.

Headerbild: Dies ist ein Bild, das in den Titel der aktiven Zelle eingefügt werden kann, eventuell neben der Überschrift.

Beschreibungstext: Text, der als Legende der aktiven Zelle angezeigt wird.

Nach Eingabe können die verschiedenen Elemente aus dem Dropdown-Menü oder direkt durch Klick auf das Vorschaubild ausgewählt werden.

Je nach gewähltem Element können im Bereich Einstellungen verschiedene Optionen genutzt werden.

Für die Elemente Bildhintergrund und Beschreibungstext stehen folgende Optionen zur Verfügung:
- | Inhalt: Geben Sie hier die gewünschte Überschrift bzw. Legende ein.
- | Textfarbe: Mit Klick auf die Schaltfläche Farbe öffnet sich die Farbpalette, in der die Farbe für den zu bearbeitenden Text ausgewählt werden kann.
- | Schriftart: Mit Klick auf das Schriftsymbol öffnet sich ein Dialogfenster, in dem Sie die Schriftart, den Schriftschnitt und die Textgröße festlegen könnnen.
- | Ausrichtung: Wählen Sie hier, ob der Text in der Zelle Links, Zentriert oder Rechts ausgerichtet werden soll.
- | Horizontaler Seitenrand / Vertikaler Seitenrand: Stellen Sie hier die Seitenränder in Pixeln ein. Auf diese Weise können Sie Ihren Text präzise positionieren und den Abstand zum Zellenrand festlegen.

Für das Element Headerbild stehen folgende Einstellungen zur Verfügung:
- | Bilddatei: Wählen Sie hier die Bilddatei, die Sie als Headerbild verwenden möchten. Sie können Dateien in den Formaten JPG, GIF und PNG verwenden.
- | Ausrichtung: Wählen Sie hier, ob das Bild in der Zelle Links, Zentriert oder Rechts ausgerichtet werden soll.
- | Horizontaler Seitenrand / Vertikaler Seitenrand: Stellen Sie hier die Bildränder in Pixeln ein. Auf diese Weise können Sie das Bild präzise positionieren und den Abstand zum Zellenrand und zur eventuell eingegebenen Überschrift festlegen.

Verwandte Themen:

-

Zellenstil


Zellenstil | Tab Bibliothek

Im Tab Bibliothek des Fensters Zellenstil können Sie ein zuvor als Stil gespeichertes Set von Einstellungen auswählen und auf die aktive Zelle anwenden oder die für die aktive Zelle festgelegten Eigenschaften als neuen Stil speichern, um ihn später auch auf andere Zellen anzuwenden.

In der Bibliothek finden Sie alle Vordefinierten Stile und bereits erstellten Benutzerdefinierten Stile. Ferner stehen folgende Befehle zur Verfügung:
- | Anwenden: Alle Einstellungen des ausgewählten Stils werden auf die aktive Zelle angewendet.
- | Hinzufügen: Hiermit können Sie alle grafischen Einstellungen, die in den Tabs Stil und Text für die aktive Zelle vorgenommen wurden, als Stil in den Benutzerdefinierten Stilen speichern.
- | Entfernen: Mit Klick auf diese Schaltfläche löschen Sie einen ausgewählten Stil aus den Benutzerdefinierten Stilen. Die Vordefinierten Stile können nicht gelöscht werden.

 Bei der Erstellung eines Stils werden alle grafischen Einstellungen der Zelle gespeichert, aber nicht ihre Inhalte, die von Zelle zu Zelle verschieden sein können. Dies bedeutet zum Beispiel, in dem Stil werden die Textfarbe oder die Schriftart , aber nicht der Inhalt der Elemente wie Titel und Beschreibungstext gespeichert, die für die Zelle festgelegt wurde.

Anleitung

Mit der Bibliothek können Sie die Bearbeitung Ihrer Seiten erheblich beschleunigen: Sollen für mehrere Zellen die gleichen grafischen Einstellungen verwendet werden, bietet es sich an, diese für die erste Zelle zu definieren, sie dann als Stil zu speichern und bei Bedarf auf andere Zellen anzuwenden, ohne sie noch einmal vornehmen zu müssen.

Erstellen eines neuen Stils:
- | Wählen Sie im Layout-Schema die Zelle aus, die Sie bearbeiten möchten und klicken Sie auf die Schaltfläche [image] , um das Dialogfenster Zellenstil zu öffnen.
- | Nutzen Sie zur Gestaltung die Optionen, die Ihnen in den Tabs Stil und Text zur Verfügung stehen, bis Sie das gewünschte Ergebnis erzielt haben.
- | Klicken Sie nun auf den Tab Bibliothek und dort auf die Schaltfläche Hinzufügen: Mit den zuvor definierten Einstellungen wird ein neuer Stil erstellt. Der Liste der Benutzerdefinierten Stile wird eine Vorschau des soeben erstellten Stils hinzugefügt.

Anwenden eines Stils:
- | Wählen Sie im Layout-Schema die Zelle aus, die Sie bearbeiten möchten und klicken Sie auf die Schaltfläche [image] , um das Dialogfenster Zellenstil zu öffnen.
- | Öffnen Sie den Tab Bibliothek und markieren Sie in der Liste der Vordefinierten Stile oder Benutzerdefinierten Stile die Vorschau des Stils, den Sie verwenden möchten.
- | Klicken Sie auf die Schaltfläche Anwenden.

Verwandte Themen:

-

Zellenstil


Links

Neben den festen Navigationsmenüs, die auf der Grundlage der Sitemap automatisch erstellt werden, können Sie mit WebSite X5 Texte und Bilder mit Verknüpfungen versehen, die verschiedene Aktionen ermöglichen, wie das Öffnen interner oder externer Seiten, das Aufrufen von Dateien, das Anzeigen von Bildern, das Hinzufügen eines Produkts zum Warenkorb usw.

Bei der Konfiguration einer solchen Verknüpfung können Sie nicht nur die gewünschte Aktion auswählen, sondern auch die jeweilige Quickinfo definieren und individuell gestalten, die erläutert, welche Aktion der Klick auf den Link auslöst.

Anleitung

Überall dort, wo in einen Text oder ein Bild ein Link eingefügt werden kann, steht der Befehl [image] Link zuweisen/einfügen zur Verfügung: Mit Klick auf diese Schaltfläche öffnet sich ein Dialogfenster, in dem der einzufügende Hyperlink definiert werden kann.

Die verschiedenen Funktionen sind in folgende Bereiche gegliedert:
- | Tab Aktion
- | Tab Beschreibung

Verwandte Themen:
- | Gestaltung des Templates | Werkzeugleiste
- | Textobjekt
- | Bildobjekt
- | Galerieobjekt


Link | Tab Aktion

Im Tab Aktion des Dialogfensters Link können Sie festlegen, welche Aktion beim Anklicken des Links ausgeführt werden soll:

 Seite der Website
Der Link führt zu einer anderen Seite der Website. Klicken Sie auf die Schaltfläche [image], um über die Sitemap die zu verlinkende Seite auszuwählen. Sie können angeben, ob die verlinkte Seite im selben Fenster, in einem neuen Fenster des Browsers oder als Popup-Fenster angezeigt werden soll. Bei Auswahl des Popup-Fensters können dessen Abmessungen (Breite und Höhe) festgelegt werden.

Datei oder URL
Der Link führt zu einer anderen Datenquelle, einer Datei oder einer HTML-Seite, lokal oder im WEB. Um festzulegen, womit verlinkt werden soll, wählen Sie Lokale Datei und klicken dann auf die Schaltfläche [image], um lokal eine Ressource auszuwählen, oder URL oder Datei im Internet und geben dann die Adresse (URL) der gewünschten Ressource an.
Sie können angeben, ob die verlinkte Ressource im selben Fenster, in einem neuen Fenster des Browsers oder als Popup-Fenster mit einstellbaren Abmessungen (Breite und Höhe) angezeigt werden soll.

Datei oder URL mit ShowBox
Der Link führt zu einer beliebigen Ressource, lokal oder im WEB, die in einer eigenen ShowBox angezeigt wird. Im Gegensatz zum externen Popup-Fenster wird die verlinkte Datei in einer ShowBox angezeigt. Diese überlagert die ursprüngliche Seite, die im Hintergrund heller oder dunkler angezeigt wird.
Um festzulegen, womit verlinkt werden soll, wählen Sie Lokale Datei und klicken dann auf die Schaltfläche [image], um lokal eine Ressource auszuwählen, oder URL oder Datei im Internet und geben dann die Adresse (URL) der gewünschten Ressource an. Für die ShowBox können Sie die Abmessungen (Breite und Höhe) sowie eine Beschriftung festlegen, die darunter angezeigt wird.
Die Verlinkung mit ShowBox eignet sich besonders für die Anzeige von Bildern, kann aber auch für andere Ressourcen wie zum Beispiel PDF-Dokumente verwendet werden.

ShowBox-Galerie
Mit Klick auf den Link wird in einer ShowBox eine Bildergalerie angezeigt. Für die Erstellung der Bilderliste stehen Ihnen folgende Befehle zur Verfügung: Hinzufügen..., Entfernen, Nach oben und Nach unten. Außerdem können die Abmessungen (Breite und Höhe) der ShowBox festgelegt werden.

Das Aussehen der ShowBox kann komplett individuell gestaltet werden: Mit den Optionen in Stile und Modelle | Tab ShowBox in Schritt 4 - Erweiterte Einstellungen können Sie beispielsweise Farben, Schatten, die Deckkraft und Einblendeffekte festlegen.

E-Mail
Der Link öffnet den Standard-E-Mail-Client, um von dort eine E-Mail zu versenden. Geben Sie die E-Mail-Adresse ein, an die die Nachricht gesendet werden soll.
Bei Auswahl der Option Schutz der E-Mail-Adresse aktivieren wird die angegebene E-Mail-Adresse im HTML-Code der Seite verschlüsselt gespeichert: Auf diese Weise wird sie nicht von Spam-Robots erkannt, die das WEB auf der Suche nach E-Mail-Adressen scannen.

Internetanruf
Der Link öffnet ein Programm für Internettelefonie (zum Beispiel Skype), über das mit einem bestimmten Teilnehmer Kontakt aufgenommen werden kann. Der Benutzername des Teilnehmers muss in dem entsprechenden Feld angegeben werden. Außerdem kann der Aktionstyp festgelegt werden. Sie haben die Wahl zwischen: Anrufen, Kontakt hinzufügen, Chat, Profil anzeigen, Skype VoiceMail und Dateien senden.

Sound
Der Link löst die Wiedergabe eines Sounds aus. Um festzulegen, womit verlinkt werden soll, wählen Sie Lokale Datei und klicken dann auf die Schaltfläche [image], um lokal eine Ressource auszuwählen, oder Datei im Internet und geben dann die Adresse (URL) der gewünschten Ressource an. Es können nur Dateien im Format .MP3 verlinkt werden.
Bei Klick auf den Link wird ein ToolTip mit einer Play/Pause-Taste angezeigt, mit der die Wiedergabe gestartet bzw. unterbrochen werden kann. Bewegt man den Mauszeiger aus dem Fenster des ToolTips heraus, wird die Wiedergabe unterbrochen.

Der ToolTip für den Sound-Link wird vom Programm automatisch generiert. Die grafische Gestaltung richtet sich nach den Einstellungen unter Schritt 4 - Erweiterte Einstellungen im Bereich Stile und Modelle | ToolTip.

Seite drucken
Bei Klick auf den Link wird die angezeigte Seite ausgedruckt.

Hinweis
Bei Klick auf den Link wird ein Hinweis angezeigt. Geben Sie hierzu den Text der Nachricht in das entsprechende Feld ein. Bei Aktivierung der Option Als Popup-Fenster anzeigen wird der Hinweis in einem Dialogfenster im Windows-Stil angezeigt.

Favoriten und Startseite
Der Link öffnet das Browserfenster, in dem der Benutzer unsere Website als Favoriten speichern (Seite zu Favoriten hinzufügen) oder eine Website als Startseite seines Internetbrowsers (Website als Startseite einstellen) festlegen kann.
Geben Sie hierzu die URL der Website und den Titel der Website ein, die vorgeschlagen werden soll.

RSS-Feed
Der Link führt zum RSS-Feed der Website: Diese Verlinkung ist nur aktiv, wenn in dem entsprechenden Fenster in Schritt 4 - Erweiterte Einstellungen ein RSS-Feed konfiguriert wurde.

Wenn die Funktion der erstellten Website lokal getestet wird, erscheint ein Fenster mit dem Hinweis, dass die RSS-Feeds erst dann angezeigt werden, wenn die Seite online publiziert wird.

Blog
Der Link führt zu dem mit der Website verknüpften Blog. Voraussetzung für das Funktionieren dieses Links ist, dass in Schritt 4 - Erweiterte Einstellungen zuvor ein Blog erstellt wurde.
Mit den verfügbaren Optionen können Sie einstellen, ob der Blog im gleichen oder in einem neuen Fenster des Browsers angezeigt werden soll.

Sitemap
Mit Klick auf den Link wird die komplette Sitemap in einem separaten Fenster angezeigt. Alle Einträge in der Sitemap sind ihrerseits mit den entsprechenden Seiten verlinkt. Die Sitemap ist daher ein nützliches Hilfsmittel zur Orientierung und Navigation für den Anwender. Die Anzeige der Sitemap-Inhalte kann mit den Optionen Erweitern und Ausblenden angepasst werden.

Auch wenn der Link Sitemap nicht verwendet wird, wird die Seite SiteMap XML erstellt und über den Metatag <sitemap> in den HTML-Code der Seiten eingebunden, um die Indexierung der Inhalte durch Suchmaschinen zu optimieren.

Warenkorb anzeigen
Mit Klick auf den Link wird die Seite mit dem Warenkorb und eventuell bereits bestellten Produkten angezeigt.

Zum Warenkorb hinzufügen
Mit Klick auf den Link wird der Benutzer zum Warenkorb geleitet, um eine Bestellung aufzugeben, oder kann ein bestimmtes Produkt in den Warenkorb legen.
Bei Auswahl der Option Produktliste der ausgewählten Kategorie anzeigen muss in der Übersicht des Produktkatalogs die gewünschte Kategorie ausgewählt werden.
Bei Auswahl der Option Das ausgewählte Produkt direkt in den Warenkorb legen muss in der Übersicht das jeweilige Produkt gewählt werden. Außerdem müssen die Variante und die Menge des Produkts angegeben werden, das in den Warenkorb gelegt werden soll.

Die Links Warenkorb anzeigen und Zum Warenkorb hinzufügen funktionieren nur dann, wenn zuvor unter Warenkorb für E-Commerce in Schritt 4 - Erweiterte Einstellungen ein E-Shop konfiguriert wurde.

Verwandte Themen:

-

Links


Link | Tab Beschreibung

Im Tab Beschreibung des Dialogfensters Link können Sie Ihrem Link eine Beschreibung zuweisen: Diese Beschreibung wird als Wert des Attributs <title> des Elements <a> in den HTML-Code eingebunden und für die Erstellung einer erläuternden Anmerkung ("ToolTip" oder "Tip") verwendet. Ein ToolTip erscheint neben dem Mauszeiger, wenn dieser auf dem Link positioniert wird, und enthält eine Erläuterung der Aktion, die der Klick auf den Link auslöst, d.h. dass auf eine andere Seite oder Website umgeleitet, ein Bild angezeigt, der Download einer Datei gestartet wird usw.

Für die Erstellung des ToolTips stehen folgende Optionen zur Verfügung:
- | Text: Geben Sie hier die Beschreibung des Links ein.
- | Bild: Hier können Sie ein Bild auswählen, das im ToolTip anstelle oder gemeinsam mit der Beschreibung angezeigt werden soll.
- | Breite: Legen Sie hier die gewünschte Breite des ToolTips fest.

 Die Parameter Text, Bild und Breite variieren je nach Linktyp und müssen daher für jeden Link separat definiert werden. Die grafische Gestaltung des ToolTips richtet sich nach den Einstellungen unter Stile und Modelle | Tab ToolTip in Schritt 4 - Erweiterte Einstellungen.

Verwandte Themen:
- | Links
- | Stile und Modelle | Tab ToolTip


Fenster Farbe

Jedes Mal, überall, wo für ein Element eine Farbe festgelegt werden kann, erscheint die Option Farbe mit einer Schaltfläche, die eine voreingestellte oder die zuletzt ausgewählte Farbe enthält.

Mit Klick auf die Schaltfläche Farbe wird ein Dialogfenster eingeblendet, das eine Palette mit 48 Farben enthält. Um eine dieser Farben auszuwählen, klicken Sie darauf.

Neben der Hauptpalette enthält das Fenster noch folgende Elemente:
- | Transparent: Diese Option ist nur dort verfügbar, wo sie auch angewendet werden kann, und macht das jeweilige Element unsichtbar.
- | Zuletzt verwendete Farben: Die Zeile unter der Palette enthält die 8 zuletzt verwendeten Farben.
- | Weitere Farben...: Hier öffnen Sie ein weiteres Fenster, über das einzelne Farben individuell festgelegt werden können.
- | Pipette: Mit der Pipette können Sie die Farbe eines beliebigen Elements am Bildschirm übernehmen, auch außerhalb von WebSite X5. Klicken Sie hierzu mit der rechten Maustaste auf das Pipettensymbol, halten Sie die Maustaste gedrückt und ziehen Sie es auf ein beliebiges Element, dessen Farbe Sie "einfangen" möchten.


Dialogfenster Effekte

Eigenschaften der Effekte

Dieses Dialogfenster enthält die Funktionen, mit denen Sie Einblendeffekte der für eine Slideshow ausgewählten Bilder festlegen können. Die Funktion ist im Editor für die Gestaltung des Templates sowie für die im Objekt Galerie ausgewählten Bilder verfügbar.

Die Optionen sind in folgende Bereiche gegliedert:

1. Tab Effekttyp
Wählen Sie hier den Einblendeffekt für die Bilder, die Sie bearbeiten:
- | Liste der Effekte: Liste der zur Auswahl stehenden Effekte. Wenn Sie die Option "1 - Zufall" wählen, wird nach dem Zufallsprinzip automatisch ein Effekt ausgewählt. Nach der Auswahl eines Effekts wird dieser im Vorschaufenster angezeigt.
- | Anzeigedauer: Stellen Sie hier die Dauer (in Sekunden) ein, für die jedes einzelne Bild angezeigt werden soll.

2. Tab Zoom und Bewegung
Hier können Sie für die Bilder den Bewegungstyp und einen Zoomfaktor auswählen:
- | Startposition: Definieren Sie hier den Zoomfaktor und die Koordinaten X und Y der Startposition für die Bildbewegung.
- | Endposition: Definieren Sie hier den Zoomfaktor und die Koordinaten X und Y der Endposition für die Bildbewegung.
In beiden Fällen können Sie zum Festlegen der Start- und Endposition auch direkt das Vorschaubild in die gewünschte Position ziehen.

 Für ein Bild können ein Einblendeffekt sowie ein Bewegungs- und Zoom-Effekt eingestellt werden. In diesem Fall wird erst der Einblendeffekt angewendet und das Bild wird mit den Koordinaten und Abmessungen dargestellt, die für die Startposition festgelegt wurden. Anschließend wird die Bewegung und eventuell der Zoom dargestellt, bis das Bild die Koordinaten und Abmessungen erreicht, die für die Endposition festgelegt wurden.

Für Slideshow-Bilder, die im Editor unter Gestaltung des Templates bearbeitet werden können, steht eine weitere Option zur Verfügung:

3. Tab Seite
Hier können Sie die Seiten der Website festlegen, auf denen die für die Slideshow ausgewählten Bilder angezeigt werden sollen. Aktivieren Sie hierzu in der angezeigten Sitemap das Kontrollkästchen neben den jeweiligen Seiten.

Festzulegen, auf welchen Seiten bestimmte Bilder einer Slideshow angezeigt werden sollen, kann sich zum Beispiel als besonders nützlich erweisen, wenn man Werbebotschaften veröffentlicht. Werbebanner werden mit der Slideshow-Funktion konfiguriert und dann können Sie festlegen, dass auf jeder Seite und in jedem Bereich nur die jeweils zugehörigen Botschaften angezeigt werden.

Verwandte Themen:
- | Gestaltung des Templates | Bereich Slideshow
- | Objekt Galerie | Bereich Liste


Verlinkte Datei hochladen

Dieses Dialogfenster öffnet sich bei Klick auf die Schaltfläche Hinzufügen... beim Zusammenstellen der Liste verlinkter Dateien, bei der Konfiguration einer Flash-Animation (siehe Objekt Flash-Animation | Tab Erweitert) oder beim Eingeben von HTML-Code (siehe HTML und Widgets | Tab Erweitert).

Folgende Befehle sind verfügbar:
- | Verlinkte Datei zur Veröffentlichung auf dem Server: Hier können Sie eine Datei importieren, die mit der aktuell bearbeiteten Flash-Animation verlinkt ist.
- | Serverpfad: Geben Sie hier den Pfad zu dem Verzeichnis an, in dem die importierte, mit dem Objekt verknüpfte Datei veröffentlicht werden soll.
- | Datei mit der Seite verknüpfen (ausschließlich .js oder .css Dateien): Handelt es sich bei der importierten Datei um ein JavaScript (Format .js) oder ein Stylesheet (formato .css), muss sie, um zu funktionieren, mit der Seite verknüpft werden. Mit Aktivierung dieser Option wird der Code automatisch in den Bereich <HEAD> des HTML-Codes der Seite eingefügt.

Verwandte Themen:
- | Flash-Animation | Tab Erweitert
- | HTML und Widgets | Tab Erweitert


Erweiterte Einstellungen

Nachdem Sie in Schritt 2 die Sitemap strukturiert und in Schritt 3 die einzelnen Seiten erstellt und alle Inhalte eingegeben haben, werden Ihnen im 4. Schritt verschiedene erweiterte Funktionen angeboten. Hier können Sie den Stil der Navigationsmenüs und der Texte gestalten, aber auch wichtige Bereiche der Website wie einen E-Shop, einen Blog oder einen geschützten Bereich erstellen.

Im Einzelnen stehen Ihnen folgende erweiterte Funktionen zur Verfügung:

 Hauptmenü
Hier können Sie die Ebenen des Hauptmenüs gestalten, also des Menüs, das oben (Struktur mit horizontalem Menü) oder seitlich (Struktur mit vertikalem Menü) immer sichtbar ist.

Drop-Down-Menü
Definieren Sie hier den Stil des Drop-Down-Menüs, das bei Bewegung des Mauszeigers über einen Eintrag eines Menüs der ersten Ebene eingeblendet wird.

Seitenmenü
Gestalten Sie hier die grafischen Eigenschaften des Seitenmenüs, also des Menüs, das die Liste der Seiten der jeweils aktuellen Ebene anzeigt.

Stile und Modelle
Definieren Sie in diesem Bereich die Stile der Textelemente auf den verschiedenen Seiten, in der ShowBox des Objekts Galerie, der ToolTips, die den Links zugewiesen werden können, der mit dem Objekt E-Mail-Formular erstellten E-Mails oder im Warenkorb für E-Commerce.

Introseite
In dieser Sektion können Sie für Ihre Website eine Intro gestalten, die mit Sound hinterlegt werden kann und die Links für die Sprachauswahl enthält.

Werbebotschaft
Hier können Sie eine Werbebotschaft konfigurieren und individuell gestalten, die nur auf der Homepage oder auf allen Seiten in einer bestimmten Position angezeigt wird.

Blog
In dieser Sektion können Sie einen Blog erstellen und verwalten. Ein Blog ist eine Art Web-Tagebuch, in dem Sie Nachrichten veröffentlichen, die von den Anwendern ggf. kommentiert werden können.

RSS-Feed
In diesem Bereich können Sie ein RSS-Feed als Kanal für regelmäßig aktualisierte Informationen erstellen und verwalten.

Zugangsverwaltung
Erstellen Sie hier Profile für Benutzer, die Zugang zu den geschützten Bereichen der Website erhalten und organisieren Sie sie in Gruppen. Die geschützten Seiten, die Sie in Schritt 2 Erstellen der Sitemap als solche definieren, bilden gemeinsam den geschützten Bereich, auf den Benutzer nur zugreifen können, nachdem sie sich eingeloggt haben, wobei die zugewiesenen Zugriffsrechte bestimmen, welche geschützten Seiten jeweils angezeigt werden können.

Warenkorb E-Commerce
In diesem Bereich können Sie einen E-Shop einrichten und hierfür Parameter wie die Produktliste, Versand- und Zahlungsarten oder das Bestellformular definieren.

Für weitere Informationen über die Erstellung der Sitemap und die Unterscheidung zwischen Einträgen der ersten und der zweiten Ebene, Drop-Down-Menüs und Untermenüs siehe Erstellen der Sitemap.


Stil des Hauptmenüs

Dieses Fenster enthält die Funktionen, mit denen Sie einige erweiterte, grafische Einstellungen an den Elementen des Hauptmenüs vornehmen können.

Die Menüs werden auf der Grundlage der in Schritt 2 - Erstellung der Sitemap generierten Sitemap vom Programm automatisch erstellt und aktualisiert. Das Hauptmenü enthält die Einträge der ersten Ebene der Sitemap, die den festen Navigationsbereich der Website bilden. Bei Websites mit horizontalem Menü befindet sich das Hauptmenü direkt über oder unter dem Header und ist immer sichtbar. Bei Websites mit vertikalem Menü befindet sich das Hauptmenü in einer Spalte rechts oder links neben dem Inhalt und ist ebenfalls immer sichtbar.

Auf der Grundlage der festgelegten Stiloptionen erstellt WebSite X5 die Elemente des Hauptmenüs auf folgende Weise:
- | Grafischer Button: Wenn Sie die rechteckige Form beibehalten und eine einfarbige, flache Form wählen, werden die Menüelemente als Text erstellt und ihr Aussehen mit Hilfe von Stylesheets (CSS) definiert. Diese Buttons haben den Vorteil, dass Sie beim Laden der Seite und der Anzeige online schneller verarbeitet werden.
- | 3D-Button: Wenn Sie eine beliebige Form wählen, die vom Rechteck verschieden ist, sowie einen 3D-Stil definieren, werden die Menüelemente als Bilder generiert (jeder Button wird als separates Bild gespeichert). 3D-Buttons bieten mehr Flexibilität bei der grafischen Gestaltung und der Auswahl der Schrift für den Text.

Anleitung

Nachdem Sie für Ihre Website eine Struktur, also ein Horizontales Menü oder ein Vertikales Menü (Schritt 1 - Auswahl des Templates oder Schritt 1 - Individuelles Template) ausgewählt und die Sitemap (Schritt 2 - Erstellen der Sitemap) strukturiert haben, erstellt WebSite X5 das Menü für die Navigation durch die Seiten. In Schritt 4 - Erweiterte Einstellungen > Hauptmenü können Sie das Navigationsmenü individuell gestalten.

Die Funktionen für die individuelle Gestaltung der Menüelemente sind in folgende Bereiche gegliedert:
- | Tab Allgemein
- | Tab Menüelemente
- | Tab 3D-Stil

Verwandte Themen:

-

Erweiterte Einstellungen


Stil des Hauptmenüs | Tab Allgemein

Mit den Optionen im Tab Allgemein des Fensters Stil des Hauptmenüs können Sie einige allgemeine Einstellungen für das Hauptmenü vornehmen.

Im Bereich Stil stehen folgende Optionen zur Verfügung:
- | Breite: Legen Sie hier die Breite der Menü-Buttons in Pixeln fest.
- | Horizontaler Seitenrand / Vertikaler Seitenrand: Dieses Maß bestimmt den Abstand zwischen dem Rand des Buttons und dem enthaltenen Text. Mit diesen Einstellungen können Sie also festlegen, wie viel Freiraum horizontal und/oder vertikal um den Text auf dem Button bestehen soll.
- | Abstand zwischen Buttons: Bestimmen Sie hier den Außenrand, also den Abstand zwischen zwei Buttons.

Im Bereich Text stehen folgende Optionen zur Verfügung:
- | Schriftart: Mit Klick auf die Schaltfläche neben dem Feld öffnet sich ein Dialogfenster, in dem Sie die Schriftart, den Schriftschnitt und die Textgröße festlegen können.
- | Ausrichtung: Wählen Sie hier, ob die Button-Beschriftung Links, Zentriert oder Rechts ausgerichtet werden soll.
- | Antialias auf Text anwenden: Bei Aktivierung dieser Option wird ein Antialias-Effekt auf den Text angewendet, der die Kanten glättet.

Im Bereich Optionen können Sie schließlich folgende Einstellungen vornehmen:

-

Automatischer Menülauf des vertikalen Menüs: Bei Aktivierung dieser Option bewegt sich das Navigationsmenü automatisch mit dem Seiteninhalt, sodass es immer sichtbar und verfügbar bleibt.

Bei der Einstellung der Button-Breite muss auch der für das Menü insgesamt verfügbare Platz berücksichtigt werden. Falls Sie kein vordefiniertes Template verwenden, können Sie diesen Parameter ändern (siehe Individuelles Template)

Verwandte Themen:

-

Stil des Hauptmenüs


Stil des Hauptmenüs | Tab Menüelemente

Mit den Optionen im Tab Menüelemente des Fensters Stil des Hauptmenüs können Sie die Farben, Hintergrundbilder und Textstile für die Buttons des Hauptmenüs je nach Status festlegen.

Wählen Sie zunächst das Menüelement aus, das Sie bearbeiten möchten: Sie können separate Einstellungen für ein [image] Menüelement und ein [image] Element bei Mauskontakt/Aktuelle Seite vornehmen. Sie können das Menüelement aus dem Dropdown-Menü oder direkt in der Vorschau auswählen, die in Echtzeit aktualisiert wird.

Für beide Elementtypen stehen im Bereich Stil folgende Optionen zur Verfügung:
- | Hintergrund / Textfarbe / Randfarbe: Mit Klick auf die Schaltfläche Farbe öffnet sich die Farbpalette, in der Sie die Farbe für den Hintergrund, den Text und den Rand des Buttons auswählen können.
- | Hintergrundbild: Wählen Sie hier ein Bild aus, das als Hintergrund für den Button verwendet werden soll. Klicken Sie hierzu auf die Schaltfläche [image] , um die verfügbaren Ressourcen zu durchsuchen. Sie können Dateien in den Formaten .JPG, .GIF und .PNG verwenden.
- | Schriftstil: Für das Menüelement können Sie einen Schriftstil auswählen. Die Optionen sind Kein, Basrelief, Hochrelief und Schatten. Für das Element bei Mauskontakt / Aktuelle Seite werden automatisch die Einstellungen des Menüelements übernommen: Zusätzlich können Sie den Schriftschnitt Normal, Fett, Kursiv oder Fett Kursiv wählen.

Verwandte Themen:

-

Stil des Hauptmenüs


Stil des Hauptmenüs | Tab 3D-Stil

Mit den Optionen im Tab 3D-Stil des Fensters Stil des Hauptmenüs können Sie die Form und das Aussehen der 3D-Buttons definieren.

Im Bereich Form stehen folgende Optionen zur Verfügung:
- | Form: Wählen Sie hier die Form des Buttons.
- | Abrundung: Hier können Sie einen Abrundungsfaktor definieren, um die Ecken der Buttons abzurunden oder diesen eine Form zu geben, die vom Rechteck verschieden ist.
- | Form der Buttons verbinden: Bei Aktivierung dieser Option werden die Buttons verbunden und die gewählte Form wird auf alle Buttons als Komplex angewendet.

Im Bereich 3D-Stil stehen folgende Optionen zur Verfügung:
- | Stil: Hier können Sie dem Button Eigenschaften wie Profilkanten, Flach, Flach plastisch, Tiefliegend usw. zuweisen.
- | Lichteinfall: Definieren Sie hier den Effekt eines Lichteinfalls auf den Button.
- | Schattierung: Mit dieser Option können Sie einen Schattierungseffekt auf den Button anwenden.
- | Transparenz des Bildes: Mit dieser Funktion können Sie auf Hintergrundbilder, die den Buttons im Tab Menüelemente zugewiesen wurden, eine Transparenz anwenden.

Im Bereich 3D-Rand können Sie schließlich folgende Einstellungen vornehmen:
- | Randstil: Wählen Sie einen Stil für den Rand der Buttons, wie Normal, Profilkanten oder Tiefliegend.
- | Äußere Breite / Innere Breite: Hier können Sie jeweils die äußere und innere Breite der Ränder festlegen.
- | Gemeinsamer Außenrand: Bei Aktivierung dieser Option wird der Rand mit den vorgenommenen Einstellungen nicht auf jeden einzelnen Button, sondern auf den gesamten Button-Block in seiner Gesamtheit angewendet.

Verwandte Themen:

-

Stil des Hauptmenüs


Stil des Drop-Down-Menüs

In diesem Fenster finden Sie die Funktionen, mit denen Sie einige erweiterte Einstellungen des grafischen Stils der Drop-Down-Menüs vornehmen können.

Die Menüs werden auf der Grundlage der in Schritt 2 - Erstellung der Sitemap generierten Sitemap vom Programm automatisch erstellt und aktualisiert. Die Drop-Down-Menüs werden bei Mauskontakt mit einer Ebene des Hauptmenüs angezeigt.

Ebenso wie beim Hauptmenü generiert WebSite X5 auf der Grundlage der eingestellten Stiloptionen die Elemente der Drop-Down-Menüs als Grafische Buttons oder 3D-Buttons (siehe Stil des Hauptmenüs).

Anleitung

Nachdem Sie für Ihre Website eine Struktur, also ein Horizontales Menü oder ein Vertikales Menü (Schritt 1 - Auswahl des Templates oder Schritt 1 - Individuelles Template) ausgewählt und die Sitemap (Schritt 2 - Erstellen der Sitemap) strukturiert haben, erstellt WebSite X5 das Menü für die Navigation durch die Seiten. In Schritt 4 - Erweiterte Einstellungen > Drop-Down-Menü können Sie dieses Menü individuell gestalten.

Die Funktionen für die individuelle Gestaltung der Menüelemente sind in folgende Bereiche gegliedert:
- | Tab Allgemein
- | Tab Menüelemente
- | Tab 3D-Stil

Verwandte Themen:

-

Erweiterte Einstellungen


Stil des Drop-Down-Menüs | Tab Allgemein

Mit den Optionen im Tab Allgemein des Fensters Stil des Drop-Down-Menüs können Sie einige allgemeine Einstellungen vornehmen.

Allem voran müssen Sie den Menütyp festlegen. Hier haben Sie die Wahl zwischen folgenden Optionen:

 In einer Spalte anordnen: Alle Elemente des Drop-Down-Menüs werden in einer Spalte untereinander angeordnet.

In mehreren Spalten anordnen: Die Elemente des Drop-Down-Menüs werden in mehreren, nebeneinander angeordneten Spanlten organisiert. Es wird automatisch eine neue Spalte generiert, wenn:
- | die Anzahl der Menüelemente den unter Max. Einträge pro Spalte eingestellten Wert überschreitet;
- | in der Seitenliste ein Trennelement eingefügt wurde (siehe Erstellen der Sitemap).

Nur wenn unter Auswahl des Templates oder im Fenster Individuelles Template ein Vertikales Menü gewählt wurde, ist zusätzlich folgende Einstellung verfügbar:

 Vertikales Akkordeon-Menü: Alle Elemente des Drop-Down-Menüs werden in einer Spalte organisiert. Bei Klick auf einen Eintrag verschieben sich die folgenden Elemente nach unten und lassen Raum für die Anzeige der jeweiligen Unterelemente.

Nach Auswahl des Menütyps stehen im Bereich Stil folgende Optionen zur Verfügung:
- | Breite: Legen Sie hier die Breite der Menü-Buttons in Pixeln fest.
- | Horizontaler Seitenrand / Vertikaler Seitenrand: Dieses Maß bestimmt den Abstand zwischen dem Rand des Buttons und dem enthaltenen Text. Mit diesen Einstellungen können Sie also festlegen, wie viel Freiraum horizontal und/oder vertikal um den Text auf dem Button bestehen soll.
- | Max. Einträge pro Spalte: Diese Option ist nur für den Menütyp In mehreren Spalten anordnen verfügbar und ermöglicht die Einstellung der Maximalzahl der Elemente, die jede Spalte des Drop-Down-Menüs enthalten kann.

Im Bereich Text stehen folgende Optionen zur Verfügung:
- | Schriftart: Mit Klick auf das Schriftsymbol öffnet sich ein Dialogfenster, in dem Sie die Schriftart, den Schriftschnitt und die Textgröße festlegen können.
- | Ausrichtung: Wählen Sie hier, ob der Text auf dem Element Links, Zentriert oder Rechts ausgerichtet sein soll.

Im Bereich Optionen können Sie schließlich folgende Einstellungen vornehmen:

-

Effekt: Stellen Sie hier den gewünschten Anzeigeeffekt ein. Zur Auswahl stehen die Optionen Kein, Einblenden, Öffnen von oben, Öffnen von links und Öffnen von links oben.

Verwandte Themen:

-

Stil des Drop-Down-Menüs


Stil des Drop-Down-Menüs | Tab Menüelemente

Mit den Optionen im Tab Menüelemente des Fensters Stil des Drop-Down-Menüs können Sie die Farben, Hintergrundbilder und Textstile für die Buttons des Drop-Down-Menüs je nach Status festlegen.

Wählen Sie zunächst das Menüelement aus, das Sie bearbeiten möchten: Sie können separate Einstellungen für ein [image] Menüelement, ein [image] Element bei Mauskontakt und ein [image] Trennelement vornehmen. Sie können das Menüelement aus dem Dropdown-Menü oder direkt in der Vorschau auswählen, die in Echtzeit aktualisiert wird.

Für alle Elementtypen stehen im Bereich Stil folgende Optionen zur Verfügung:
- | Hintergrund / Textfarbe / Randfarbe: Mit Klick auf die Schaltfläche Farbe öffnet sich die Farbpalette, in der Sie die Farbe für den Hintergrund, den Text und den Rand des Buttons auswählen können. Für das Trennelement steht nur die Option Textfarbe zur Verfügung.
- | Hintergrundbild: Für das Menüelement und das Element bei Mauskontakt können Sie ein Bild auswählen, das als Hintergrund verwendet werden soll. Klicken Sie hierzu auf die Schaltfläche [image] , um die verfügbaren Ressourcen zu durchsuchen. Sie können Dateien in den Formaten .JPG, .GIF und .PNG verwenden.
- | Schriftstil: Für das Menüelement und das Element bei Mauskontakt können Sie einen Schrifttyp auswählen. Die Optionen sind Normal, Fett, Kursiv und Fett Kursiv.
- | Aufzählungszeichen: Hier können Sie ein Bild auswählen, dass neben den Buttons oder Trennelementen als Aufzählungszeichen verwendet wird. Klicken Sie hierzu auf die Schaltfläche [image] und wählen Sie die gewünschte Bildatei im Format .JPG, .GIF oder .PNG.

Verwandte Themen:

-

Stil des Hauptmenüs


Stil des Drop-Down-Menüs | Tab 3D-Stil

Mit den Optionen im Tab 3D-Stil des Fensters Stil des Drop-Down-Menüs können Sie die Form und das Aussehen der 3D-Buttons definieren.

Im Bereich Form stehen folgende Optionen zur Verfügung:
- | Form: Wählen Sie hier die Form des Buttons.
- | Abrundung: Hier können Sie einen Abrundungsfaktor definieren, um die Ecken der Buttons abzurunden oder diesen eine Form zu geben, die vom Rechteck verschieden ist.
- | Form der Buttons verbinden: Bei Aktivierung dieser Option werden die Buttons verbunden und die gewählte Form wird auf alle Buttons als Komplex angewendet.

Im Bereich 3D-Stil stehen folgende Optionen zur Verfügung:
- | Stil: Hier können Sie dem Button Eigenschaften wie Profilkanten, Flach, Flach plastisch, Tiefliegend usw. zuweisen.
- | Lichteinfall: Definieren Sie hier den Effekt eines Lichteinfalls auf den Button.
- | Schattierung: Mit dieser Option können Sie einen Schattierungseffekt auf den Button anwenden.
- | Transparenz des Bildes: Mit dieser Funktion können Sie auf Hintergrundbilder, die den Buttons im Tab Menüelemente zugewiesen wurden, eine Transparenz anwenden.

Im Bereich 3D-Rand können Sie schließlich folgende Einstellungen vornehmen:
- | Randstil: Wählen Sie einen Stil für den Rand der Buttons, wie Normal, Profilkanten oder Tiefliegend.
- | Äußere Breite / Innere Breite: Hier können Sie jeweils die äußere und innere Breite der Ränder festlegen.
- | Gemeinsamer Außenrand: Bei Aktivierung dieser Option wird der Rand mit den vorgenommenen Einstellungen nicht auf jeden einzelnen Button, sondern auf den gesamten Button-Block in seiner Gesamtheit angewendet.

Verwandte Themen:

-

Stil des Hauptmenüs


Stil des Seitenmenüs

In diesem Fenster finden Sie die Funktionen, mit denen Sie einige erweiterte Einstellungen des grafischen Stils der Seitenmenüs vornehmen können.

Die Menüs werden auf der Grundlage der in Schritt 2 - Erstellung der Sitemap generierten Sitemap vom Programm automatisch erstellt und aktualisiert. Seitenmenüs können optional dargestellt werden, um die Liste der Seiten der jeweiligen Ebene anzuzeigen. Das heißt, wenn Sie die Seite einer bestimmten Ebene öffnen und diese Ebene weitere Seiten enthält, werden diese im Seitenmenü angezeigt. Seitenmenüs sind immer vertikal angeordnet und rechts oder links vom Seiteninhalt positioniert.

Ebenso wie beim Hauptmenü generiert WebSite X5 auf der Grundlage der eingestellten Stiloptionen die Elemente der Seitenmenüs als Grafische Buttons oder 3D-Buttons (siehe Stil des Hauptmenüs).

Anleitung

Nachdem Sie für Ihre Website eine Struktur, also ein Horizontales Menü oder ein Vertikales Menü (Schritt 1 - Auswahl des Templates oder Schritt 1 - Individuelles Template) ausgewählt und die Sitemap (Schritt 2 - Erstellen der Sitemap) strukturiert haben, erstellt WebSite X5 das Menü für die Navigation durch die Seiten. In Schritt 4 - Erweiterte Einstellungen > Seitenmenü können Sie dieses Menü individuell gestalten.

Die Funktionen für die individuelle Gestaltung der Menüelemente sind in folgende Bereiche gegliedert:
- | Tab Allgemein
- | Tab Menüelemente

Verwandte Themen:

-

Erweiterte Einstellungen


Stil des Seitenmenüs | Tab Allgemein

Mit den Optionen im Tab Allgemein des Fensters Stil des Seitenmenüs können Sie einige allgemeine Einstellungen für das Seitenmenü vornehmen.

Soll das Seitenmenü mit den Seiten der aktiven Ebene angezeigt werden, müssen Sie zunächst die Option Seitenmenü anzeigen aktivieren.

Anschließend können Sie im Bereich Stil folgende Optionen nutzen:
- | Position des Menüs: Legen Sie hier fest, ob das Seitenmenü am rechten oder linken Seitenrand angezeigt werden soll.
- | Breite: Bestimmen Sie hier die Breite der Menüelemente in Pixeln.
- | Horizontaler Seitenrand / Vertikaler Seitenrand: Dieses Maß bestimmt den Abstand zwischen dem Rand des Buttons und dem enthaltenen Text. Mit diesen Einstellungen können Sie also festlegen, wie viel Freiraum horizontal und/oder vertikal um den Text auf dem Button bestehen soll.
- | Abstand zwischen Buttons: Bestimmen Sie hier den Außenrand, also den Abstand zwischen zwei Buttons.

Im Bereich Text stehen folgende Optionen zur Verfügung:
- | Schriftart: Mit Klick auf das Schriftsymbol öffnet sich ein Dialogfenster, in dem Sie die Schriftart, den Schriftschnitt und die Textgröße festlegen können.
- | Ausrichtung: Wählen Sie hier, ob der Text auf dem Element Links, Zentriert oder Rechts ausgerichtet sein soll.

Im Bereich Rand können Sie folgende Einstellungen vornehmen:
- | Randfarbe: Im Dialogfenster Farbe können Sie aus der Farbpalette die Farbe für den Rand des Buttons auswählen.
- | Breite: Legen Sie hier fest, wie breit der Rand des Buttons sein soll.

Verwandte Themen:

-

Stil des Seitenmenüs


Stil des Seitenmenüs | Tab Menüelemente

Mit den Optionen im Tab Menüelemente des Fensters Stil des Seitenmenüs können Sie einige grafische Aspekte des Seitenmenüs definieren.

Wählen Sie zunächst das Menüelement aus, das Sie bearbeiten möchten: Sie können separate Einstellungen für ein [image] Menüelement, ein [image] Element bei Mauskontakt/Aktuelle Seite und ein [image] Trennelement vornehmen. Sie können das Menüelement aus dem Dropdown-Menü oder direkt in der Vorschau auswählen, die in Echtzeit aktualisiert wird.
- | Hintergrund / Textfarbe / Linienfarbe: Mit Klick auf die Schaltfläche öffnet sich das Dialogfenster Farbe, in dem Sie die Farben für den Hintergrund und den Text des Menüelements, des Elements bei Mauskontakt / aktuelle Seite und des Trennelements sowie für Letzteres eine Linienfarbe festlegen können.
- | Aufzählungszeichen: Aufzählungszeichen können für Menüelemente, Elemente bei Mauskontakt / Aktuelle Seite und Trennelemente verwendet werden. Wählen Sie ein Bild (Datei im Format .JPG, .GIF oder .PNG) aus, das vor den Elementen als Aufzählungszeichen angezeigt werden soll.
- | Schriftstil: Für das Element bei Mauskontakt / Aktuelle Seite und das Trennelement können Sie einen Schrifttyp auswählen. Die Optionen sind Normal, Fett, Kursiv und Fett Kursiv.
- | Linienstil: Nur für die Trennliniekönnen Sie einen Linienstil auswählen. Die Optionen sind Durchgehende Linie, Strichlinie, Punktlinie, Basrelief und Hochrelief.

Verwandte Themen:

-

Stil des Seitenmenüs


Stile und Modelle

In diesem Fenster finden Sie die Funktionen, mit denen Sie die Stile der Textelemente auf den verschiedenen Seiten, in der ShowBox von Elementen wie des Objekts Galerie, des Objekts Produktliste, der ToolTips, die Links zugewiesen werden können, der mit dem Objekt E-Mail-Formular erstellten E-Mails oder im Warenkorb für E-Commerce gestalten können.

Ein Stil kann im Allgemeinen als eine Gesamtheit von Textformatierungen und grafischen Eigenschaften verstanden werden, die auf ein Element angewendet werden, um sein Erscheinungsbild zu verändern. Die Anwendung eines Stils ermöglicht die gleichzeitige Zuweisung mehrerer Formatierungsoptionen in einem einzigen Arbeitsschritt.

Anleitung

Nachdem Sie die Sitemap strukturiert (Schritt 2 - Erstellen der Sitemap) und Inhalte in die Seiten eingefügt haben (Schritt 3 - Erstellen der Seiten), können Sie in Schritt 4 - Erweiterte Einstellungen Stile definieren, um bestimmte, in der Website wiederkehrende Elemente individuell zu gestalten.

Die verschiedenen Funktionen sind in folgende Bereiche gegliedert:
- | Tab Text
- | Tab Showbox
- | Tab ToolTip
- | Tab E-Mail

Verwandte Themen:

-

Erweiterte Einstellungen


Stile und Modelle | Tab Text

Mit den Optionen im Tab Text des Fensters Stile und Modelle können Sie die Stile für die in der Website verwendeten Texte definieren.

Wählen Sie zunächst aus dem Drop-Down-Menü das Seitenelement, dessen Stil Sie gestalten möchten. Alternativ können Sie auch direkt in den entsprechenden Bereich der Vorschau klicken.

Im Einzelnen können folgende Seitenelemente durch Anwendung eines Stils gestaltet werden:

 Seitentitel: Dies ist die Überschrift der Seite. Hier wird der Name übernommen, der den Seiten beim Erstellen der Sitemap oder, falls verschieden, unter Erweiterter Seitentitel im Dialogfenster Eigenschaften der Seite gegeben wurde.

Seitenpfad: Dieser Text steht direkt unter dem Seitentitel und zeigt den Pfad zur aktuellen Seite (Breadcrumb-Navigation). Der logische Pfad wird automatisch vom Programm erstellt.

Seitentext: Dies ist der eigentliche Seiteninhalt, der im Objekt Text eingegeben wurde. Der Stil dieses Elements wird automatisch angewendet, wenn Sie im Editor des Objekts Text arbeiten. Über die Befehle des Editors können dann weitere Änderungen und Anpassungen vorgenommen werden. Der für dieses Element definierte Stil wird auch auf alle Texte angewendet, die das Programm automatisch generiert und einfügt, beispielsweise auf die Seiten des Geschützten Bereichs, des Blogs, der internen Suichmaschine und der Sitemap.

Aktiver Link / Verlinkung bei Mauskontakt / Bereits verwendeter Link: Dies sind die Hyperlinks, die im Objekt Text erstellt wurden. Ein Hyperlink kann je nach Status unterschiedlich aussehen. Unterschieden wird zwischen aktiven Links, Verlinkung bei Mauskontakt (Mouseover) und verwendeten Links. Einen aktiven Link visuell von einem bereits verwendeten zu unterscheiden, erleichtert dem Besucher die Navigation, da er sofort sieht, welche Bereiche er bereits besucht hat.

Menü am unteren Seitenrand: In diesem Menü, das unten auf jeder Seite erscheint, werden erneut die Elemente des Hauptmenüs angezeigt.

Nach Auswahl des Seitenelements können Sie es mit folgenden Optionen des Bereichs Stil gestalten:
- | Anzeigen: Mit dieser Option legen Sie fest, ob das jeweilige Seitenelement angezeigt werden soll oder nicht. Für das Element Seitentext und die verschiedenen Links ist die Option nicht verfügbar, da diese nicht ausgeschlossen werden können. Bitte berücksichtigen Sie: Wenn Sie ein Seitenelement unsichtbar machen, bleibt es dennoch im Code der Seite erhalten. Wenn Sie zum Beispiel den Seitentitel ausblenden, weil er als Bild eingefügt werden soll, wird dabei nicht der Tag <title> aus dem HTML-Code entfernt.
- | Hintergrund / Textfarbe: Mit Klick auf die Schaltfläche Farbe öffnet sich die Farbpalette, in der Sie die Farbe für den Hintergrund und den Text des Seitenelements auswählen können. Nur für den Seitentext kann kein Hintergrund festgelegt werden, da dieser von dem gewählten Template (siehe Auswahl des Templates oder Individuelles Template) und/oder vom Zellenstil bestimmt wird, in den das Textobjekt eingefügt wurde.
- | Schriftart: Mit Klick auf das Schriftsymbol öffnet sich ein Dialogfenster, in dem Sie die Schriftart, den Schriftschnitt und die Textgröße festlegen können.
- | Ausrichtung: Wählen Sie hier, ob das Seitenelement Links, Zentriert oder Rechts ausgerichtet sein soll. Diese Option ist für die verschiedenen Links nicht verfügbar, da die Ausrichtung der Hyperlinks unabhängig vom Stil bei der Erstellung des Textobjekts definiert wird.
- | Textstil: Diese Option ist nur für die verschiedenen Links verfügbar und Sie können zwischen Normal und Unterstrichen wählen.
- | Mauszeiger: Diese Option ist nur für Aktive Links verfügbar und wird für die beiden anderen Linktypen übernommen. Sie können festlegen, wie der Mauszeiger aussehen soll, wenn er über einen Link bewegt wird. Klicken Sie auf die Schaltfläche [image] und wählen Sie eine Datei .CUR oder .ICO aus.
- | Obere Linie / Untere Linie: Im Dialogfenster Farbe können Sie die Farbe für eine Linie festlegen, die über bzw. unter dem Seitentitel, dem Seitenpfad und dem Menü am unteren Seitentrand angezeigt wird.

Verwandte Themen:

-

Stile und Modelle


Stile und Modelle | Tab ShowBox

Mit den Optionen im Tab ShowBox des Fensters Stile und Modelle können Sie einen Stil für die ShowBox festlegen, die in den JavaScript-Galerien (siehe Objekt Galerie), im Link Galerie mit ShowBox (siehe Link | Tab Aktion) und im Objekt Produktliste verwendet wird. In allen Fällen wird die ShowBox über einen Link geöffnet und zeigt ein vergrößertes Bild, ein Video oder eine Bildsequenz an. Bei Klick auf den Link wird das Browserfenster verdunkelt, um den Inhalt der ShowBox hervorzuheben, die mit dem eingestellten Einblendeffekt die ursprüngliche Seite überlagert.

Im Bereich Stil stehen folgende Optionen zur Verfügung:
- | Einblendeffekt: Legen Sie hier den Einblendeffekt für die ShowBox fest. Zur Auswahl stehen die Optionen Kein, Einblenden und Bildlauf von oben.
- | Hintergrundfarbe außen / Hintergrundfarbe innen: Mit Klick auf die Schaltfläche Farbe öffnet sich die Farbpalette, in der Sie die Farbe für den externen und/oder internen Hintergrund des ShowBox-Fensters auswählen können. Die externe Hintergrundfarbe ist halbtransparent (abhängig von dem unter Hintergrundtransparenz eingestellten Wert) und wird verwendet, um die vom Browser angezeigte Seite darunter zu verdunkeln.
- | Hintergrundtransparenz: Definieren Sie hier die Deckkraft der Hintergrundfarbe der ShowBox, die die darunter liegende Seite abdunkelt. Je höher Sie diesen Wert einstellen, desto weniger ist von der überlagerten Seite sichtbar.
- | Schatten anzeigen: Hier können Sie der ShowBox einen Schatten hinzufügen. Dieser Schatten wird nur von Browsern angezeigt, die CSS3 unterstützen.

Im Bereich Rand können Sie folgende Einstellungen vornehmen:
- | Randfarbe: Im Dialogfenster Farbe können Sie aus der Farbpalette die Farbe für den Rand der ShowBox auswählen.
- | Breite: Legen Sie hier fest, wie breit der Rand der ShowBox sein soll.

Im Bereich Text stehen folgende Optionen zur Verfügung:
- | Schriftart: Mit Klick auf das Schriftsymbol öffnet sich ein Dialogfenster, in dem Sie die Schriftart, den Schriftschnitt und die Textgröße festlegen können.
- | Ausrichtung: Wählen Sie hier, ob der Text zum Fenster der ShowBox Links, Zentriert oder Rechts ausgerichtet sein soll.
- | Textfarbe: Im Dialogfenster Farbe können Sie die Farbe für den Text der ShowBox festlegen.

Verwandte Themen:
- | Stile und Modelle
- | Objekt Galerie
- | Link | Tab Aktion
- | Objekt Produktliste


Stile und Modelle | Tab ToolTip

Mit den Optionen im Tab ToolTip des Fensters Stile und Modelle können Sie den Stil der ToolTips definieren, die mit der entsprechenden Funktion Link einfügen Link einfügen Text- oder Bild-Links zugewiesen wurden. Ein ToolTip ist ein kurzer Text, der einer Box erscheint, wenn der Mauszeiger über einen Link bewegt wird, und der die Aktion bei Klick auf diesen Link erläutert.

Für die Gestaltung des ToolTips stehen Ihnen die Optionen im Bereich Stil zur Verfügung:
- | Position: Legen Sie hier fest, in welcher Position der ToolTip zum jeweiligen Link angezeigt werden soll. Zur Auswahl stehen Oben, Unten, Links und Rechts.
- | Einblendeffekt: Definieren Sie hier, ob auf die ToolTips ein Einblendeffekt angewendet werden soll. Zur Auswahl stehen Einblenden und Auf und Ab.
- | Hintergrund: Mit Klick auf die Schaltfläche Farbe können Sie eine Hintergrundfarbe für den ToolTip festlegen.
- | Abrundung: Mit diesem Faktor können Sie die Ecken des ToolTips abrunden.
- | Schatten anzeigen: Bei Aktivierung dieser Option wird um den ToolTip ein Schatten dargestellt.
- | Pfeilende anzeigen: Bei Aktivierung dieser Option erhält die Sprechblase des ToolTips einen Pfeil, der zu dem jeweils zugehörigen Link führt.

Im Bereich Rand können Sie folgende Einstellungen vornehmen:
- | Randfarbe: Im Dialogfenster Farbe können Sie aus der Farbpalette die Farbe für den Rand des ToolTips auswählen.
- | Breite: Legen Sie hier fest, wie breit der Rand des ToolTips sein soll.

Im Bereich Text stehen folgende Optionen zur Verfügung:
- | Schriftart: Mit Klick auf das Schriftsymbol öffnet sich ein Dialogfenster, in dem Sie die Schriftart, den Schriftschnitt und die Textgröße des Textes im ToolTip festlegen können.
- | Ausrichtung: Wählen Sie hier, ob der Text im ToolTip Links, Zentriert oder Rechts ausgerichtet sein soll.
- | Textfarbe: Im Dialogfenster Farbe können Sie die Farbe für den Text des ToolTips festlegen.

 Die Stileinstellungen werden auf das gesamte Projekt angewendet, das heißt, alle ToolTips der Website sind einheitlich gestaltet. Die Definition der ToolTip-Inhalte (Texte und Bilder) hingegen erfolgt im Tab Beschreibung des Fensters Link.

Verwandte Themen:
- | Stile und Modelle
- | Link | Tab Beschreibung


Stile und Modelle | Tab E-Mail

Mit den Optionen im Tab E-Mail des Fensters Stile und Modelle können Sie den Stil der E-Mails gestalten, die im Objekt E-Mail-Formular oder Warenkorb für E-Commerce konfiguriert wurden.

Wählen Sie zunächst aus dem Drop-Down-Menü das E-Mail-Element, das Sie bearbeiten möchten. Alternativ können Sie auch direkt in den entsprechenden Bereich der Vorschau klicken.

Im Einzelnen können folgende E-Mail-Elemente durch Anwendung eines Stils gestaltet werden:

 E-Mail-Layout: Alle vom Programm generierten E-Mails haben ein einheitliches Layout mit einem Rahmen und einem Mittelteil für die Nachricht. Zwischen dem Rahmen und dem Mittelteil kann ein Randelement eingefügt werden, das als Trennelement wirkt oder optische Tiefe schafft.

Bild/Firmenlogo: Dies ist ein Bild, das dem Header der Mail hinzugefügt werden kann. Sie können sowohl ein einfaches Lals auch ein Banner verwenden, das über die gesamte Breite der E-Mail verläuft.

Inhalt der Nachricht: Dies ist der zentrale Teil der E-Mail, in den die Nachricht eingegeben wird.

Fußnote: Fußnoten schließen die Nachricht ab. Sie enthalten meistens Standardtext und unterscheiden sich von der eigentlichen Nachricht mindestens dadurch, dass der Text kleiner formatiert ist.

Für jedes E-Mail-Element stehen Ihnen im Bereich Stil verschiedene Optionen zur Verfügung:
E-Mail-Layout:

-

Hintergrundfarbe außen / Hintergrundfarbe innen: Mit Klick auf die Schaltfläche Farbe öffnet sich die Farbpalette, in der Sie die Farben für den Außenrand und den Hintergrund des Mittelteils wählen können.

-

Randfarbe / Breite: Definieren Sie hier jeweils die Farbe und die Breite des Randes, der den Rahmen vom Mittelteil trennt.
Bild/Firmenlogo:

-

Bilddatei: Wählen Sie ein Bild aus, das im Mail-Header angezeigt werden soll. Klicken Sie auf die Schaltfläche [image] und importieren Sie die gewünschte Bilddatei im Format .JPG, .GIF oder .PNG.

-

Ausrichtung: Wählen Sie hier, ob das Bild Links, Zentriert oder Rechts ausgerichtet sein soll.

-

Position: Wählen Sie hier, ob das Bild Innerhalb des Rahmens oder Außerhalb des Rahmens der E-Mail-Nachricht positioniert werden soll.

-

Breite: Hier wird automatisch die Originalbreite des Bildes angeziegt, die jedoch frei verändert werden kann.

Die Maximalbreite für Bilder sind 700 Pixel und der Wert ist von dem jeweiligen E-Mail-Layout abhängig. Dieser Parameter gewährleistet die korrekte Anzeige in allen E-Mail-Clients.
Inhalt der Nachricht:

-

Textfarbe: Mit Klick auf die Schaltfläche Farbe öffnet sich die Farbpalette, in der Sie die Farbe für den Text der Nachricht auswählen können.

-

Schriftart: Mit Klick auf die Schaltfläche öffnet sich ein Dialogfenster, in dem Sie die Schriftart, den Schriftschnitt und die Textgröße der Nachricht festlegen könnnen.
Fußnote:

-

Textfarbe: Mit Klick auf die Schaltfläche Farbe öffnet sich die Farbpalette, in der Sie die Farbe für den Text der Fußnote auswählen können.

-

Schriftart: Mit Klick auf die Schaltfläche öffnet sich ein Dialogfenster, in dem Sie die Schriftart, den Schriftschnitt und die Textgröße für die Fußnote festlegen könnnen.

-

Ausrichtung: Wählen Sie hier, ob die Fußnote Links, Zentriert oder Rechts ausgerichtet sein soll.

-

Position: Wählen Sie hier, ob die Fußnote Innerhalb des Rahmens oder Außerhalb des Rahmens der E-Mail-Nachricht positioniert werden soll.

-

Text: Geben Sie hier den Text Ihrer Fußnote ein. Als Standard ist ein Text über die Vertraulichkeit der Nachricht vordefiniert.

Verwandte Themen:
- | Stile und Modelle
- | Objekt E-Mail-Formular
- | Warenkorb für E-Commerce


Introseite

Dieses Fenster enthält die Funktionen, mit denen Sie für Ihre Website eine Introseite mit Sprachauswahl erstellen können.

Wie der Name schon vermuten lässt, ist eine Introseite vergleichbar mit einem Deckblatt. In der Regel enthält sie lediglich ein Bild, ein Video oder eine Flash-Animation und der Besucher gelangt von hier zur Homepage, nachdem eine bestimmte Zeit verstrichen ist, oder indem er auf einen Link klickt. Fals gewünscht, kann die Introseite auch eine Sprachauswahl beinhalten, also Links, die zu den verschiedenen Sprachversionen der Website führen.

Anleitung

Da die Introseite ein fakultatives Element der Website ist, muss sie zunächst mit der Option Introseite anzeigen aktiviert werden. Sofern aktiviert, wird die Introseite als erste angezeigt und erst nach Verstreichen einer vordefinierten Zeit oder bei Klick auf einen entsprechenden Link gelangt der Besucher zur Homepage.

Die Introseite kann mit einem eigenen Hintergrund, Inhalten und eventuell einem Soundtrack individuell gestaltet werden.

Im Bereich Seitenhintergrund stehen folgende Optionen zur Verfügung:
- | Hintergrund: Mit Klick auf die Schaltfläche Farbe öffnet sich die Farbpalette, in der Sie die Hintergrundfarbe für die Introseite auswählen können.
- | Bilddatei: Hier können Sie eine Bilddatei (Format .JPG, .GIF und .PNG) auswählen, die als Hintergrund für die Introseite verwendet werden soll.
- | Anordnung: Hier können Sie festlegen, ob das ausgewählte Hintergrundbild wiederholt werden soll. Das Bild kann nur horizontal, nur vertikal oder in beide Richtungen wiederholt werden, bis es den zur Verfügung stehenden Platz ausfüllt. Das Bild kann ferner so angepasst werden, dass es den gesamten Hintergrund ausfüllt. In diesem Fall können jedoch möglicherweise die ursprünglichen Proportionen nicht eingehalten werden.
- | Ausrichtung: Legen Sie hier fest, wie das Bild zum Browserfenster ausgerichtet werden soll.

Im Bereich Inhalt der Seite stehen folgende Optionen zur Verfügung:
- | Typ: Definieren Sie hier, welche Art von Inhalt in die Introseite eingefügt werden soll. Zur Auswahl stehen Bild, Flash-Animation, Video und HTML-Code.
- | Datei: Wenn Sie unter Typ die Option Bild, Flash-Animation oder Video gewählt haben, können Sie jeweils Bilddateien in den Formaten .JPG, .GIF, .PNG, Flash-Dateien im Format .SWF oder Videodateien in den Formaten .FLV oder .MP4 verwenden.
- | HTML-Code: Wenn Sie unter Typ die Option HTML-Code gewählt haben, können Sie den Code für die Introseite eingeben.
- | Breite / Höhe: Geben Sie hier die Breite und die Höhe des Bildes, der Flash-Animation, des Videos oder des HTML-Codes in Pixeln an.

Im Bereich Optionen können Sie schließlich folgende Einstellungen vornehmen:
- | Hintergrundsound: Hier können Sie eine Audiodatei (in den Formaten .WAV, .MP3, .WMA oder .MID) auswählen, die als musikalische Untermalung während der Anzeige der Introseite verwendet werden soll.
- | Zur Homepage nach [Sekunden]: Bei Aktivierung dieser Option können Sie angeben, nach wie vielen Sekunden von der Introseite automatisch zur Homepage gewechselt werden soll. Nach Ablauf des eingestellten Zeitintervalls wird automatisch die Homepage angezeigt.

Sprachversionen - Anleitung

Wenn Ihre Website in mehreren Sprachen verfügbar sein soll und Sie Besuchern die Möglichkeit geben wollen, die gewünschte Sprache auf der Introseite auszuwählen, aktivieren Sie zunächst die Option Links zu anderen Sprachen anzeigen.

In der Sprachliste können Sie die Sprachen festlegen, in denen die Website verfügbar sein soll. Standardmäßig enthält diese Liste 5 Sprachen, die jedoch mit den verfügbaren Schaltflächen jederzeit geändert werden können:
- | Hinzufügen... / Entfernen: Für die Definition Ihrer individuellen Sprachliste können Sie hier eine neue Sprache hinzufügen (Dialogfenster Spracheinstellungen) oder eine bereits enthaltene Sprache löschen.
- | Nach oben / Nach unten: Mit diesen Befehlen können Sie die Liste ordnen, indem Sie markierte Sprachen nach oben oder nach unten verschieben.
- | Hauptsprache: Mit Klick auf diese Schaltfläche definieren Sie eine in der Sprachliste markierte Sprache als "Hauptsprache". Für jede Website muss eine Hauptsprache verfügbar sein, in der die Benutzer unmittelbar und vor der Sprachauswahl auf die Seite zugreifen können. Nur die Website in der Hauptsprache enthält die Introseite.
- | Bearbeiten...: Öffnet das Dialogfenster Spracheinstellungen, in dem Sie die die Parameter einer in der Liste markierten Sprache ändern können.

Das Dialogfenster Spracheinstellungen bietet folgende Optionen:
- | Anzuzeigende Sprachbezeichnung: Geben Sie hier den Namen der Sprache ein, der angezeigt werden soll. Mit Klick auf den Pfeil neben dem Feld öffnet sich ein Dropdown-Menü mit einer Liste verschiedener Sprachen, aus der Sie die gewünschte auswählen können. Alternativ kann der Name der Sprache auch direkt eingegeben werden.
- | Bilddatei für die Sprache (Flagge): Hier können Sie eine Bilddatei importieren, um den Link zur jeweiligen Sprachversion zu erstellen. Klicken Sie auf die Schaltfläche [image] und wählen Sie eine Datei im Format .JPG, .GIF oder .PNG aus, beispielsweise einen Button mit der entsprechenden Flagge. Wird hier keine Bilddatei importiert, generiert das Programm automatisch einen Textlink mit der Sprachbezeichnung in einer Farbe, die zum Seitenhintergrund einen guten Kontrast bildet.
- | Serverpfad oder URL der Website für diese Sprache: Geben Sie hier den Namen des Unterverzeichnisses auf dem Server ein, in dem die jeweilige Sprachversion der Website veröffentlicht wird, zum Beispiel "EN" für die englische Sprachversion. Alternativ können Sie auch die komplette URL der zu verlinkenden Website angeben, zum Beispiel "http://www.meineseite.com/en/index.html". Wenn Sie die Hauptsprache bearbeiten, können Sie für die Veröffentlichung keine URL, sondern nur ein Unterverzeichnis auf dem Server angeben.
- | Sprache in der Auswahl anzeigen aber darauf hinweisen, dass sie noch nicht verfügbar ist: Bei Aktivierung dieser Option kann eine Sprachversion vorgesehen werden, die zum aktuellen Zeitpunkt noch nicht verfügbar ist bzw. veröffentlicht wurde. Bei Klick auf den entsprechenden Button (oder Textlink) wird dem Benutzer ein Hinweis angezeigt, dass die gewünschte Sprache noch nicht verfügbar ist.

Ferner steht folgende Option zur Verfügung:

-

Links in neuem Fenster öffnen: Bei Aktivierung dieser Option wird die Website in einem neuen, von dem der Introseite verschiedenen Browserfenster geöffnet.

Auch wenn in Bezug auf die Introseite explizit die Gestaltung in mehreren Sprachen beschrieben wird, kann diese Funktion auch für andere Zwecke genutzt werden, um verschiedene Versionen einer Website zu gestalten. So können Sie beispielsweise die Auswahl zwischen einer HTML-Version und einer Flash-Version oder einer Version mit Eignung für ein minderjähriges Publikum und einer Version ausschließlich für Erwachsene einstellen.

Verwandte Themen:
- | Erweiterte Einstellungen
- | Sprachverwaltung für automatisch eingefügten Text


Werbebotschaft

Dieses Fenster enthält die Befehle, mit denen Sie eine Werbebotschaft für die Homepage oder alle Seiten der Website einstellen können.

Die Werbebotschaft kann ein Bild oder eine Flash-Animation sein, sie kann an einer bestimmten Position der Seite angezeigt werden und enthält den Link zu einer Landing Page (Zielseite). Natürlich sollte diese Landing Page, die nichts anderes als eine interne Seite der Website ist, gut geplant werden, um den Benutzer zu überzeugen, die gewünschte Aktion auszuführen: ein Formular auszufüllen, einen Artikel zu kaufen usw.

Anleitung

Wenn Sie eine Werbebotschaft einfügen wollen, aktivieren Sie zunächst die Option Werbebotschaft anzeigen.

Um den Typ der Botschaft festzulegen, wählen Sie bitte eine der verfügbaren Optionen:

 Werbung in der rechten oberen Ecke anzeigen: Dies ist der Anzeigemodus, der generell als PagePeel bezeichnet wird: Fährt der Betrachter mit dem Mauszeiger über die rechte obere Bildschirmecke, klappt die Fläche auf und es wird eine Werbebotschaft angezeigt.

Werbung im Kasten anzeigen: Die Werbebotschaft erscheint in einem Rechteck, das den Seiteninhalt überlagert und an einer bestimmten Position des Browserfensters angezeigt wird.

Werbung als horizontale Leiste anzeigen: Die Werbebotschaft erscheint in einer Leiste, die am oberen Rand des Browserfensters vor dessen Inhalt angezeigt wird oder im unteren Bereich den Seiteninhalt überlagert.

Für jeden ausgewählten Typ der Botschaft können unter Einstellungen jeweils weitere Optionen festgelegt werden:

-

Bild/Animation: Hier können Sie die Bilddatei (im Format .JPG, .GIF oder .PNG) oder eine Flash-Animation (im Format .SWF) auswählen, die Ihre Werbebotschaft enthält.

Für die Option Werbung in der rechten oberen Ecke anzeigen können zusätzlich folgende Einstellungen vorgenommen werden:
- | Stil: Neben dem klassischen Eselsohr-Effekt (PagePeel) stehen weitere, auch themenspezifische Animationen zur Verfügung. Der Effekt bleibt dabei unverändert: Wird die Maus über die Animation bewegt, öffnet sich die eigentliche Werbebotschaft.
- | Breite/Höhe: Hier können Sie einen Wert in Pixeln für die Breite und Höhe des Bereichs eingeben, der für die Anzeige der Werbebotschaft bestimmt ist.

Für die Option Werbung im Kasten anzeigen können zusätzlich folgende Einstellungen vorgenommen werden:
- | Position: Hier können Sie festlegen, an welcher Position die Werbebotschaft im Browserfenster angezeigt werden soll. Zur Auswahl stehen die Positionen Mitte, Oben - Links, Oben - Rechts, Unten - Links und Unten - Rechts.
- | Effekt: Stellen Sie hier den gewünschten Anzeigeeffekt ein. Zur Auswahl stehen die Optionen Einblenden, Einblenden von oben, Einblenden von unten, Einblenden von links und Einblenden von rechts.
- | Diese Botschaft nur ein Mal anzeigen: Wenn Sie dieses Kontrollkästchen aktivieren, wird die Werbebotschaft nur ein Mal beim ersten Öffnen einer Seite der Website angezeigt. Auch beim Öffnen einer neuen Navigationssitzung erscheint die Werbebotschaft erneut.

Für die Option Werbung als horizontale Leiste anzeigen können zusätzlich folgende Einstellungen vorgenommen werden:
- | Position: Hier können Sie festlegen, ob die Werbebotschaft oben vor dem Seiteninhalt angezeigt werden, oder im unteren Seitenbereich die Inhalte überlagern soll.
- | Hintergrund: Hier können Sie das Dialogfenster Farben öffnen und für die horizontale Leiste, die die Werbebotschaft enthält, eine Hintergrundfarbe festlegen.
- | Diese Botschaft nur ein Mal anzeigen: Wenn Sie dieses Kontrollkästchen aktivieren, wird die Werbebotschaft nur ein Mal beim ersten Öffnen einer Seite der Website angezeigt. Auch beim Öffnen einer neuen Navigationssitzung erscheint die Werbebotschaft erneut.

Die Einstellungen im Bereich Optionen stehen für alle Anzeigetypen zur Verfügung und sind die Folgenden:

-

Sound beim Anzeigen: Hier können Sie den Sound (Format MP3) bestimmen, der während der Anzeige der Werbebotschaft wiedergegeben wird.

-

Link zur Seite: Hier können Sie die Seite (Landing Page) bestimmen, die mit der Werbebotschaft verbunden ist. Sie kann direkt in der Sitemap ausgewählt werden, die über die Schaltfläche [image] aufgerufen wird.

Was ist eine Landing Page?
Die Landing-Page ist eine Seite, die nach einem Klick z.B. auf einen Link oder ein Werbebanner erscheint und dem Besucher Informationen liefert. Wie der Name schon vermuten lässt, sollte diese Seite, auf der der Besucher "landet", so erstellt werden, dass er sofort die gewünschten Informationen erhält, ohne die Website durchsuchen zu müssen.
Der Mechanismus lässt sich gut an einem Beispiel verdeutlichen: Wir veröffentlichen ein Werbebanner, um ein Produkt zum Verkauf anzubieten. Ein Banner enthält nur die wesentlichen Informationen in kompakter Form, aber für den an unserer Website interessierten Besucher kann ein weiterführender Link eingestellt werden. In diesem Fall wäre die direkte Verlinkung auf unsere Homepage von Nachteil: Die Homepage ist zu allgemein gehalten, das heißt, der Besucher müsste erst durch die Seiten navigieren, bevor er die gewünschten Informationen über das Produkt und die Möglichkeiten, wie er es kaufen kann, findet. Dies birgt die Gefahr, einen potentiellen Kunden sofort wieder zu verlieren. Die beste Lösung besteht darin, eine Ad-hoc-Seite zu erstellen, auf der mit einem einfachen, zweckmäßigen Layout alle Informationen präsentiert werden, die der Anwender bezüglich des Produktes auf dem Werbebanner zu finden erwartet, einschließlich der Anleitungen für den Kauf. Oftmals muss eine solche Seite speziell zu diesem Zweck erstellt werden. Bei geschickter Umsetzung bietet sie jedoch den Vorteil, dass sie den Besucher, dessen Interesse unsere Werbebotschaft geweckt hat, direkt zum Ziel (beispielsweise zum Kauf eines Produkts) führt.

Für die Option Anzeigemodus können zusätzlich folgende Einstellungen vorgenommen werden:

-

Nur auf der Homepage anzeigen / Auf allen Seiten anzeigen: In diesem Bereich können sie festlegen, ob die Werbebotschaft nur auf Ihrer Homepage oder auf allen Seiten der Website angezeigt werden soll.

Verwandte Themen:

-

Erweiterte Einstellungen


Blog

In diesem Fenster finden Sie die Instrumente und Optionen für die Erstellung eines Blogs und die Verwaltung der Kommentare, die Ihre Blogleser zu den Blogartikeln abgeben.

Ein Blog ist eine Art Web-Tagebuch, in dem der Autor in mehr oder weniger regelmäßigen Abständen Artikel (sogenannte Posts) veröffentlicht.

Nach der Veröffentlichung bildet der mit WebSite X5 erstellte Blog einen eigentändigen Bestandteil der Website und wird in der Sitemap unter Spezielle Seiten (siehe Erstellen der Sitemap) aufgeführt. Soll der Eintrag "Blog" in das Navigationsmenü aufgenommen werden, müssen Sie einen Alias der Speziellen Seite erstellen, indem Sie sie markieren und in den Ordner Menü ziehen.

Da der Blog Teil der Website ist, wird dort automatisch die grafische Vorlage der Website übernommen.

Der Blog wird unter der URL www.meineseite.de/blog veröffentlicht, wobei www.meineseite.de der URL der Website entspricht, mit der er verknüpft ist.

Auf der Hauptseite des Blogs erscheint die Liste aller veröffentlichter Artikel (oder Posts), die in chronologischer Reihenfolge, mit dem Neuesten an erster Stelle, aufgeführt sind.
Von jedem Artikel werden der Titel, der Autor, die Kategorie, Datum und Uhrzeit der Veröffentlichung, eine Kurzbeshreibung sowie der Link "Lesen..." angezeigt. Nur beim ersten Artikel erscheint anstelle der Kurzbeschreibung der gesamte Inhalt.
Der Link "Lesen..." führt zur eigenständigen Seite des Blogposts: Hier wird der gesamte Text des Artikels angezeigt, gefolgt von der Liste der bereits veröffentlichten Kommentare und dem Formular, in das die Leser einen neuen Kommentar eingeben können.

Abgesehen von den jeweiligen Inhalten haben die Seiten des Blogs einen einheitlichen Aufbau mit einer Spalte am rechten Seitenrand, in der verschiedene Instrumente für die Navigation zur Verfügung stehen, wie zum Beispiel Links zu den neuesten Artikeln, zu einem Archiv (geordnet nach Monaten oder Kategorien) und Clouds. Diese Spalte kann nach den individuellen Anforderungen gestaltet werden, das heißt, Sie können festlegen, welche Instrumente in welcher Reihenfolge angezeigt werden sollen.

Wie bereits erwähnt, ist eine der Besonderheiten von Blogs, dass die Leser der Artikel Kommentare abgeben können. Auf diese Weise kann zwischen dem Autor des veröffentlichten Posts und seinen Lesern ein Dialog generiert werden. Um die Veröffentlichung unerwünschter Kommentare zu vermeiden, die beleidigend sind oder nicht zum Thema passen, ist eine Verwaltungsfunktion erforderlich. Hierfür stellt Ihnen WebSite X5 das Control Panel online zur Verfügung.

Anleitung

Um einen Blog zu erstellen, müssen Sie lediglich einige allgemeine Parameter festlegen und eine Liste der Informationen erstellen, die Sie veröffentlichen wollen.

Die Funktionen, die Sie für die Konfiguration des Blogs und für die Erstellung der Artikel benötigen, sind in drei Sektionen untergliedert:
- | Tab Artikel
- | Tab Layout
- | Tab Stil

Nach der Erstellung des Blogs sollten Sie in regelmäßigen Abständen neue Artikel veröffentlichen, um das Interesse Ihrer Leser wachzuhalten. Hierfür steht Ihnen im Dialogfenster Export der Website ins Internet die Option Nur RSS-Feed/Blog hochladen zur Verfügung.

Verwandte Themen:
- | Erweiterte Einstellungen
- | Control Panel online


Blog | Tab Posts

Mit den Optionen im Tab Posts des Dialogfensters Blog können Sie einige allgemeine Parameter definieren und die Liste der Artikel (Posts) erstellen, die im Blog veröffentlicht werden sollen.

Im Bereich Allgemeine Einstellungen stehen folgende Optionen zur Verfügung:
- | Titel: Geben Sie hier einen Titel für Ihren Blog ein. Dieser Titel wird in der Titelleiste des Browsers angezeigt und ist ein wichtiger Parameter, damit Benutzer Ihren Blog in Suchmaschinen finden. Wenn Sie Ihrem Blog keinen eigenen Titel geben, wird automatisch der Titel verwendet, den Sie im Dialogfenster Allgemeine Einstellungen | Tab Allgemein für Ihre Website eingegeben haben.
- | Beschreibung: In dieses Feld können Sie eine Kurzbeshreibung Ihres Blogs eingeben. Diese Beschreibung sollte prägnant und aussagekräftig für den Blog sein, da sie vom HTML-Code als Metatag <description> verwendet und von den Spidern der Suchmaschinen analysiert wird. Wenn Sie für Ihren Blog keine Beschreibung eingeben, wird automatisch die Beschreibung Ihrer Website verwendet, die Sie im Dialogfenster Allgemeine Einstellungen | Tab Allgemein eingegeben haben.
- | RSS-Feed aus den Bloginhalten erstellen: Mit dieser standardmäßig aktivierten Funktion wird automatisch ein RSS-Feed all Ihrer Blog-Posts erstellt.

Der Bereich Liste der Posts bietet eine Übersicht mit den Spalten Titel, Autor, Kategorie und Datum aller bereits geposteten Artikel sowie einige Schaltflächen für die Verwaltung:
- | Hinzufügen: Öffnet das Dialogfenster Artikel erstellen, in dem Sie einen neuen Artikel eingeben können.
- | Entfernen: Mit dieser Schaltfläche können Sie einen markierten Artikel aus der Liste der Posts löschen.
- | Bearbeiten...: Öffnet das Dialogfenster Artikel erstellen, in dem Sie einen markierten Artikel aus der Liste der Posts bearbeiten können.

Das Dialogfenster Artikel erstellen , das sich nach dem Anklicken der Schaltflächen Hinzufügen oder Bearbeiten... öffnet, ist in zwei Bereiche gegliedert:
- | Tab Allgemein
- | Tab Erweitert

Im Tab Allgemein des Dialogfensters Artikel erstellen stehen folgende Optionen zur Verfügung:
- | Titel: Geben Sie hier die Überschrift Ihres Artikels ein.
- | Veröffentlicht am: Hier können Sie das Datum der Veröffentlichung Ihres Artikels aus dem Kalender auswählen.
- | Autor: Hier kann der Autor des Artikels angegeben werden. Sie können den Namen direkt eingeben oder die Dropdown-Liste öffnen und einen der bereits eingegebenen Namen auswählen.
- | Kategorie: Wählen Sie hier, welcher Kategorie Ihr Artikel zugeordnet werden soll. Ebenso wie beim Feld Autor können Sie den Namen einer neuen Kategorie angeben oder eine bestehende aus der Dropdown-Liste wählen.
- | Tag: Geben Sie hier die Tags ein, also Schlagwörter oder kurze Infos zum Thema Ihres Artikels. Den Artikeln können auch mehrere Tags zugewiesen werden. Trennen Sie diese durch Kommas, zum Beispiel: "tag1, tag2, tag3, ...".
- | Inhalt: Hier geben Sie Ihren Artikel in einen Editor ein, der mit dem unter Textobjekt identisch ist.
- | Kurzbeschreibung: Hier können Sie eine kurze Beschreibung Ihres Artikels eingeben.

Im Tab Erweitert des Dialogfensters Artikel erstellen hingegen stehen folgende Optionen zur Verfügung:

-

Link zu Video/Audio: Hier können Sie eine Audiodatei (Formate .MP3, .WMA, .WAV, .MID, .AIF, .M4A) oder eine Videodatei (Formate .MP4, .FLV, .AVI, .WMV, .MPG, .MOV) auswählen, die mit dem Artikel verknüpft wird. Wenn Sie diese Option verwenden, wird automatisch ein Link zur Audio/Videodatei erstellt, der unterhalb des Artikels erscheint.

Kann ich ein Video in einen Post einfügen, dass es unmittelbar zu sehen ist?

Sie können das Video auch direkt in den Artikel einfügen, indem Sie bei der Erstellung des Posts den entsprechenden HTML-Code manuell in den Texteditor eingeben.
Beispielsweise ist es möglich, den Code eines YouTube-Videos, wie es im Portal angezeigt wird, zu kopieren und in den Artikel einzufügen.

-

Quellen des Eintrags: Hier können Sie ein Quellverzeichnis für Ihren Artikel erstellen. Hierzu stehen Ihnen folgende Optionen zur Verfügung:
- | Hinzufügen... / Entfernen: Mit dieser Schaltfläche können Sie neue Quellen hinzufügen bzw. markierte löschen. Um einen Eintrag zu ändern, ist es hinreichend, nach dem Markieren erneut darauf zu klicken.
- | Nach oben / Nach unten: Mit diesen Befehlen können Sie die Liste ordnen, indem Sie markierte Einträge nach oben oder nach unten verschieben.
- | Bearbeiten: Hier können Sie einen markierten Eintrag bearbeiten.
Um eine Quelle korrekt einzugeben, muss der Name der Website, gefolgt von der URL zwischen den Zeichen < > eingegeben werden (Beispiel: WebSite X5 <http://www.websitex5.com>). Als Quelle wird nur der Text angezeigt, während die URL zur Erstellung des Links verwendet wird.

-

Kommentarfunktion für Benutzer sperren: Bei Aktivierung des Kontrollkästchens können Ihre Leser den erstellten Artikel nicht kommentieren.

Verwandte Themen:

-

Blog


Blog | Tab Layout

Mit den Optionen im Tab Layout des Dialogfensters Blog können Sie einige grafische Eigenschaften für den Blog festlegen.

Im Bereich Allgemein stehen folgende Optionen zur Verfügung:

-

Anzeigen des 'AddThis'-Buttons, um die Inhalte der Internet-Community zugänglich zu machen: Wenn Sie diese Option aktivieren, wird unter jedem Blog-Post automatisch der Button "AddThis" angezeigt. Klickt der Leser diesen Button an, erscheint ein Untermenü mit einer Liste der bekanntesten Social Networks. Wenn er über ein Profil in einem dieser Netzwerke verfügt, kann er es auswählen und den Link zum Post in diesem Netzwerk sharen.

-

Button-Typ: Wählen Sie hier den gewünschten "AddThis"-Button aus dem Dropdown-Menü.

-

AddThis-Account: Wenn Sie über ein Konto bei AddThis verfügen, können Sie dies hier angeben. Mit einem solchen Konto erhalten Sie Zugriff auf Statistiken über die Nutzungshäufigkeit des Dienstes AddThis.

Um weitere Informationen über AddThis zu erhalten und um ein Konto anzumelden, klicken Sie bitte auf den Button [image], um zur offiziellen Website des Dienstes: www.addthis.com zu gelangen.

Der Bereich Seitenblöcke bietet eine Übersicht mit den Spalten Titel, Typ und Breite der Info-Blöcke, die in die rechte Spalte des Blogs eingefügt wurden, sowie die Schaltflächen für die Erstellung solcher Blöcke:
- | Hinzufügen: Öffnet das Dialogfenster Seitenblock zur Erstellung eines neuen Blocks.
- | Duplizieren: Hier können Sie von einem bestehenden, markierten Block eine Kopie erstellen.
- | Entfernen: Mit Klick auf diese Schaltfläche löschen Sie einen markierten Block aus der Liste Seitenblöcke.
- | Nach oben / Nach unten: Mit diesen Schaltflächen können Sie einen markierten Block in der Liste Seitenblöcke vor oder hinter den jeweils benachbarten verschieben.
- | Bearbeiten...: Öffnet das Dialogfenster Seitenblock, in dem Sie einen markierten Block aus der Liste Seitenblöcke bearbeiten können.

Im Dialogfenster Seitenblock, das sich mit Klick auf die Schaltflächen Hinzufügen und Bearbeiten... öffnet, können Sie die Blöcke, die in der rechten Spalte des Blogs angezeigt werden, definieren. Dieses Dialogfenster gliedert sich in zwei Bereiche:
- | Tab Allgemein
- | Tab Stil

Verwandte Themen:

-

Blog


Blog | Tab Layout | Seitenblöcke | Allgemein

Mit den Optionen im Bereich Allgemein des Dialogfensters Seitenblöcke (siehe Blog | Tab Layout) können Sie die Liste der Blöcke erstellen, die auf der Blog-Seite angezeigt werden sollen.

Zur Auswahl stehen folgende Block-Typen:

 Letzte Posts: In diesem Block werden die zuletzt veröffentlichten Posts angezeigt. Mit Klick auf den Titel gelangt der Leser zur Seite des jeweiligen Artikels.

Kategorien: Dieser Block enthält die Liste aller Kategorien, in denen Sie Ihre Blog-Posts organisiert haben. Bei Klick auf eine Kategorie wird eine Liste der Artikel angezeigt, die dieser Kategorie zugeordnet wurden.

Monatliche Posts: Block mit einer Liste der veröffentlichten Posts, nach Monaten geordnet.

Clouds: Block mit einer Anzeige aller Kategorien oder Tags, die veröffentlichten Artikeln zugewiesen wurden. Die Anzeige erfolgt in einer Cloud, das heißt mit unterschiedlicher Textgröße je nach Anzahl der zugewiesenen Posts: Je mehr Posts einer bestimmten Kategorie oder einem besatimmten Tag zugeordnet wurden, desto größer wird die Schrift dargestellt. Bei Klick auf einen Eintrag (Kategorie oder Tag) wird eine Liste der Artikel angezeigt, die diesem Eintrag zugeordnet wurden.

Blogroll: Hier wird eine Liste anderer Websites oder Blogs angezeigt, die Sie Ihren Lesern durch Verlinkung empfehlen möchten.

Facebook: Dieser Block nutzt das Social Plugin "Gefällt mir" von Facebook, mit dem die Benutzer:
- | sehen können, wie vielen Personen und/oder Freunden die jeweilige Facebook-Seite gefällt;
- | die neuesten, auf der jeweiligen Facebook-Seite veröffentlichten Psts lesen können;
- | signalisieren können, dass ihnen die jeweilige Facebook-Seite gefällt, ohne sie besuchen zu müssen.

Google AdSense Werbung: Block für die Anzeige von Google AdSense Werbung.

HTML-Code: Dieser völlig frei programmierbare Block kann genutzt werden, um beliebige Funktionen einzufügen, die nicht automatisch vom Programm vorgesehen sind.

Je nach Typ des ausgewählten Blocks werden verschiedene Optionen angeboten, mit denen Sie arbeiten können.

Für alle Blöcke gemeinsame Optionen:
- | Titel: Geben Sie hier einen Titel für den Block ein.
- | Breite: Definieren Sie hier die Breite des Blocks.

Neben diesen allgemeinen Eigenschaften stehen für die einzelnen Blöcke folgende spezifische Optionen zur Verfügung:
Letzte Posts / Kategorien /
Monatliche Posts:

-

Höchstzahl Einträge: Hier können Sie festlegen, wie viele Einträge in einem Block höchstens angezeigt werden sollen.
Clouds:

-

Kategorien als Cloud anzeigen / Tags als Cloud anzeigen: Wählen Sie hier, ob die Cloud aus den Kategorien oder den Tags der veröffentlichten Artikel erstellt werden soll.
Blogroll:

-

Blogroll: Hier können Sie die Liste der empfohlenen Websites erstellen. Hierzu stehen Ihnen folgende Optionen zur Verfügung:
- | Hinzufügen / Entfernen: Mit dieser Schaltfläche können Sie neue Websites hinzufügen bzw. markierte löschen. Um einen Eintrag zu ändern, ist es hinreichend, nach dem Markieren erneut darauf zu klicken.
- | Nach oben / Nach unten: Mit diesen Befehlen können Sie die Liste ordnen, indem Sie markierte Einträge nach oben oder nach unten verschieben.
- | Bearbeiten: Hier können Sie einen markierten Eintrag bearbeiten.
Um eine Website korrekt einzugeben, muss der Name, gefolgt von der URL zwischen den Zeichen < > eingegeben werden (Beispiel: WebSite X5 <http://www.websitex5.com>). Im Blogroll wird nur der Text angezeigt, während die URL zur Erstellung des Links verwendet wird.
Facebook:

-

Facebook-URL: Geben Sie hier die URL der Facebook-Seite ein, die Sie präsentieren möchten.

-

Hintergrund: Wählen Sie, ob der Hintergrund des Blocks Hell oder Dunkel sein soll.

-

Höhe: Definieren Sie hier die Blockhöhe in Pixeln.

-

Facebook Connections anzeigen: Bei Aktivierung dieser Option werden im Block auch die Profilfotos der Freunde (Connections) angezeigt.

-

Stream anzeigen: Bei Aktivierung dieser Option werden im Block automatisch die letzten Pinnwandeinträge der präsentierten Facebook-Seite angezeigt.

-

Facebookheader anzeigen: Bei Aktivierung dieser Option wird im Block auch der Facebookheader angezeigt.
Google AdSense Werbung:

-

HTML-Code Google AdSense: Hier kann der von Google AdSense bereitgestellte HTML-Code zur Anzeige von Werbe-Botschaften eingefügt werden.
HTML-Code:

-

HTML-Code: Hier können Sie frei HTML-Code eingeben, um einen individuellen Block zu erstellen.

Verwandte Themen:

-

Blog | Tab Layout


Blog | Tab Layout | Seitenblöcke | Stil

Mit den Optionen im Bereich Stil des Dialogfensters Seitenblöcke (siehe Blog | Tab Layout) können Sie die grafischen Eigenschaften der Info-Blöcke festlegen, die auf der Blog-Seite angezeigt werden sollen.

Im Bereich Text stehen folgende Optionen zur Verfügung:
- | Schriftart: Mit Klick auf das Schriftsymbol öffnet sich ein Dialogfenster, in dem Sie die Schriftart, den Schriftschnitt und die Textgröße festlegen könnnen.
- | Textfarbe: Mit Klick auf die Schaltfläche Farbe öffnet sich die Farbpalette, in der die Textfarbe für den Block ausgewählt werden kann.
- | Horizontaler Seitenrand / Vertikaler Seitenrand: Dieses Maß bestimmt den Abstand zwischen dem Blockrand und dem enthaltenen Text. Mit diesen Einstellungen können Sie also festlegen, wie viel Freiraum horizontal und/oder vertikal um den Text im Block bestehen soll.

Im Bereich Hintergrund stehen folgende Optionen zur Verfügung:
- | Hintergrund / Randfarbe: Mit Klick auf die Schaltfläche Farbe öffnet sich die Farbpalette, in der die Farbe für den Hintergrund und den Rand des Blocks ausgewählt werden kann.
- | Randbreite: Legen Sie hier fest, wie breit der Rand des Blocks sein soll.
- | Bilddatei: Hier können Sie ein Bild auswählen (.jpg, .gif oder .png), das als Hintergrund des Blocks eingefügt wird.
- | Anordnung: Hier können Sie festlegen, ob das ausgewählte Hintergrundbild wiederholt werden soll. Das Bild kann nur horizontal, nur vertikal oder in beide Richtungen wiederholt werden, bis es den zur Verfügung stehenden Platz ausfüllt.
- | Ausrichtung: Legen Sie hier fest, wie das Hintergrundbild zur Blockfläche ausgerichtet werden soll.

Verwandte Themen:

-

Blog | Tab Layout


Blog | Tab Kommentare

Mit den Optionen im Tab Kommentare des Dialogfensters Blog können Sie die Kommentare Ihrer Blog-Leser verwalten.

Im Bereich Allgemein stehen folgende Optionen zur Verfügung:

-

Kommentare zum Blog zulassen: Bei Aktivierung des Kontrollkästchens geben Sie Ihren Lesern die Möglichkeit, Ihre im Blog veröffentlichten Artikel zu kommentieren.

-

Serververzeichnis mit Schreibzugriff: Hier geben Sie den Pfad zu dem Verzeichnis an, in dem der PHP-Code Schreibzugriff auf die Dateien zulässt.

Normalerweise erlauben die Provider den Schreibzugriff in jedem Verzeichnis des Servers. In diesem Fall ist es nicht notwendig, einen Pfad zum öffentlichen Ordner anzugeben. Andernfalls müssen Sie sich an Ihren Webspace-Provider wenden, um den vollständigen Pfad zum öffentlichen Ordner zu erfahren.
Im Bereich WebSite Test des Control Panels online können Sie überprüfen, ob ein Verzeichnis mit Schreibzugriff existiert und, sofern dies der Fall ist, ob in dieses Verzeichnis effektiv Daten geschrieben werden können.

-

Antispam-Filter 'Captcha' aktivieren: Bei Aktivierung dieser option wird am Ende des Formulars die Anti-Spam-Kontrolle Captcha eingefügt. Bei dieser Methode werden einige Buchstaben verzerrt auf einem verworrenen Hintergrund dargestellt. Der Anwender muss die Buchstaben korrekt in ein bestimmtes Feld eingeben, um die Meldung senden zu können.

Im Bereich Verwaltung der Kommentare stehen folgende Optionen zur Verfügung:
- | E-Mail-Adresse für Kommentarbenachrichtigung: Geben Sie hier die E-Mail-Adresse ein, an die die Benachrichtigungen über den Erhalt neuer Blogpost-Kommentare gesendet werden sollen.
- | Sofortiges Anzeigen eingefügter Kommentar / Anzeigen von Kommentaren nach Admin-Zustimmung: Hier legen Sie fest, ob neue Kommentare Ihrer Leser direkt im Blog veröffentlicht werden sollen oder zuvor im Bereich Blog des Control Panels online bestätigt werden müssen.

Verwandte Themen:
- | Blog
- | Control Panel online
- | Management der Blog-Kommentare im Control Panel


RSS-Feed

In diesem Fenster finden Sie die Werkzeuge und Optionen zur Erstellung eines RSS-Feeds. RSS-Feeds zählen zu den verbreitetsten Formaten für die Verbreitung von Inhalten im Web.

Ein RSS-Feed ist ein sehr vielseitiges Instrument für die Verbreitung von Nachrichten, Bildern und Videos: Es erweist sich als nützlich, wenn man viele Nachrichten mit einer gewissen Regelmäßigkeit anbieten oder über Ereignisse, Aktualisierungen an einer Website oder neue Posts und Kommentare eines Blogs informieren möchte.

Benutzer, die den RSS-Feed einer Website abonnieren, werden konstant informiert und können die Meldungen direkt in ihrem Feedreader lesen.

Anleitung

Um einen RSS-Feed zu erstellen, müssen Sie lediglich einige allgemeine Parameter festlegen und die Liste der Meldungen erstellen, die Sie verbreiten wollen.

Der Bereich Liste der Posts bietet eine Übersicht mit den Spalten Titel, und Datum der bereits eingegebenen Informationen sowie einige Schaltflächen für die Verwaltung:
- | Hinzufügen...: Öffnet das Dialogfenster Artikel erstellen, in dem Sie einen neuen Artikel eingeben können.
- | Entfernen: Mit dieser Schaltfläche können Sie einen markierten Artikel aus der Liste der Posts löschen.
- | Bearbeiten...: Öffnet das Dialogfenster Artikel erstellen, in dem Sie einen markierten Artikel aus der Liste der Posts bearbeiten können.

Das Dialogfenster Artikel erstellen, das sich nach dem Anklicken der Schaltflächen Hinzufügen... oder Bearbeiten... öffnet, präsentiert sich folgendermaßen:

- | Titel: Geben Sie hier die Überschrift Ihres Artikels ein.
- | Veröffentlicht am: Hier können Sie das Datum der Veröffentlichung Ihres Artikels aus dem Kalender auswählen.
- | Inhalt: Hier geben Sie Ihren Artikel in einen Editor ein, der mit dem unter Textobjekt identisch ist.
- | Link zur Seite: Mit der Schaltfläche neben dem Feld öffnen Sie die Sitemap, um festzulegen, mit welcher Seite der Artikel verknüpft werden soll.

Neben der Artikelliste müssen folgende Parameter im Bereich Allgemeine Einstellungen definiert werden:
- | Titel: Geben Sie hier den Titel des mit der Website verknüpften RSS-Feeds ein. Dies ist ein Pflichtfeld.
- | Bild: Hier können Sie ein Bild (Format .JPG, .GIF oder .PNG) auswählen, das dem RSS-Feed zugeordnet werden soll. Dieses Bild (in der Regel das Logo des Unternehmens oder der Website) wird im Feedreader angezeigt.
- | Beschreibung: Geben Sie hier eine Beschreibung für den mit der Website verknüpften RSS-Feed ein. Auch dieses Feld ist ein Pflichtfeld.

 RSS-Feeds funktionieren erst, wenn die Website online ist.

Verwandte Themen:

-

Erweiterte Einstellungen


Zugangsverwaltung

In dieser Ansicht können Sie Benutzerprofile erstellen und verwalten. Sie können festlegen, welche Benutzer Zugang zum passwortgeschützten Bereich erhalten sollen, also zu den Seiten, die in der Phase Erstellen der Sitemap als Geschützte Seiten definiert wurden.

Anleitung

Im Bereich Gruppen und Benutzer mit Zugang zu den geschützten Seiten wird eine Übersicht angezeigt, in der die bereits erstellten Gruppen/Benutzer, deren Benutzername und eventuell zugewiesene Anmerkungen aufgeführt sind.

Rechts neben der Tabelle finden Sie Schaltflächen zum Erstellen neuer Gruppen und Benutzer, denen der Zugang zu den geschützten Seiten der Website gewährt werden soll.

-

Neue Gruppe: Erstellen einer neuen Gruppe, um Benutzer in Kategorien zu gliedern und die Verwaltung zu vereinfachen. Gruppen haben keine besonderen Einstellungen: Sie dienen lediglich als "Behälter" und werden daher direkt in die Übersicht übernommen. Mit einem Doppelklick auf eine bereits erstellte Gruppe kann diese umbenannt werden.
Um die Benutzerzugänge optimal zu organisieren, können auch Untergruppen erstellt werden: Hinsichtlich der nutzbaren Gruppen und Untergruppen besteht keine spezifische Einschränkung.
Nach der Installation sind standardmäßig zwei Gruppen vorinstalliert: Administratoren und Benutzer. Die Gruppe Administratoren ist für die Administratoren der Website, die automatisch Zugriff auf alle geschützten Seiten haben.

Mit ihren Zugangsdaten (Benutzername und Passwort) können die Administratoren auf das Control Panel online (www.meineseite.de/admin, wobei www.meineseite.de die URL Ihrer Website ist) zugreifen, um dort die Kommentare zu Posts im Blog und die Gästebucheinträge (siehe HTML und Widgets) zu verwalten sowie Informationen für die Diagnose und Suchmaschinenoptimierung anzuzeigen.

-

Neuer Benutzer: Mit Klick auf die Schaltfläche Neuer Benutzer öffnet sich ein Dialogfenster, in dem innerhalb der ausgewählten Gruppe ein neuer Benutzer mit entsprechenden Zugangsdaten angelegt werden kann.

-

Entfernen: Mit diesem Befehl kann nach Markierung eine bestehende Gruppe bzw. ein bestehender Benutzer gelöscht werden. Die Gruppe Administratoren und der darin angelegte Benutzer Admin, die standardmäßig angelegt sind, können nicht gelöscht werden.

-

Bearbeiten...: Diese Schaltfläche öffnet das Dialogfenster Neuer Benutzer, in dem die Einstellungen für den ausgewählten Benutzer geändert werden können.

-

Alias erstellen: Bei Klick auf diese Schaltfläche wird von dem ausgewählten Benutzer ein Alias erstellt. Diese Option erweist sich als nützlich, wenn ein Benutzer in mehrere Gruppen aufgenommen werden soll, um ihm Zugang zu verschiedenen geschützten Seiten zu gewähren. Daher ist die Option nicht für die Benutzer der Gruppe Administratoren aktiv, weil diese automatisch Zugang zu allen geschützten Seiten haben. Ein Alias bleibt stets mit dem Benutzer verknüpft. jede Änderung am Benutzer-Konto wird automatisch auch auf dessen Alias angewendet. Um einen Alias schnell zu erstellen, können Sie alternativ einen Benutzer markieren, in eine andere Gruppe ziehen und STRG drücken, bevor Sie die Maustaste loslassen.

Das Dialogfenster Neuer Benutzer , das sich nach dem Anklicken der Schaltflächen Neuer Benutzer oder Bearbeiten... öffnet, präsentiert sich folgendermaßen:

Optionen für die Erstellung eines neuen Benutzers:

-

Vor- und Nachname: Geben Sie hier den Namen des Benutzers ein, dem Sie für den Zugriff auf geschützte Seiten der Website Zugangsdaten zuweisen wollen.

-

Benutzerame / Passwort: Geben Sie in diese Felder den Benutzernamen und das Passwort ein, die der Benutzer verwenden soll, um die für ihn freigegebenen geschützten Seiten anzuzeigen. Es wird automatisch nach dem Zufallsprinzip ein Passwort aus 8 Zeichen (Buchstaben und Ziffern) generiert. Dieses Passwort kann jedoch frei geändert werden.

-

Starteite: Mit Klick auf das Ordnersymbol wird die Sitemap angezeigt, wo Sie auswählen können, welche Seite angezeigt werden soll, nachdem der Benutzer seine Zugangsdaten eingegeben hat.

-

Anmerkung: Hier können Sie fakultativ Anmerkungen zu dem jeweiligen Benutzer eingeben.

-

Registrierungsdatum: Mit einem Klick auf das Kalendersymbol können Sie das Datum auswählen, an dem der Benutzer registriert wurde.

Die Angaben in den Feldern Anmerkung und Registrierungsdatum werden nicht in den Code der realisierten Website aufgenommen. Sie dienen ausschließlich der komfortablen Benutzerverwaltung durch die Site-Administratoren.

Unter der Übersicht stehen im Bereich Einstellungen der Eingabeseite für Login und Passwort folgende Optionen zur Verfügung:

-

Willkommensnachricht: Hier können Sie einen Text eingeben, der angezeigt wird, wenn der Benutzer eine geschützte Seite öffnen möchte, ohne sich zuvor eingeloggt zu haben. In diesem Fall wird er zu einer anderen, automatisch vom Programm generierten Seite weitergeleitet, die folgende Elemente enthält:
- | die festgelegte Willkommensnachricht;
- | Felder für die Eingabe von Login und Passwort;
- | bei Definition einer Registrierungsseite (siehe folgende Option) die Schaltfläche Registrieren.

-

Registrierungsseite: Mit Klick auf das Ordnersymbol wird die Sitemap angezeigt, wo Sie festlegen können, welche Seite angezeigt werden soll, wenn der Benutzer auf Registrieren klickt, um Zugangsdaten für den Zugriff auf geschützte Seiten zu erhalten.

Nachdem Sie die Benutzer mit ihren jeweiligen Zugangsdaten erstellt und in Gruppen organisiert haben, können Sie zu Schritt 2 - Erstellen der Sitemap zurückkehren, um dort die Seiten zu definieren, die geschützt werden sollen, sowie um festzulegen, welche Gruppen bzw. Benutzer welche geschützten Seiten anzeigen können.

 Wird die erstellte Seite lokal getestet, erscheint ein Fenster mit dem Hinweis, dass die geschützten Seiten ohne Abfrage der Zugangsdaten angezeigt werden. Die Aktivierung der geschützten Seiten erfolgt erst bei der Veröffentlichung der Website auf dem Server.

Für die korrekte Funktion der geschützten Bereiche muss der Server, auf den die Website hochgeladen wird, die Programmiersprache PHP und Sitzungen unterstützen. Diese Informationen über den Server finden Sie im Bereich WebSite Test des Control Panels online.

Verwandte Themen:
- | Erweiterte Einstellungen
- | Control Panel
- | Erstellen der Sitemap


Warenkorb für E-Commerce

In diesem Fenster finden Sie die nötigen Werkzeuge und Optionen zur Erstellung und Verwaltung eines Warenkorbs für den E-Commerce mit den Produkten, die Sie auf Ihrer Webseite anbieten.

Anleitung

Um einen Warenkorb für den E-Commerce zu realisieren, müssen Sie zunächst einen Produktkatalog erstellen und die Produkte in Kategorien und Unterkategorien organisieren. Für jedes Produkt müssen einige obligatorische Informationen wie ein Name, eine Beschreibung und der Preis eingegeben werden. Zusätzlich können aber auch ein oder mehrere Bilder zugeordnet und Produktvarianten (z.B. verschiedene Größen, Farben, Modelle usw.) vorgesehen werden. Nach Erstellung des Katalogs müssen die gewünschte Zahlungs- und Versandart festgelegt, das Bestellformular definiert und die E-Mails konfiguriert werden, die Kunden und dem Seitenbetreiber gesendet werden sollen.

Die einzelnen Optionen zur Konfiguration des Warenkorbs für den E-Commerce werden in den folgenden Bereichen definiert:
- | Tab Produkte
- | Tab Zahlung
- | Tab Kundendetails
- | Tab Optionen

Nachdem Sie den Warenkorb für E-Commerce erstellt haben, müssen Sie in die Website die entsprechenden Informationen und Links einbinden, damit die Anwender Produktinformationen anzeigen und Bestellungen aufgeben können. Hierzu können Sie auf verschiedene Weise vorgehen:
1. | Erstellen Sie spezifische Seiten, auf denen Sie die Produkte wie gewünscht präsentieren (mit Bildern, Texten, Tabellen usw.) und fügen Sie dort die Schaltfläche "Kaufen" ein. Die Schaltfläche "Kaufen" kann mit dem Link Zum Warenkorb hinzufügen (siehe Hyperlinks) erstellt werden.
2. | Erstellen Sie Seiten, auf denen Sie die Produkte mit den vordefinierten und bereits mit der Schaltfläche "Kaufen" ausgestatteten Modulen präsentieren. Nutzen Sie hierfür das Objekt Produktliste.

 Wenn Sie die Funktionsfähigkeit der lokal erstellten Website testen, weist eine Meldung darauf hin, dass die Bestellung nicht versendet wird und Sie automatisch zur Seite der Bestellbestätigung zurückgeleitet werden. Der Warenkorb für E-Commerce funktioniert erst nach der Veröffentlichung der Website auf dem Server vollständig.

Für den korrekten Betrieb des Warenkorbs muss der Server, auf dem die Website veröffentlicht wird, die Programmiersprache PHP unterstützen und der Befehl MAIL muss aktiviert sein. Diese Informationen über den Server finden Sie im Bereich WebSite Test des Control Panels online.

Treten Probleme mit dem Versenden von E-Mails auf, ist der verwendete Server wahrscheinlich nicht im Standard-Modus konfiguriert. Versuchen Sie in diesem Fall, im Dialogfenster Einstellungen, den Skripttyp für den E-Mail-Versand zu ändern. Für weitere Informationen wenden Sie sich bitte an Ihren Webspace-Anbieter.

Verwandte Themen:
- | Erweiterte Einstellungen
- | Dialogfenster Link
- | Objekt Produktliste


Warenkorb für E-Commerce | Tab Produkte

Mit den Optionen im Tab Produkte des Dialogfensters Warenkorb für E-Commerce können Sie Ihre Produktliste erstellen und die Artikel in Kategorien organisieren.

Alle eingegebenen Produkte werden in der Übersicht angezeigt, die für alle bereits erstellten Kategorien die jeweiligen Produkte mit ihrer Beschreibungund ihrem Preis enthalten.

Am oberen Rand der Übersicht finden Sie eine Werkzeugleiste mit folgenden Schaltflächen:

 Ausschneiden [Strg+X] - Kopieren [Strg+C] - Einfügen [Strg+V]
Diese Befehle ermöglichen das Ausschneiden, Kopieren und Einfügen der markierten Produkte. Die Befehle sind auch über das Kontextmenü abrufbar, das bei Rechtsklick auf die Produktliste eingeblendet wird.

Neben der Werkzeugleiste sind für die Erstellung einer übersichtlichen Produktliste zur Verwaltung über den Warenkorb folgende Schaltflächen verfügbar:
- | Neue Kategorie: Erstellen Sie eine neue Kategorie, um verfügbare Produkte zu organisieren. Kategorien haben keine besonderen Einstellungen: Sie dienen lediglich als "Behälter" und werden daher direkt in die Übersicht übernommen. Mit einem Doppelklick auf eine bereits erstellte Kategorie kann diese umbenannt werden. Um die Produktliste optimal zu organisieren, können auch Unterkategorien erstellt werden: Hinsichtlich der nutzbaren Kategorien und Unterkategorien besteht keine spezifische Einschränkung.
- | Neues Produkt: Öffnet das Dialogfenster Produkteinstellungen, in dem Sie für die ausgewählte Kategorie ein neues Produkt eingeben können.
- | Entfernen: Löschen der ausgewählten Kategorien und aller zugehörigen Produkte oder einzelner ausgewählter Produkte.
- | Bearbeiten...: Diese Schaltfläche öffnet das Dialogfenster Produkteinstellungen, in dem die Einstellungen für das ausgewählte Produkt geändert werden können.

 Um ein Produkt von einer in eine andere Kategorie zu verschieben, können Sie direkt in der Produktliste das jeweilige Produkt markieren und in die gewünschte Kategorie ziehen (Drag&Drop). Mit gedrückter Strg- und Umschalttaste können auch mehrere Produkte markiert werden.

Das Dialogfenster Produkteinstellungen, das sich nach dem Anklicken der Schaltflächen Hinzufügen oder Bearbeiten... öffnet, ermöglicht die Eingabe eines neuen Produkts und ist in drei Bereiche gegliedert:
- | Tab Allgemein
- | Tab Bild
- | Tab Optionen

Das Modul Objekt Produktliste kann erst genutzt werden, wenn in den Warenkorb für den E-Commerce entsprechende Kategorien und Produkte eingegeben wurden.

Verwandte Themen:
- | Warenkorb für E-Commerce
- | Objekt Produktliste


Warenkorb für E-Commerce | Tab Produkte

Warenkorb für E-Commerce | Tab Produkte | Produkteinstellungen | Allgemein

Mit den Optionen im Tab Allgemein des Dialogfensters Produkteinstellungen können Sie einige grundlegende Informationen über ein neues Produkt eingeben, das Sie im Warenkorb für E-Commerce anbieten wollen.

Für die Definition eines neuen Produkts stehen Ihnen folgende Funktionen zur Verfügung:

-

Produktbezeichnung/Code: Hier können Sie den Namen oder Code des Produkts, das erstellt bzw. geändert werden soll, eingeben bzw. ändern.

-

Beschreibung: Hier können Sie eine Beschreibung des Produkts, das erstellt bzw. geändert werden soll, eingeben bzw. ändern.

-

Mit dem Produkt verlinkte Seite: Mit der Schaltfläche neben dem Feld öffnen Sie die Sitemap, um festzulegen, mit welcher Seite das Produkt verknüpft werden soll.

-

Preis: Geben Sie hier den Preis des Produkts ein.

-

MwSt. (%): Sofern die Option aktiv ist, kann hier der Mehrwertsteuersatz für das aktuelle Produkt eingegeben werden. Das Feld ist aktiv, wenn im Tab Optionen Produktpreis inkl. MwSt. angeklickt wurde.

Je nachdem, wie der E-Shop konfiguriert werden soll, können für die Produkte Preise inklusive Umsatzsteuer eingegeben werden. Alternativ, vor allem bei Produkten mit anderen Umsatzsteuersätzen, können Sie die Preise ohne Umsatzsteuer eingeben und diese dann spezifisch festlegen.

-

Gewicht: Geben Sie hier das Gewicht des Produkts ein, um die Versandkosten zu berechnen (siehe Tab Zahlung | Versandart).

Je nachdem, welche Produkte Sie in Ihrem E-Shop anbieten, können Sie unter Gewicht nicht nur das Gewicht in Kilogramm oder Gramm, sondern auch das Volumen in Litern oder Kubikmetern oder jede sonstige Maßeinheit verwenden. Damit die Versandkosten korrekt berechnet werden, ist es wichtig, eine Maßeinheit zu wählen und diese auf alle angebotenen Produkte anzuwenden.

Verwandte Themen:

-

Warenkorb für E-Commerce | Tab Produkte


Warenkorb für E-Commerce | Tab Produkte | Produkteinstellungen | Bild

Mit den Optionen im Tab Allgemein des Dialogfensters Produkteinstellungen können einem Produkt, das Sie im Warenkorb für E-Commerce anbieten wollen, ein oder mehrere Bilder für die Präsentation zuweisen.

Wenn Sie mehrere Bilder importieren, können Sie eine Slideshow erstellen. Bei Klick auf die einzelnen Bilder werden diese in der ShowBox vergrößert angezeigt.
Nur das erste der zugewiesenen Bilder wird im Shop angezeigt. Alle weiteren, eventuell hochgeladenen Bilder werden hingegen auf den Produktseiten angezeigt, wenn Sie das Objekt Produktliste verwenden.

Für die Erstellung einer Liste von Bildern, die dem Produkt zugewiesen werden sollen, stehen folgende Optionen zur Verfügung:
- | Hinzufügen... / Entfernen: Mit diesen Schaltflächen können Sie jeweils neue Bilder hinzufügen oder in der Liste für die Slideshow ausgewählte Bilder löschen. Im Dialogfenster Datei auswählen können auch mehrere Bilder gleichzeitig ausgewählt werden.
- | Nach oben / Nach unten: Mit diesen Schaltflächen können Sie ein ausgewähltes Bild vor oder hinter ein benachbartes verschieben.
- | Bearbeiten...: Diese Schaltfläche öffnet den Grafik-Editor, in dem das ausgewählte Bild bearbeitet werden kann.

Im Bereich Eigenschaften ShowBox können Sie folgende Einstellungen vornehmen:

-

Maximale Breite / Maximale Höhe: Hier definieren Sie die Höchstmaße für die ShowBox, in der die vergrößerten Bilder angezeigt werden.

Für weitere Informationen über die individuelle Gestaltung der ShowBox siehe Schritt 4 - Erweiterte Einstellungen Option Stile und Modelle | ShowBox.

Verwandte Themen:

-

Warenkorb für E-Commerce | Tab Produkte


Warenkorb für E-Commerce | Tab Produkte | Produkteinstellungen | Optionen

Mit den Funktionen im Tab Optionen des Dialogfensters Produkteinstellungen können Sie einige zusätzliche Parameter für die Verwaltung eines neuen Produkts eingeben, das Sie im Warenkorb für E-Commerce anbieten wollen.

Allem voran können Sie hier Produktvarianten eingeben. Dies können verschiedene Größen oder Farben eines Kleidungstücks oder sonstige Modellvarianten eines beliebigen Artikels sein. Alle hier angegebenen Varianten werden in der enstprechenden Liste des E-Shops bzw. der Produktseite angezeigt, wenn Sie das Objekt Produktliste verwenden.
Für die Verwaltung von Produktvarianten stehen folgende Optionen zur Verfügung:
- | Hinzufügen... / Entfernen: Mit dieser Schaltfläche können Sie neue Produktvarianten hinzufügen bzw. markierte aus der Liste löschen.
- | Bearbeiten...: Hier können Sie eine markierte Produktvariante bearbeiten. Das Dialogfenster öffnet sich auch mit Doppelklick auf eine Variante.
- | Nach oben / Nach unten: Mit diesen Schaltflächen können Sie eine ausgewählte Produktvariante vor oder hinter eine benachbarte verschieben.

Wenn Sie die Option Mengenrabatt aktivieren wählen, können Sie ferner eine Liste mit Rabatten anlegen, die auf der Grundlage der Bestellmenge angewendet werden sollen. Auch die eingegebenen Mengenrabatte werden in einer Liste angezeigt und es stehen folgende Optionen zur Verfügung:
- | Hinzufügen...: Hier können Sie im Dialogfenster Mengenrabatt für das aktive Produkt einen Mengenrabatt festlegen. Konkret geben Sie hier die Menge ein, die erreicht oder übertroffen werden muss, um den angebotenen Rabatt (%) zu erhalten.
- | Entfernen: Löschen eines ausgewählten Rabatts aus der Liste.
- | Bearbeiten...: Diese Schaltfläche öffnet das Dialogfenster Mengenrabatt, in dem die Einstellungen für den ausgewählten Mengenrabatt geändert werden können. Das Dialogfenster öffnet sich auch mit Doppelklick auf einen eingegebenen Rabatt.

Verwandte Themen:

-

Warenkorb für E-Commerce | Tab Produkte


Warenkorb für E-Commerce | Tab Zahlung

Mit den Optionen im Tab Zahlung des Fensters Warenkorb für E-Commerce können Sie die Zahlungsmodalitäten und Versandarten festlegen, die im Shop angeboten werden sollen.

Im Bereich Versandarten sind alle eingegebenen Alternativen mit den jeweils zugeordneten Parametern Name, Beschreibung und Kosten aufgelistet.

Für die Erstellung der Liste mit Versand- und Zahlungsarten stehen folgende Optionen zur Verfügung:
- | Hinzufügen...: Ein Klick auf diese Schaltfläche öffnet das Dialogfenster Versandart , in dem Sie eine neue Versandart konfigurieren können.
- | Duplizieren: Hier können Sie von einer ausgewählten Versandart eine Kopie erstellen, um schnell eine neue zu erstellen.
- | Entfernen: Löschen einer ausgewählten Versandart.
- | Bearbeiten...: Ein Klick auf diese Schaltfläche öffnet das Dialogfenster Versandart , in dem Sie die ausgewählte Versandart ändern können. Das Dialogfenster öffnet sich auch mit Doppelklick auf eine Versandart.
- | Nach oben / Nach unten: Mit diesen Schaltflächen können Sie eine ausgewählte Versandart vor oder hinter eine benachbarte verschieben.

Im Bereich Liste Zahlungsarten sind analog alle eingegebenen Alternativen mit den jeweils zugeordneten Parametern Name, Beschreibung und Kosten aufgelistet.

Die Befehle zum Erstellen der Zahlungsarten sind mit denen der Versandarten identisch, mit dem einzigen Unterschied, dass die Schaltflächen Hinzufügen... und Bearbeiten... das Dialogfenster Zahlungsart öffnen.

Verwandte Themen:
- | Warenkorb für E-Commerce
- | Dialogfenster Versandart
- | Dialogfenster Zahlungsart


Warenkorb für E-Commerce | Tab Zahlung | Versandart

Im Dialogfenster Zahlungsart, das sich per Klick auf die Schaltfläche Hinzufügen oder Bearbeiten... unter Liste Versandarten im Tab Zahlung öffnet, können Sie die Versandarten definieren, die auf den Warenkorb für E-Commerce angewendet werden sollen.

Das Fenster Versandart ist in drei Bereiche gegliedert:
- | Tab Allgemein
- | Tab Kosten
- | Tab E-Mail-Nachricht

Im Bereich Allgemein stehen folgende Optionen zur Verfügung:
- | Name: Geben Sie hier einen eindeutigen, prägnanten Namen für die Versandmethode ein.
- | Beschreibung: Geben Sie hier eine komplette Beschreibung für die Versandmethode ein.

Im Tab Kosten können Sie die Zusatzkosten angeben, die bei der Nutzung der jeweiligen Versandmethode entstehen. Dieser Betrag kann nach folgenden Modalitäten eingestellt werden:

-

Festkosten: Fester Versandkostenbetrag für die Versandart. Dieser Betrag bleibt unabhängig von allen Bestellparametern unverändert.

-

Kosten für Bestellwert: Hier können in Abhängigkeit vom Bestellwert ein oder mehrere Kostenbereiche für die Versandart festgelegt werden. Mit den Schaltflächen Hinzufügen... und Bearbeiten... wird das Dialogfenster Versandkosten aufgerufen. Hier können Sie den Bestellwert eingeben, der erreicht oder überschritten werden muss, um die angegebenen Kosten anzuwenden.

-

Kosten für Gesamtgewicht: Hier können in Abhängigkeit vom Gesamtgewicht der bestellten Produkte ein oder mehrere Kostenbereiche für die Versandart festgelegt werden. Auch hier öffnen Sie mit den Schaltflächen Hinzufügen... und Bearbeiten... das Dialogfenster Versandkosten , in dem Sie das Gesamtgewicht eingeben können, das erreicht oder überschritten werden muss, um die angegebenen Kosten anzuwenden.

Für die korrekte Berechnung ist es daher wichtig, im Dialogfenster Produkteinstellungen für jedes angebotene Produkt das Gewicht einzugeben.

Ferner steht folgende Option zur Verfügung:

-

MwSt. (%): Sofern die Option aktiv ist, kann hier der Mehrwertsteuersatz für die Kosten der Versandmethode eingegeben werden. Das Feld ist aktiv, wenn im Tab Optionen Produktpreis inkl. MwSt gewählt wurde.

Der Tab E-Mail-Nachricht enthält schließlich ein Feld, in das Sie eine Beschreibung und Erläuterung für die Versandmethode eingeben können. Formulieren Sie diese Nachricht mit Sorgfalt, da sie in der Bestätigungs-E-Mail an den Kunden enthalten ist.

Verwandte Themen:
- | Warenkorb für E-Commerce | Tab Zahlung
- | Inhalt der E-Mail zur Bestellbestätigung


Warenkorb für E-Commerce | Tab Zahlung | Zahlungsart

Im Dialogfenster Zahlungsart, das sich per Klick auf die Schaltfläche Hinzufügen oder Bearbeiten... unter Liste Zahlungsarten im Tab Zahlung öffnet, können Sie die Zahlungsarten definieren, die auf den Warenkorb für E-Commerce angewendet werden sollen.

Das Fenster Zahlungsart ist in drei Bereiche gegliedert:
- | Tab Allgemein
- | Tab Allgemein
- | Tab E-Mail-Nachricht

Im Bereich Allgemein stehen folgende Optionen zur Verfügung:
- | Name: Geben Sie hier einen eindeutigen, prägnanten Namen für die Zahlungsmethode ein.
- | Beschreibung: Geben Sie hier eine komplette Beschreibung für die Zahlungsmethode ein.

Im Tab Typ können Sie die gewünschte Zahlungsmethode festlegen:
- | Später bezahlen: In diesem Fall kann der Kunde die Bestellung abschließen und erst zu einem späteren Zeitpunkt bezahlen. Diese Methode eignet sich beispielsweise für Banküberweisungen.
- | Sofort bezahlen: In diesem Fall muss der Kunde gleich nach Abschluss der Bestellung die Zahlung vornehmen, beispielsweise mit PayPal, ähnlichen Diensten oder Kreditkarten.

Bei Auswahl der Option Sofort bezahlen müssen Sie die Zahlungsart festlegen und hierfür einige Parameter eingeben:
PayPal/Kreditkarte:

-

PayPal-Account: Geben Sie hier Ihr PayPal-Konto ein.

-

Seite Zahlungsbestätigung: Mit der Schaltfläche neben dem Feld rufen Sie die Sitemap ab, wo Sie die Seite auswählen können, die nach erfolgter Zahlung angezeigt werden soll.

-

Seite Zahlungsfehler: Mit der Schaltfläche neben dem Feld rufen Sie die Sitemap ab, wo Sie die Seite auswählen können, die angezeigt werden soll, wenn während des Zahlvorgangs ein Fehler aufgetreten ist.
Benutzerdefinierter Code:

-

HTML-Code für den Button 'Jetzt zahlen': Soll ein von PayPal verschiedenes Zahlungssystem verwendet werden, können Sie nach der Registrierung den vom Anbieter bereitgestellten HTML-Code eingeben.

Der vom Anbieter bereitgestellte HTML-Code erstellt den Button "Jetzt zahlen" und muss mit Angaben über das jeweilige Produkt und den entsprechenden Preis vervollständigt werden. Damit das E-Shopsystem funktioniert, müssen folgende Tags manuell in den Code integriert werden:
- | [ORDER_NO] - Nummer der Bestellung;
- | [PRICE] - Preis.

Ferner stehen folgende Optionen zur Verfügung:
- | Kosten: Hier können die Zusatzkosten angegeben werden, die bei der Nutzung der jeweiligen Zahlungsmethode entstehen.
- | USt. (%): Sofern die Option aktiv ist, kann hier der Umsatzsteuersatz für Kosten der Zahlungsmethode eingegeben werden. Das Feld ist aktiv, wenn im Tab Optionen die Option USt. für jedes Produkt festlegen gewählt wurde.

Der Tab E-Mail-Nachricht enthält schließlich ein Feld, in das Sie eine Beschreibung und Erläuterung für die Zahlungsmethode eingeben können. Formulieren Sie diese Nachricht mit Sorgfalt, da sie in der Bestätigungs-E-Mail an den Kunden enthalten ist.

Verwandte Themen:
- | Warenkorb für E-Commerce | Tab Zahlung
- | Inhalt der E-Mail zur Bestellbestätigung


Warenkorb für E-Commerce | Tab Kundendetails

Über die Optionen im Tab Kundendetails des Fensters Warenkorb für E-Commerce können Sie den Aufbau des Formulars bestimmen, das der Anwender ausfüllen muss, wenn er über den Warenkorb bestellen will.

Im Bereich Bestellformular finden Sie eine Feldliste mit den Feldern, aus denen das Bestellformular zusammengesetzt werden kann.
Um ein Feld in das Formular aufzunehmen, aktivieren Sie das Kontrollkästchen in der Spalte Sichtbar. Wenn das aktivierte Feld zwingend eine Eingabe erfordert, um den Bestellvorgang fortzusetzen, aktivieren Sie bitte auch das Kontrollkästchen in der Spalte Pflichtfeld.

Die Liste enthält bereits alle Felder, die normalerweise in einem Registrierungsformular verwendet werden.

Das letzte Feld in der Liste betrifft die E-Mail-Adresse: Es kann nicht ausgeblendet werden und ist immer ein Pflichtfeld, da die Kenntnis der E-Mail-Adresse des Kunden, der die Bestellung sendet, für die Abwicklung der Bestellung zwingend notwendig ist.

Außer der Feldlistestehen folgende Optionen zur Verfügung:
- | Nutzungsbedingungen anzeigen: Wenn Sie diese Option aktivieren, wird unter dem Formular ein Feld mit Nutzungsbedingungen eingefügt, die der Kunde akzeptieren muss, bevor er die Bestellung abschicken kann. In diesem Feld können zum Beispiel die Datenschutzbestimmungen angezeigt werden.
- | Text der Nutzungsbedingungen: Geben Sie hier den Text für die Bedingungen ein, die der Kunde akzeptieren muss, bevor er die Bestellung abschicken kann.

Im Bereich E-Mail mit Bestellliste stehen folgende Optionen zur Verfügung:
- | E-Mail-Adresse für den Eingang der Bestellungen: Geben Sie hier die E-Mail-Adresse ein, an die der Website-Administrator die über den Warenkorb eingegangenen Bestellungen erhalten möchte.
- | Daten im CSV-Format erfassen: Wenn Sie diese Option aktivieren, werden die eingehenden Daten auch in einer .CSV-Datei erfasst und an die E-Mail angehängt. In einer .CSV-Datei werden di Daten als Liste durch Semikolon getrennter Werte im Textformat gespeichert. Diese Dateien können komfortabel in Tabellenkalkulationsprogramme (z.B. Microsoft Excel) importiert werden.

Im Bereich E-Mail mit Bestellbestätigung für den Kunden finden Sie die Felder, in die Sie den Header-Text und den Fußzeilentext für die Bestellbestätigung eingeben können, die automatisch an den Kunden gesendet wird. Außer dem Header- und Fußzeilentext werden in dieser E-Mail auch die gewählte Zahlungs- und Versandart angegeben.

Verwandte Themen:
- | Warenkorb für E-Commerce
- | Inhalt der E-Mail zur Bestellbestätigung


Warenkorb für E-Commerce | Tab Optionen

Mit den Funktionen im Tab Optionen des Fensters Warenkorb für E-Commerce können Sie einige grafische Einstellungen vornehmen sowie die Währung und den Mehrwertsteuersatz für den Shop festlegen.

Im Bereich Einstellung der Währung stehen folgende Optionen zur Verfügung:
- | Währung: Legen Sie hier die Währung fest, mit der in Ihrem Shop gezahlt werden soll. Im Dropdown-Menü finden Sie bereits eine Auswahl. Um die Einträge in dieser Liste zu ändern, klicken Sie auf die Schaltfläche [image] , um das Dialogfenster Währungsliste aufzurufen.
- | Gruppierung der Ziffern: Hier können Sie einstellen, wie die Preise der Produkte dargestellt werden, also ob als 1000er-Trennzeichen ein Punkt und zur Trennung der Dezimalstellen ein Komma verwendet werden soll oder umgekehrt (1.000,00 oder 1,000.00).
- | Währung rechts anzeigen: Wenn Sie diese Option aktivieren, erscheint das Währungssysmbol rechts vom Preis.
- | Dezimalstellen: Wenn Sie diese Option aktivieren, werden die Preise mit zwei Kommastellen angezeigt.

Im Bereich USt.-Einstellung stehen folgende Optionen zur Verfügung:
- | USt. im Produktpreis enthalten: Die Option ist standardmäßig aktiviert, das heißt, die Preise werden inklusive Umsatzsteuer angezeigt.
- | USt. für jedes Produkt festlegen: Aktivieren Sie diese Option, wenn Nettopreise angezeigt werden sollen und Sie die Möglichkeit haben wollen, den USt.-Satz von Produkt zu Produkt individuell festzulegen.
- | Standard-USt. (%): Dieses Feld ist nur verfügbar, wenn die Option USt. für jedes Produkt festlegen ausgewählt wurde, und ermöglicht die Eingabe eines Standardsatzes für die Umsatzsteuer. Dieser Wert wird auch verwendet, wenn im Dialogfenster Produkteinstellungen | Allgemein für ein Produkt keine Umsatzsteuer eingegeben wurde.

Im Bereich Optionen stehen folgende Funktionen zur Verfügung:
- | Bestellungen nur für Mindestbeträge zulassen: Es werden nur Bestellungen ab dem hier festgelegten Mindestbestellwert akzeptiert.
- | Mindestgesamtbetrag: Dieses Feld ist nur verfügbar, wenn die Option Bestellungen nur für Mindestbeträge zulassen aktiviert ist. Hier können Sie den Mindestbetrag festlegen, den die gesamte Bestellung erreichen muss, um akzeptiert zu werden.

Im Bereich Grafische Einstellungen Produkttabelle finden Sie einige Optionen für die Gestaltung der Tabellen, in denen die angebotenen Produkte präsentiert und/oder im Warenkorb dargestellt werden.
- | Header-Hintergrund / Header-Text / Farbe der Zelle / Zellentext / Tabellenrand: Mit Klick auf die Schaltfläche Farbe öffnet sich die Farbpalette, in der die Textfarbe für die verschiedenen Elemente ausgewählt werden kann.
- | Symbol 'In den Warenkorb legen' / Symbol 'Aus dem Warenkorb entfernen': Hier können Sie die Bilder für die Schaltflächen auswählen, mit denen der benutzer Artikel in den Warenkorb legen oder aus diesem entfernen kann.
- | Symbol 'Vorschau nicht verfügbar': Wählen Sie hier das Bild, das angezeigt werden soll, wenn unter Objekt Produktliste die Option "Bild und Text" oder "Text und Bild" ausgewählt, aber kein Bild zugewiesen wurde.

Verwandte Themen:

-

Warenkorb für E-Commerce


Export

Nach Abschluss einer Arbeitssitzung oder nach Fertigstellung der Website können Sie in Schritt 5 von WebSite X5 für Ihr Projekt eine Exportoption wählen. Dank dem integrierten FTP-Client können Sie zunächst Ihre Dateien direkt auf einem Server veröffentlichen: WebSite X5 unterstützt sichere Verbindungen und ermöglicht effizientes Arbeiten über Mehrfachverbindungen und mit der Option, nur geänderte Dateien zu übertragen. Alternativ können Sie die Website auf ein Laufwerk Ihres Computers exportieren, um eine lokale Kopie der veröffentlichten Seiten zu speichern. Und schließlich können die Dateien des Projekts in ein gemeinsames Verzeichnis exportiert werden, um sie komfortabel zur weiteren Bearbeitung auf einen anderen Computer zu übertragen.

Folgende Exportoptionen stehen zur Verfügung:

 Export der Website ins Internet

Export der Website auf ein Laufwerk

Export des Projekts in ein Verzeichnis


Export der Website ins Internet

In diesem Bereich können Sie Ihre fertige Website veröffentlichen.

WebSite X5 ist mit einem internen FTP-Client ausgestattet, über den Sie Ihre erstellten Seiten direkt online stellen können. Alle für die korrekte Darstellung der Seite im Web benötigten Dateien werden auf dem Computer gespeichert, an dem sie erstellt wurden. Damit die Anwender unsere Seiten im Web sehen können, müssen diese Dateien auf den Server kopiert werden, d.h. auf einen Computer, der permanent mit dem Internet verbunden ist.

Um alle Dateien der Website zu exportieren, müssen zunächst die folgenden Verbindungsparameter konfiguriert werden (vom Webspace-Anbieter bereitgestellt):

-

Servertyp: Wählen Sie hier den Verbindungstyp aus, der für die Veröffentlichung der Dateien auf dem Server verwendet werden soll. Je nachdem, welches Protokoll der Server unterstützt, wählen Sie zwischen:
- | FTP - File Transfer Protocol: Standardeinstellung. FTP ist eins der ersten Protokolle für den Datentransfer und weit verbreitet. FTP in seiner ursprünglichen Form unterstützt keinerlei Verschlüsselung der Daten, die zwischen Client und Server ausgetauscht werden.
- | SFTP - SSH File Transfer Protocol: Dieses Protokoll ermöglicht einen sicheren Datentransfer, da es verschlüsselte Remote-Verbindungen aufbaut und die Remote-Bearbeitung von Dateien unterstützt.
- | FTPS - FTP over explicit TLS/SSL: Um Sicherheitsproblemen vorzubeugen, können dem Protokoll FTP der Verschlüsselungs-Layer SSL/TLS sowie einige Befehls- und Antwort-Codes hinzugefügt werden.

-

FTP-Adresse: Geben Sie hier Ihre FTP-Adresse ein. Beispiel: "ftp.websitex5.com", wobei "websitex5.com" der Domainname ist.

-

Benutzerame / Passwort: Geben Sie in diese Felder Ihren Benutzernamen und Ihr Passwort ein.

-

Passwort speichern: Bei Aktivierung dieser Option wird das eingegebene Passwort gespeichert und muss nicht erneut eingegeben werden.

Zusätzlich können einige Optionale Parameter eingegeben werden, die für den Verbindungsaufbau mit dem Server nicht zwingend erforderlich sind:

-

Zielverzeichnis: Geben Sie hier das Zielverzeichnis ein, das Ihnen von Ihrem Webspace-Anbieter zugewiesen wurde. Wenn Sie hier keinen Pfad eingeben, können Sie ihn auch im folgenden Schritt eingeben.

-

Port: Geben Sie hier den Port des Servers ein, über den die Verbindung hergestellt wird (vom Webspace-Anbieter bereitgestellt). In den meisten Fällen muss der hier vordefinierte Standardwert nicht geändert werden.

-

Gleichzeitige Übertragungen: Geben Sie hier die Anzahl der Serververbindungen ein, die der FTP-Client des Programms gleichzeitig öffnen soll, um die Dateien der Website zu veröffentlichen. Die Anzahl der Verbindungen entspricht der Anzahl der Dateien, die gleichzeitig exportiert werden können.

Mehrere gleichzeitige Verbindungen müssen von dem jeweils genutzten Server unterstützt werden. Sofern gleichzeitige Verbindungen unterstützt werden, führt die Erhöhung dieser Zahl über eine bestimmte Grenze hinaus zu keiner effektiven Zeiteinsparung mehr. Es wird empfohlen, mit 3 Verbindungen zu beginnen und den Parameter schrittweise zu erhöhen, um die optimale Anzahl im Verhältnis zur Bandbreite des genutzten Servers festzustellen. Generell sollten nicht mehr als 10 gleichzeitige Verbindungen eingestellt werden.

-

Passives FTP verwenden: Diese Option ist standardmäig aktiviert und sieht die Nutzung von passivem FTP für den Datentransfer vor. Dieser Modus empfiehlt sich für eine höhere Kompatibilität mit dem Server.

-

GZip-Komprimierung aktivieren: Diese Option ist standardmäßig aktiviert und bewirkt, dass die Dateien der Website zum Export komprimiert werden, um den Prozess der Veröffentlichung zu beschleunigen.

Nicht alle Server unterstützen GZip-Komprimierung. Wenn die Option aktiviert ist, aber vom Server nicht unterstützt wird, werden die Dateien dennoch veröffentlicht, aber unkomprimiert übertragen. Die GZip-Komprimierung eignet sich besonders für sehr große Dateien (die z. B. viele Bilder oder Videos enthalten), während sie bei kleinen Dateien nicht zu empfehlen ist.

Nach der Konfigurierung der Parameter für die Serververbindung können die Upload-Optionen festgelegt werden. Hier definieren Sie, welche Dateien effektiv hochgeladen werden sollen:

-

Alle Dateien der Website hochladen: In diesem Fall wird die ganze Website veröffentlicht. Dieser Typ ist geeignet, wenn das Projekt zum ersten Mal veröffentlicht wird oder wenn zahlreiche und wichtige Änderungen an der Webseite vorgenommen wurden.

-

Nur die Dateien hochladen, die seit dem letzten Export am ... geändert wurden: In diesem Fall werden nur die Dateien veröffentlicht, die seit dem letzten Export geändert worden sind. Dieser Typ ist für Webseiten geeignet, die häufig aktualisiert werden. Er bietet den Vorteil, dass die Veröffentlichung schneller erfolgt als bei Übertragung der kompletten Webseite.

Das Datum der Veröffentlichung wird in der Projektdatei gespeichert: Daher ist es wichtig, nach der Veröffentlichung der Dateien alle Änderungen zu speichern.
Auch wenn Sie nur die geänderten Dateien exportieren, werden die HTML-Seiten und Ressourcen-Dateien (im Unterverzeichnis Res) erneut veröffentlicht, da es möglich ist, dass sie aktualisiert wurden.

-

Nur RSS-Feed/Blog hochladen: Bei Aktivierung dieser Option werden nur die .PHP- und .XML-Dateien des Blogs sowie die .XML-Dateien des RSS-Feeds veröffentlicht, die Sie in den entsprechenden Bereichen von Schritt 4 - Erweiterte Einstellungen verwalten. Diese Option, die nur verfügbar ist, wenn ein bereits ein Blog oder RSS-Feed veröffentlicht wurde, ist geeignet, wenn keine Aktualisierungen an der Webseite vorgenommen, sondern nur neue Blog-Posts oder Einträge für den RSS-Feed hinzugefügt wurden.

Anleitung

Klicken Sie nach der Einstellung der erforderlichen Parameter auf die Schaltfläche Weiter, um die Verbindung zum Server aufzubauen. Nach Verbindungsaufbau werden die dort bereits vorhandenen Verzeichnisse in einem Fenster angezeigt. Öffnen Sie hier mit Hilfe der verfügbaren Befehle das Verzeichnis, in dem die Website veröffentlicht werden soll.

 Das Verzeichnis, in dem eine Website veröffentlicht wird, enthält in der Regel eine Datei index.html. Bei Zweifeln hinsichtlich des Verzeichnisses wenden Sie sich bitte an Ihren Webspace-Anbieter, da nicht alle Verzeichnisse auf dem Server sind für Veröffentlichungen geeignet sind.

Im Einzelnen stehen Ihnen für die Interaktion mit Dateien auf dem Server folgende Befehle zur Verfügung:

 Übergeordnetes Verzeichnis
Öffnen des in der Ordnerhierarchie jeweils übergeordneten Verzeichnisses.

Neu laden
Hier können Sie den Inhalt des aktuellen Verzeichnisses erneut laden.

Neues Verzeichnis
Hier können Sie ein neues Verzeichnis erstellen.

Löschen
Mit dieser Schaltfläche können Sie eine ausgewählte Datei oder ein ausgewähltes Verzeichnis löschen.

Umbenennen
Mit dieser Schaltfläche können Sie eine ausgewählte Datei oder ein ausgewähltes Verzeichnis umbenennen.

Datei auf Server hochladen / Datei vom Server herunterladen
Mit diesen Schaltflächen können Sie jeweils eine oder mehrere Dateien, die nicht Teil des Projekts sind, auf den Server hochladen bzw. bereits veröffentlichte Dateien auf den lokalen PC herunterladen.

Listenansicht / Detailansicht
Hier legen Sie fest, wie die Dateien angezeigt werden sollen.

Und schließlich finden Sie einen Bereich, in dem Sie eine der folgenden Ansichten einstellen können:
- | Log: Anzeige der Log- und eventuellen Fehlermeldungen, die während der Kommunikation mit dem Server generiert wurden.
- | Dateien in Warteschlange: Anzeige der Dateien (die Höchstzahl dieser Dateien ist von den eingestellten gleichzeitigen Verbindungen abhängig), die veröffentlicht werden. Die Veröffentlichung jeder Datei kann über eine Fortschrittsanzeige mitverfolgt werden. Sobald die Veröffentlichung abgeschlossen ist, wird diese Datei in der Warteschlange nicht mehr angezeigt.

 Während des Exports kopiert WebSite X5 alle im Eintragungsverzeichnis enthaltenen Dateien auf den Server. Wenn dieses Verzeichnis bereits Dateien enthält, die den gleichen Namen haben wie die Dateien für die Veröffentlichung, werden diese überschrieben.

Verwandte Themen:

-

Export


Exportvorgang abgeschlossen

Nachdem die Website erfolgreich im Internet veröffentlicht wurde (siehe Export der Website ins Internet), finden Sie auf dieser Seite einige Hinweise, wie Sie Ihre Website bekannt machen können, beispielsweise in der Gallery von WebSite X5 sowie bei Google, Facebook und Twitter.

Im Einzelnen stehen stehen Ihnen folgende Funktionen zur Verfügung:

 Ihe Website ist online!
Hier können Sie Ihren Standard-Browser starten und in Ihrer soeben veröffentlichten Website surfen, um zu prüfen, ob alles korrekt funktioniert.

WebSite X5 Gallery
Über diesen Link gelangen Sie zur Galerie auf My.WebSiteX5.com, um dort Ihre soeben veröffentlichte Website vorzustellen. Diese Galerie ist eine vielseitige Sammlung von Seiten, die mit WebSite X5 erstellt wurden und dort von ihren Autoren präsentiert werden.

Sitemap bei Google aktualisieren
Hier können Sie die Sitemap der soeben veröffentlichten Website an Google versenden, um die Indexierung durch den Spider der Suchmaschine zu beschleunigen.

Veröffentlichung auf Facebook teilen
Dieser Link führt zu einer Facebook-Seite, auf der Sie sich einloggen und dann all Ihre Kontakte über die neu veröffentlichte Website informieren können. Der Kommentar wird an der Pinnwand Ihres Facebook-Profils veröffentlicht.

Veröffentlichung auf Twitter teilen
Dieser Link führt zu einer Twitter-Seite, auf der Sie sich einloggen und dann Ihre Follower über die neu veröffentlichte Website informieren können. Der Kommentar wird in der Timeline Ihres Twitter-Profils veröffentlicht.

Verwandte Themen:

-

Export


Export auf ein Laufwerk

In diesem Dialogfenster können Sie die erstellte Website auf einem Laufwerk des Computers speichern.

Auf diese Weise sichern Sie eine Kopie aller Dateien, die auf dem Server veröffentlicht werden sollen, lokal auf dem PC, um sie dann auf CD, DVD oder USB-Medien zu übertragen und vor der effektiven Veröffentlichung noch Änderungen an den HTML-Seiten vorzunehmen.

Um alle Dateien des Projekts zu exportieren, müssen Sie angeben:

-

Zielverzeichnis: Das Verzeichnis, in das die erstellte Website exportiert werden soll. Wenn das genannte Verzeichnis nicht existiert, wird es automatisch generiert.

Um eine Backup-Kopie des Projekts zu erstellen, nutzen Sie die Funktion Export des Projekts in ein Verzeichnis: Auf diese Weise erstellen Sie eine Kopie aller Original-Dateien des Projekts und nicht der Dateien, die vom Programm für die Veröffentlichung erstellt wurden.

Verwandte Themen:

-

Export


Projekt exportieren

In diesem Fenster können Sie alle mit dem Projekt verknüpften Dateien als eine Archivdatei exportieren, um sie auf einen anderen Computer zu übertragen oder eine Sicherungskopie zu erstellen.

Für den Export eines Projekts müssen Sie angeben:

-

Zielverzeichnis: Wählen Sie das Zielverzeichnis aus, in das das Projekt exportiert werden soll. Wenn das genannte Verzeichnis nicht existiert, wird es automatisch generiert.

Beim Export wird im Zielverzeichnis eine einzige, komprimierte Archivdatei erstellt, die den gleichen Namen trägt wie das Projekt und die Endung .IWZIP hat. Heißt Ihr Projekt zum Beispiel "MeinProjekt", wird die Datei MeinProjekt.iwzip generiert. Dieses komprimierte Archiv enthält sowohl die Projektdateien (.IWP) als auch alle verknüpften Dateien (z. B. importierte Bilder, Videos oder Animationen).

Das Archiv .IWZIP kann auf einen anderen Computer übertragen und dort im Programm mit der Funktion Importieren im Fenster Projektauswahl geöffnet werden.

Verwandte Themen:
- | Export
- | Projektauswahl | Projekt importieren


Browser

Cross-Browser-Kompatibilität

Ein Browser ist eine Software-Anwendung, mit der der Benutzer auf Websites befindliche Informationen (Texte, Bilder usw.) anzeigen und mit diesen interagieren kann. Es gibt diverse Browser, die bekanntesten sind Microsoft Explorer, Firefox, Safari und Google Chrome.

Für die Anzeige von Web-Inhalten nutzen Browser Rendering-Engines, also Software, die nach dem Download der Inhalte (z. B. einer HTML-Seite) die jeweiligen Informationen (z.B die verknüpften CSS) formatiert und auf dem Bildschirm anzeigt. Untersschiedliche Browser nutzen verschiedene Rendering-Engines, die sich in der Qualität des Renderings im Verhältnis zum Standard sowie in der Geschwindigkeit des Renderings voneinander unterscheiden. Hieraus folgt, dass ein und dieselbe Website je nach verwendetem Browser unterschiedlich dargestellt werden kann. Da eine Website keine gedruckte Seite ist, ist eine gewisse Toletanz akzeptabel, solange der Nutzerkomfort nicht beeinträchtigt wird.

Die beste Methode für die Erstellung von Websites, die mit den wichtigsten Browsern in ihren verschiedenen Versionen kompatibel sind, ist die Realisierung eines Codes, der möglichst sauber geschrieben und konform mit den Standards ist.

WebSite X5 generiert automatisch den Code HTML5 mit CSS 2.1 oder 3 und garantiert volle Kompatibilität mit allen gängigen Browsern sowie Mobilgeräten wie Mobiltelefonen, Smartphones und PDAs.

Interner Browser

Bei der Umsetzung eines Projekts muss es möglich sein, das Endergebnis und die Darstellung der fertigen, online gestellten Website zu testen. Dafür stellt Ihnen WebSite X5 über die in allen Phasen verfügbare Schaltfläche Vorschau (siehe Arbeitsumgebung) eine lokale Ansicht der Website zur Verfügung, die kontinuierlich aktualisiert wird (siehe Bei jeder Vorschau speichernim Dialogfenster Einstellungen).

Für die Anzeige der Vorschau verwendet WebSite X5 einen internen Browser, der die gleiche Rendering-Engine nutzt wie der Microsoft Internet Explorer. Der interne Browser bietet folgende Funktionen:

 Eine Seite zurück
Rückkehr zur vorher angezeigten Seite.

Eine Seite vor
Erneutes Öffnen der nächsten Seite nach Rückkehr.

Homepage
Rückkehr zur Homepage der Website.

Adressleiste
Hier wird der Pfad der angezeigten Seite angezeigt oder es kann der Pfad zu der Seite eingegeben werden, die angezeigt werden soll.

Gehe zu
Lädt die Seite, deren Pfad in die Adressleiste eingegeben wurde. Alternativ kann die eingegebene Adresse mit der Eingabetaste bestätigt werden.

Diese Seite bearbeiten
Mit diesem Befehl kehren Sie zum Programm zurück und es öffnet sich die SeiteSchritt 3 - Erstellen der Seiten, wo Sie die gewünschten Änderungen vornehmen können. Werden in der Vorschau Seiten aus dem Blog, demGeschützten Bereich oder dem Warenkorb für E-Commerce angezeigt, kehren Sie mit Klick auf diese Schaltfläche zur entsprechenden Seite in Schritt 4 - Erweiterte Einstellungen zurück.

Bitte berücksichtigen Sie, dass nach dem Öffnen des Browsers zur Anzeige der lokalen Vorschau des aktiven Projekts sich die dargestellte Seite automatisch der gerade bearbeiteten Seite anpasst. Dies bedeutet, wenn Sie zur Bearbeitung einer anderen Seite übergehen, wird diese auch in der Vorschau des Browsers angezeigt.

Der Einsatz eines internen Browsers zur Anzeige einer Vorschau der im Aufbau befindlichen Webseite bietet folgende Vorteile:
- | Die Vorschau ersetzt nicht die Ansicht im eventuell geöffneten Standard-Browser;
- | Die Vorschau der im Aufbau befindlichen Website wird im internen Browser aktualisiert und öffnet keine zusätzlichen Tabs oder Fenster im Standard-Browser.


Sprachverwaltung für automatisch eingefügten Text

Einige Texte auf den mit WebSite X5 erstellten Seiten werden automatisch vom Programm eingefügt, wie zum Beispiel die Links zu internen Ankern, die Schaltflächen des Objekts Galerie, die Etiketten des Objekts E-Mail-Formular, die Etiketten und Texte des Objekts Warenkorb für E-Commerce oder die Texte der Sitemap.

Damit diese Texte in der richtigen Sprache eingefügt werden, muss mit der Option Sprache der Website unter Allgemeine Einstellungen die Hauptsprache der Website festgelegt werden. Standardmäßig können Sie in WebSite X5 zwischen verschiedenen Sprachen, unter anderem Deutsch, Englisch und Italienisch, wählen, für die bereits alle benötigten Übersetzungen verfügbar sind. Die vordefinierten Sprachoptionen können geändert werden, ebenso wie nicht benötigte Sprachen gelöscht und neue hinzugefügt oder importiert werden können. Öffnen Sie hierzu das Dialogfenster Sprachenzentrum mit Klick auf die Schaltfläche [image] Auswahl... neben dem Feld Sprache der Website.

Das Dialogfenster Sprachenzentrum zeigt links die verfügbaren Sprachen und rechts eine Tabelle mit den Übersetzungen in die verschiedenen Sprachen. Die erste Spalte der Tabelle enthält eine Beschreibung, wo die jeweiligen Inhalte verwendet werden. Die anderen Spalten enthalten jeweils eine der aktiven Sprachen. Eine Sprache ist "aktiv", wenn sie im linken Bereich mit dem entsprechenden Kontrollkästchen ausgewählt wurde. Die Einträge können direkt in dieser Tabelle geändert und hinzugefügt werden.

Außerdem enthält das Dialogfenster Sprachenzentrum folgende Schaltflächen:

 Neue Sprache hinzufügen...: Öffnet ein Dialogfenster, in das Sie den Namen einer neuen Sprache eingeben können. Diese Eingabe muss folgendes Format haben: "ID - NameSprache", zum Beispiel "EN - English".

Ausgewählte Sprache entfernen: Löscht eine in der Liste ausgewählte Sprache.

Anleitung: Ändern einer bestehenden Sprache

Ein Beispiel für die automatisch vom Programm eingefügten Texte sind die Schaltflächen "Senden" und "Zurücksetzen", die am Ende des Kontaktformulars angezeigt werden.
Soll das Etikett "Zurücksetzen" beispielsweise in "Abbrechen" geändert werden, nachdem als Sprache der Website "Deutsch" eingestellt wurde, gehen Sie bitte folgendermaßen vor:
- | Klicken Sie im Dialogfenster Sprachenzentrum, sofern sie noch nicht aktiviert ist, auf die Sprache Deutsch, um die Spalte mit den Inhalten anzuzeigen.
- | Suchen Sie in der ersten Spalte nach der ID "label_form", die dem zu ändernden Etikett entspricht: Verfolgen Sie nun die Zeile bis zur Spalte der Sprache Deutsch. Mit einem Doppelklick auf die Zelle wird der Eingabecursor angezeigt: Löschen Sie den Eintrag "Zurücksetzen" und geben Sie "Abbrechen" ein.
- | Die Eingabe muss bestätigt und gespeichert werden.

Anleitung: Hinzufügen einer neuen Sprache

Um eine Website in einer Sprache zu erstellen, die noch nicht vorgesehen ist (zum Beispiel Portugiesisch), muss diese Sprachversion durch Eingabe der entsprechenden Übersetzungen erstellt werden, um zu vermeiden, dass die jeweiligen automatisch verwalteten Texte in englischer Sprache (Standard) eingefügt werden. Wenn Sie über die erforderlichen Sprachkenntnisse verfügen, ist dies sehr einfach:
- | Klicken Sie im Sprachenzentrum auf die Schaltfläche Neue Sprache hinzufügen und geben Sie in das Dialogfenster "PT - Português" ein: Nun erscheint der neue Eintrag in der Liste der verfügbaren Sprachen.
- | Klicken Sie auf den Eintrag "PT - Português", um die Spalte der Sprache in der Tabelle der Übersetzungen anzuzeigen.
- | Klicken Sie in die einzelnen Zellen der Spalte "PT - Português", um die benötigten Übersetzungen einzugeben.
- | Die Eingabe muss bestätigt und gespeichert werden.

Verwandte Themen:
- | Allgemeine Einstellungen | Tab Allgemein
- | Erweiterte Einstellungen | Introseite


Funktionsprinzip der internen Suchmaschine von WebSite X5

Mit WebSite X5 können Sie in Titeln oder Inhalten Ihrer erstellten Seiten ein Suchfeld einfügen. Die Suchergebnisse, geordnet nach Relevanz, werden auf automatisch vom Programm generierten Seiten angezeigt.

Um die interne Suchmaschine von WebSite X5 optimal zu nutzen, sollten Sie Folgendes wissen:
- | Seiten Die Suchmaschine erkennt folgende Seitenelemente: Titel, Beschreibung, Keywords (siehe Dialogfenster Eigenschaften der Seiten | Allgemein) und natürlich die Textinhalte. In Titeln gefundene Übereinstimmungen haben hohe Relevanz und werden daher vor der Addition zu den anderen Übereinstimmungen automatisch mit einem Korrekturfaktor multipliziert. Auf der Grundlage der Anzahl der so errechneten Übereinstimmungen wird die Relevanz und somit die Position bestimmt, in der das Suchergebnis auf der Seite der Suchergebnisse angezeigt wird.
- | Geschützter Bereich Geschützte Seiten, auf die erst nach Eingabe eines Benutzernamens und eines Passworts zugegriffen werden kenn (innerhalb eines Geschützten Bereichs) werden von der internen Suchmaschine nur dann berücksichtigt, wenn sich der Benutzer eingeloggt hat.
- | Unsichtbare Seiten Seiten, die als nicht sichtbar im Menü eingestellt sind, werden von der internen Suchmaschine berücksichtigt.
- | Ausschluss einer Seite aus der Suche Wenn eine Seite von der internen Suchmaschine nicht berücksichtigt werden soll, wählen Sie diese Seite in der Sitemap aus, öffnen Sie das Dialogfenster Eigenschaften der Seite und deaktivieren Sie im Tab Erweitert die Option Diese Seite in die Sitemap einbinden.
- | Groß- und Kleinbuchstaben Die Suchmaschine ist nicht case-sensitive: Dies bedeutet, dass zwischen Groß- und Kleinbuchstaben nicht unterschieden wird.
- | Suchergebnisse Die Seiten mit den Suchergebnissen werden vom Programm automatisch erstellt: Die grafische Gestaltung dieser Seiten wird in Schritt 4 - Erweiterte Einstellungen im Bereich Stile und Modelle festgelegt.

Verwandte Themen:
- | Gestaltung der Templates | Suchfeld einfügen
- | Erweiterte Einstellungen: Stile und Modelle


Das Box Model in WebSite X5

Das Box-Modell in WebSite X5

In WebSite X5 werden die Seiten in einem Raster erstellt und das Layout kann im Dialogfenster Zellenrand angepasst werden. Dieses Fenster öffnet sich mit Klick auf das Symbol [image] in Schritt 3 - Erstellen der Seiten.

Um den Begriff Rand besser zu verstehen und das Layout der Inhalte präzise umzusetzen, müssen Sie mit dem verwendeten Box-Modell vertraut sein.

Beim Schreiben des Codes einer Website wird jedes HTML-Element als Block (Box) bezeichnet, während die Gesamtheit der Regeln, die die grafischen Merkmale dieser Block-Elemente Box-Modell genannt wird. Jede Box enthält eine bestimmte Anzahl Basiskomponenten, die mit Hilfe der CSS-Eigenschaften wie Außenabstand, Rahmen, Innenabstand und Inhalt geändert werden können.

Die nachstehende Abbildung veranschaulicht die Bestandteile des Box-Modells:

Das Layout-Schema in WebSite X5 besteht aus Zellen, in die verschiedene Inhalte eingefügt werden können. Auf jede dieser Zellen wird das dargestellte Box-Modell angewendet.

Die Elemente sind die Folgenden:
- | Inhalt (grüner Bereich): Inhalt, der durch Ziehen eines der verfügbaren Objekte eingefügt wird.
- | Innenabstand (rosa Bereich): Abstand zwischen eingefügtem Inhalt und Rahmen.
- | Rahmen: Rahmen, der um den Inhalt gezeichnet ist. Das Aussehen dieses Rahmens kann mit den Optionen im Dialogfenster Zellenstil definiert werden.
- | Außenabstand (gelber Bereich): Abstand zwischen dem Rahmen und den Begrenzungslinien des Layout-Schemas.
Ausgehend von diesen Definitionen ist der Raum zwischen zwei Objekten (horizontal oder vertikal) die Summe der Außenabstände, die für die jeweiligen Zellen festgelegt wurden.

Verwandte Themen:
- | Layout-Schema
- | Zellenstil


Erstellen eines Hintergrundbildes, das sich an die Abmessungen der Zelle anpasst

Im Dialogfenster Zellenstil | Tab Stil können Sie die Zelle, die Sie im Layout-Schema aktiviert haben, grafisch gestalten.

Beispielsweise können Sie ein Bild (Dateiformat JPG, GIF oder PNG) importieren und als Hintergrund für die Zelle verwenden. Je nach Art des gewählten Bilds haben Sie die Wahl zwischen den Optionen Bildhintergrund, wo Sie unter Anordnung und Ausrichtung verschiedene Einstellungen vornehmen können, und Bild an Zelle anpassen, um das jeweils optimale Ergebnis zu erzielen.

Beispiel 1
Das importierte Bild hat die gleichen Abmessungen wie die Zelle.
Hintergrund: Bildhintergrund
Anordnung: Nicht wiederholen
Ausrichtung: Oben - Links

Beispiel 2
Das importierte Bild ist ein Pattern, der so gestaltet ist, dass beim horizontalen oder vertikalen Aneinanderfügen der Übergang zwischen den einzelnen Bildern nicht sichtbar ist.
Hintergrund: Bildhintergrund
Anordnung: Wiederholung in beide Richtungen
Ausrichtung: Oben - Links

Beispiel 3
Das importierte Bild ist ein Rahmen, der an Zellen verschiedener Abmessungen angepasst werden soll.
Hintergrund: Bild an Zelle anpassen
Blockbreite / Blockhöhe: Die Blockmaße nach Bedarf anpassen.

Um die Option Bild an Zelle anpassen, das Konzept der Blöcke und deren Größenanpassung besser zu verstehen, betrachten Sie bitte nachstehende Abbildungen:

Abbildung 1 | Abbildung 2 | Abbildung 3

Das Originalbild (Bild 1) ist ein komplexer Rahmen, der sich jedoch dazu eignet, in Blöcke aufgeteilt zu werden und somit problemlos an jede Zellengröße angepasst werden kann: Die Ornamente in den Ecken belegen einen leicht abgrenzbaren Bereich und alle Farbübergänge können ohne unerwünschte Änderungen des Farbtons als Pattern widerholt werden.

In Abbildung 2 sehen Sie die Blöcke, deren Maße Sie festlegen müssen (Optionen Blockbreite und Blockhöhe). Die Breite und Höhe der Blöcke (alle gleich) werden als Prozentsatz von der Breite und Höhe des Originalbilds definiert, der zwischen 5% und 45% einstellbar ist. In diesem Beispiel muss für beide Blockseiten ein Ausschnitt von 35% gewählt werden, damit die Eckelemente voll abgedeckt sind.

In Abbildung 3 sehen Sie, dass nach Festlegung der Blöcke A, B, C und D als zusätzliche Ausschnitte die Blöcke a, b, c, d und e entstehen: Diese Ausschnitte werden vom Programm erzeugt, um das Originalbild in alle Komponenten zu gliedern, die erforderlich sind, um den Hintergrund der Zelle zusammenzusetzen. Das heißt, während die Bildausschnitte der Blöcke A, B, C und D unverändert beibehalten und in den Ecken positioniert werden, werden die Bildausschnitte der Blöcke a, b, c, d und e so wiederholt, dass der gesamte benötigte Raum ausgefüllt wird.
Es ist offensichtlich, dass dieses Verfahren erhebliche Flexibilität bietet: Ausgehend von einem einzigen, angemessen realisierten Bild können auch Zellen sehr unterschiedlicher Abmessungen gestaltet werden.

Verwandte Themen:
- | Layout-Schema
- | Zellenstil


Inhalt der E-Mail zur Bestellbestätigung

Nachdem eine Bestellung eingegangen ist, muss der Kunde eine E-Mail erhalten, in der bestätigt wird, dass die Bestellung korrekt aufgegeben wurde und in der die erforderlichen Zahlungshinweise mitgeteilt werden.

WebSite X5 erstellt die E-Mail zur Bestellbestätigung automatisch und verwendet hierzu nur die benötigten individuellen Daten, die der Kunde bei Aufgabe seiner Bestellung angegeben hat.

Im Einzelnen setzt sich die Bestätigungs-Mail wie folgt zusammen:

 | Beschreibung: | Beispiel: | Wo einstellen:
Header-Text: | Dies ist die Einleitung. Sie sollte einen Satz enthalten, mit dem Sie sich für den Einkauf bedanken, sowie die nachstehend enthaltenen Informationen ankündigen. | Sehr geehrter Kunde, Vielen Dank für Ihren Einkauf. Hiermit erhalten Sie eine Zusammenfassung Ihrer Bestellung. Nachstehend finden Sie die Liste der bestellten Produkte, die Rechnungsinformationen sowie Hinweise zu der von Ihnen gewählten Versand- und Zahlungsart. | Tab Kundendetails, Bereich Header-Text.
Kundendetails | In diesem Bereich werden die Daten für die Rechnungsausstellung und den Versand angezeigt, die der Kunde in das Bestellformular eingegeben hat. |  | Das Bestellformular kann im Tab Kundendetails definiert werden. Um dem Kunden die Möglichkeit zu geben, eine Versandadresse anzugeben, die von der Rechnungsadresse verschieden ist, muss die Option Formular für Versanddaten anzeigen aktiviert werden.
Zusammenfassung der Bestellung | Dies ist eine Tabelle, in der die bestellten Produkte aufgelistet sind. Die Tabelle enthält die bestellte Menge, den Einzelpreis pro Produkt sowie den Gesamtbestellwert. |  | Hierfür muss keine besondere Einstellung vorgenommen werden. Die Tabelle wird auf der Grundlage der eingegangenen Bestellung automatisch generiert.
Zahlungsart | Je nach Auswahl des Kunden aus den angebotenen Zahlungsarten muss er Informationen und Hinweise erhalten, die er benötigt, um die Zahlung vorzunehmen. | Zahlung per Banküberweisung: Nachstehend finden Sie die Informationen, die für die Zahlung per Banküberweisung benötigt werden: XXX YYY ZZZ Bitte beachten Sie, dass Sie nach Abschluss der Zahlung eine Kopie der Überweisungsbestätigung gemeinsam mit der Bestellnummer senden müssen. | Tab E-Mail-Nachricht im Dialogfenster Zahlungsart.
Versandart | Es empfiehlt sich, dem Kunden zu wiederholen, welche Versandart er gewählt hat, sowie ihm neben allen sonstigen Daten, falls möglich, Informationen über die Fristen und Modalitäten der Lieferung bereitzustellen. | Versand per Expresslieferung: Versand per Expresslieferung. Die Ware wird in 1-2 Werktagen geliefert. | Tab E-Mail-Nachricht im Dialogfenster Versandart.
Fußzeilentext | Geben Sie hier einen Schlusssatz ein, in dem Sie Ihre Verfügbarkeit versichern, grüßen und unterschreiben. | Für weitere Informationen stehen wir Ihnen gern zur Verfügung. Mit freundlichen Grüßen, Ihr Vertriebs-Team. | Tab Kundendetails, Bereich Fußzeilentext.

Wie auf alle automatisch vom Programm generierten und versendeten E-Mails, wird auch auf die E-Mail zur Bestellbestätigung der grafische Stil angewendet, der in Stile und Modelle | Tab E-Mail festgelegt wurde.

Die E-Mail zur Bestellbestätigung wird auch im Textformat versendet.

Verwandte Themen:
- | Warenkorb für E-Commerce | Tab Kundendetails
- | Dialogfenster Versandart
- | Dialogfenster Zahlungsart
- | Stile und Modelle | Tab E-Mail


Nutzung der Google Webmasterzentrale

Die Google Webmasterzentrale ist eine von Google kostenlos bereitgestellte Sammlung von Tools, die Webmaster dabei unterstützen, ihre Websites in Konformität mit den Vorgaben von Google zu gestalten. Mit Hilfe dieser Werkzeuge lässt sich feststellen, wie Google die Website sieht. Außerdem können eventuelle Probleme diagnostiziert werden. Bei korrekter Verwendung tragen diese Tools dazu bei, die Sichtbarkeit des Internetauftritts in Suchmaschinen zu steigern.

Um die Google Webmasterzentrale nutzen zu können, benötigen Sie ein Google-Konto, mit dem Sie nachweisen, dass Sie wirklich der Inhaber der Website sind, die Sie analysieren möchten. Eine Nachweismethode besteht darin, einen von Google bereitgestellten Meta-Tag zu kopieren und auf der Homepage im ersten <head> Bereich der Seite vor dem <body> einzufügen.

Zusammenfassend:

-

Sie müssen über ein Google-Konto verfügen.

-

Öffnen Sie die Startseite der Google Webmasterzentrale und loggen Sie sich ein.

-

Klicken Sie auf der Startseite auf Website hinzufügen , geben Sie die URL der zu überwachenden Website ein und bestätigen Sie mit Weiter.

-

Wählen Sie auf der Seite Eigentümerschaft überprüfen die Prüfmethode Ein Meta-Tag zur Startseite Ihrer Website hinzufügen.

-

Kopieren Sie den von Google bereitgestellten Code in das Feld Metatag für Google Webmasterzentrale des Fensters Allgemeine Einstellungen | Tab Erweitert von WebSite X5: Das Programm fügt den Metatag an der korrekten Position in den HTML-Code Ihrer Homepage ein.

Der von Google bereitgestellte Metatag präsentiert sich wie in diesem Beispiel:
<meta name="verify-v1" content="VOPYsjbR4uw/YqV+MWLB0lVmJt0niwdkv9PQTsTREHQ=" />

-

Kehren Sie nach der Veröffentlichung der Website auf diese Seite der Google Webmasterzentrale zurück und vervollständigen Sie den Vorgang, in dem Sie auf Bestätigen klicken.

Verwandte Themen:

-

Allgemeine Einstellungen | Tab Erweitert


Aktivierung von Statistikdiensten wie Google Analytics

Im Internet werden verschiedene Dienste zur Erstellung von Statistiken angeboten, unter anderen Google Analytics. Mit diesem kostenlosen Tool können Sie zahlreiche Protokolle abrufen, um die Zugriffe auf die Website zu überwachen und detailliert zu analysieren. Google Analytics kann auf verschiedenen Ebenen genutzt werden: Sie können damit beginnen, einfach die Anzahl der Besuche zu ermitteln, oder weiter forschen, und den Erfolg Ihrer Werbekampagnen untersuchen, die Sie über Google Adsense betreiben.

Um Google Analytics zu nutzen, muss der Suchmaschine mitgeteilt werden, welche Website analysiert werden soll und welche Seiten im Einzelnen überwacht werden sollen. Hierzu müssen Sie Code Ihrer Seiten einen Tracking-Code einfügen.

Zusammenfassend:

-

Sie müssen über ein Google-Konto verfügen.

-

Öffnen Sie die Startseite von Google Analytics und loggen Sie sich ein.

-

Geben Sie auf der Seite Analytics-Einstellungen unter Websiteprofil hinzufügen die Website an, die überwacht werden soll.

-

Nach Erstellung des Profils klicken Sie auf der Seite Übersicht auf Bearbeiten in der Spalte Aktionen für die ausgewählte Website.

-

Auf der Seite Profileinstellungen lesen Sie oben rechts "Tracking für Unbekannt": Klicken Sie auf Status überprüfen, um den Code anzuzeigen, der für die Überwachung der Seiten verwendet wird.

-

Kopieren Sie den von Google bereitgestellten Code in das Feld Code für Website-Statistiken des Fensters Allgemeine Einstellungen | Tab Erweitert von WebSite X5: Das Programm fügt den Metatag an der korrekten Position in den HTML-Code der Seiten Ihrer Website ein.

Der von Google bereitgestellte Überwachungscode entspricht dem des nachstehenden Beispiels:
<script type="text/javascript">
var gaJsHost = (("https:" == document.location.protocol) ? "https://ssl." : "http://www.");
document.write(unescape("%3Cscript src='" + gaJsHost + "google-analytics.com/ga.js' type='text/javascript'%3E%3C/script%3E"));
</script>
<script type="text/javascript">
try {
var pageTracker = _gat._getTracker("UA-110367-1");
pageTracker._trackPageview();
} catch(err) {}</script>

Verwandte Themen:

-

Allgemeine Einstellungen | Tab Erweitert


Erstellen und Verlinken der Sitemap

WebSite X5 generiert die XML-SiteMap der Website und verknüpft sie über den Metatag <sitemap> mit dem HTML-Code der Seiten.

Die Sitemap ist eine XML-Datei, die die Liste der Seiten einer Website enthält. Sie wurde von Google eingeführt (und wird jetzt auch von Yahoo! und MSN verwendet), um Websites schneller und besser scannen zu können. Durch das Erstellen und Senden einer Sitemap wird sichergestellt, dass die Suchmaschine, also Google, alle Seiten einer Website erfasst, die mit einem herkömmlichen Scanvorgang nicht auffindbar wären.

Mit der Sitemap werden den Suchmaschinen auch Informationen über die Inhalte einer Website wie Videos, Bilder, Nachrichten usw. bereitgestellt. Außerdem kann eine Sitemap Zusatzinformationen enthalten, wie zum Beispiel die Häufigkeit, mit der jede Seite aktualisiert wird, das Datum der letzten Aktualisierung oder die Priorität jeder Seite im Kontext der Website (diese Priorität beeinflusst jedoch nicht die Positionierung der Seiten in den Suchergebnissen).

Anleitung - Aktivierung der Sitemap

Damit die Sitemap Ihrer Website erstellt und verknüpft wird, behalten Sie die standardmäßig aktivierte Option Sitemap automatisch erstellen in den Allgemeinen Einstellungen | Tab Erweitert bei.

Anschließend können Sie in die Sitemap einige spezifische Zusatzinformationen für jede Seite einfügen:

- | Wählen Sie in Schritt 2 - Erstellen der Sitemap die Seite aus, die Sie bearbeiten möchten.
- | Klicken Sie auf die Schaltfläche [image] , um das Dialogfenster Eigenschaften der Seite anzuzeigen und öffnen Sie dort den Tab Erweitert.
- | Stellen Sie hier die Aktualisierungsfrequenz und die Priorität des Inhalts ein.
- | Wiederholen Sie den Vorgang für alle Seiten der Website.

Anleitung - Einbinden von Bildern in die Sitemap

Die Sitemap kann genutzt werden, um auch Zusatzinformationen über Bilder einer Website an Google zu übermitteln. Dies erleichtert das Auffinden von Bildern, die andernfalls nicht erkannt werden würden (z. B. weil sie in JavaScript-Objekte eingebunden sind) und das Verständnis ihrer Relevanz im Verhältnis zu anderen. Bilder eines grafisch gestalteten Templates oder solche, die ausschließlich der Dekoration dienen, werden beispielsweise nicht in die Sitemap aufgenommen, was bei Google auf ihre geringere Relevanz hinweist.

Google legt fest, dass in eine Sitemap maximal 1000 Bilder pro Seite eingefügt werden können, wobei jedoch nicht garantiert werden kann, dass alle Bilder indexiert und alle eingefügten Informationen genutzt werden.

Nachdem Sie die automatische Erstellung der Sitemap aktiviert haben, können Sie Informationen über ein Bild auf sehr einfache Weise einfügen:

- | Öffnen Sie mit Doppelklick das Bild-Objekt. Es öffnet sich das Dialogfenster Bildobjekt.
- | Öffnen Sie den Tab Sitemap und aktivieren Sie dort die Option Bild in die Sitemap einbinden.
- | Die Felder Titel, Kurzbeschreibung, Geografische Lage und Lizenz-URL können fakultativ ausgefüllt werden.
- | Wiederholen Sie den Vorgang für alle Bilder der Website.

Für weitere Informationen siehe Objekt Bild | Tab Sitemap.

Anleitung - Einbinden von Videoinformationen in die Sitemap

Sie können die Sitemap auch nutzen, um Informationen über die in Ihrer Website enthaltenen Videos an Google zu übermitteln. Auch in diesem Fall gewährt Google keine Garantien, dennoch kann die Einbindung von Videoinformationen in die Sitemap dazu beitragen, dass diese Inhalte leichter gefunden und somit in den Ergebnissen der Videosuche angezeigt werden.

Über die Sitemap können Sie einige Zusatzinformationen wie den Titel, die Beschreibung oder die Dauer eines Videos übertragen, die die Suche erleichtern. Diese Zusatzinformationen werden dann auf den Seiten mit den Suchergebnissen (SERP) angezeigt. Im Fall von Abweichungen kann Google alerdings in den SERP die Texte der Videos verwenden, die auf der jeweiligen Seite verfügbar sind, und nicht die in die Sitemap eingefügten.

So fügen Sie Videoinformationen in die Sitemap ein:
- | Öffnen Sie mit Doppelklick das Objekt Video und Audio. Es öffnet sich das Dialogfenster Video-/Audio-Objekt.
- | Öffnen Sie den Tab Sitemap und aktivieren Sie dort die Option Video in die Sitemap einbinden.
- | Geben Sie die für die Einbindung in die Sitemap obligatorischen Informationen ein (Titel und Kurzbeschreibung ) und wählen Sie ein Vorschaubild aus.
- | Optional können Sie ferner folgende Parameter definieren: Kategorie, Keywords, Datum der Veröffentlichung, Länge und Inhalte für Minderjährige geeignet.
- | Wiederholen Sie den Vorgang für alle Videos der Website.

 Für weitere Informationen siehe Objekt Video und Audio | Tab Sitemap.

Anleitung - Entfernen einer Seite aus der Sitemap

Nachdem die Erstellung der Sitemap aktiviert wurde, werden standardmäßig alle Seiten der Website dort eingebunden. Falls Sie es vorziehen, dass eine oder mehrere Seiten von Suchmaschinen nicht berücksichtigt werden, können Sie diese jedoch auch aus der Sitemap entfernen. Gehen Sie hierzu wie folgt vor:
- | Markieren Sie im Fenster Erstellen der Sitemap (Schritt 2) die Seite, die Sie aus der Sitemap entfernen möchten.
- | Klicken Sie auf die Schaltfläche [image] , um das Dialogfenster Eigenschaften der Seite anzuzeigen und öffnen Sie dort den Tab Erweitert.
- | Deaktivieren Sie das Kontrollkästchen neben der Option Diese Seite in die Sitemap einbinden.
- | Die Eingabe muss bestätigt und gespeichert werden.

Verwandte Themen:
- | Allgemeine Einstellungen | Tab Erweitert
- | Erstellung der Sitemap | Eigenschaften der Seite | Tab Erweitert
- | Objekt Bild | Bereich Sitemap
- | Objekt Video | Bereich Sitemap


Blog | Control Panel

Control Panel

Für jede realisierte Website stellt WebSite X5 automatisch ein Control Panel online zur Verfügung, in dem der Administrator verschiedene Funktionen nutzen kann. Er kann die die Blog-Kommentare oder Gästebucheinträge seiner Leser verwalten sowie Diagnoseinformationen und Daten zur Optimierung für Suchmaschinen abrufen.

Zugriff auf das Control Panel haben alle Benutzer, die im Bereich Zugangsverwaltung in Schritt 4 - Erweiterte Einstellungen in die Gruppe Administratoren aufgenommen wurden.

Zugang zum Control Panel:
- | Öffnen Sie die Webseite www.meindeseite.de/admin wobei www.meineseite.de die URL Ihrer Website ist.
- | Loggen Sie sich mit Ihren Zugangsdaten ein (Benutzername und Passwort).

Nach dem Login wird das Control Panel geöffnet, das in folgende Bereiche gegliedert ist:

-

Blog: Hier können Sie die Kommentare verwalten, die Leser in dem mit Ihrer Website verknüpften Blog hinterlassen haben. (siehe Management der Blog-Kommentare im Control Panel online)

-

Guestbook: Hier können Sie die Einträge in Ihrem Gästebuch verwalten, das Sie mit dem entsprechenden Widget des Objekts HTML und Widgets in Ihre Website aufgenommen haben.

-

WebSite Test: Hier finden Sie einige Diagnosedaten Ihrer Website und des Servers, auf dem diese veröffentlicht wurde. Im Einzelnen werden folgende Parameter überprüft:
- | Installierte PHP-Version - Für die korrekte Funktion des E-Mail-Versands, den Sie mit dem Objekt E-Mail-Formular konfiguriert haben, des Warenkorbs für E-Commerce und des Zugriffs auf Geschützte Seiten über das entsprechende Login muss der Server PHP unterstützen. Es wird geprüft, ob der Server diese Unterstützung bietet und wenn ja, wird ermittelt, welche Version unterstützt wird.
- | Unterstützung von Sitzungen - Neben PHP muss der Server auch Sitzungen unterstützen, damit der Zugriff auf die Geschützten Seiten erst nach Eingabe der korrekten Zugangsdaten gewährt wird.
- | Verzeichnis mit Schreibzugriff - Um die Kommentare der Blog-Posts archivieren und speichern zu können und im Allgemeinen für die Funktion der Widgets (siehe Objekt HTML und Widgets), die eine Datenerfassung erfordern, muss ein Verzeichnis auf dem Server angegeben werden, das bei Aktivierung der enstprechenden Option in Blog | Tab Kommentare den Schreibzugriff ermöglicht. Hierbei wird zuerst überprüft, ob das angegebene Verzeichnis mit Schreibzugriff existiert und wenn ja, ob dieses Verzeichnis effektiv Schreibzugriff gewährt.
- | MySQL-Unterstützung und Datenbankeinstellungen - Bei der Konfiguration des Objekts E-Mail-Formular kann als Versandmethode "Datenversand an eine Datenbank" ausgewählt werden (siehe Objekt E-Mail-Formular | Tab Senden): In diesem Fall müssen die Parameter angegeben werden, die den Verbindungsaufbau mit der Datenbank auf dem Server ermöglichen. Mit dem Test wird überprüft, ob der Server MySQL unterstützt und wenn ja, ob die eingegebenen Parameter effektiv den Zugriff auf die Datenbank ermöglichen.

-

SEO: Hier finden Sie einige Ergebnisse hinsichtlich der Indexierung der Website durch Suchmaschinen. Im Einzelnen werden der Status der Sitemap, die indexierten Suchschlüssel und die von GoogleBot (Webcrawler von Google, der das WEB zur Aktualisierung der Indizes scannt) zurückgegebenen Meldungen angezeigt.

Verwandte Themen:
- | Blog
- | Management der Blog-Kommentare im Control Panel online
- | Objekt HTML und Widgets


Management der Blog-Kommentare im Control Panel

Ein Blog ist eine Art Web-Tagebuch, in dem Sie Artikel unterschiedlicher Natur veröffentlichen und Ihren Lesern die Möglichkeit geben, Kommentare abzugeben. Wenn die Lesercommunity durch die Qualität der Posts angeregt wird, können sich aus diesem Dialog interessante Diskussionen zum Thema entwickeln.

Um den Lesern die Möglichkeit zu geben, die veröffentlichten Posts zu kommentieren, muss der Blog zunächst im Tab Kommentare des Dialogfensters Blog entsprechend konfiguriert werden. Im Einzelnen:
- | Aktivieren Sie die Option Kommentare zum Blog zulassen.
- | Geben Sie den Pfad zum Serververzeichnis mit Schreibzugriff an, also dem Verzeichnis, in dem der PHP-Code Schreibzugriff auf die Dateien zulässt.
- | Entscheiden Sie, ob Sie sen Antispam-Filter "Captcha" aktivieren wollen.
- | Geben Sie die E-Mail-Adresse für die Kommentarbenachrichtigung an. An diese E-Mail-Adresse werden Sie automatisch informiert, wenn ein neuer Kommentar abgegeben wurde.
- | Legen Sie fest, ob die Kommentare sofort veröffentlicht werden sollen oder ob sie erst genehmigt werden müssen.

Anschließend können Sie beginnen, Artikel einzugeben und den Blog veröffentlichen. Unter den Blog-Posts wird automatisch ein Formular eingefügt, in das die Leser ihre Kommentare eingeben und dann senden können. In dieses Formular müssen folgende Informationen eingegeben werden: Name, E-Mail, Website und die Nachricht. Mit Ausnahme der Angabe der Website müssen alle Felder ausgefüllt werden.

Sobald ein Leser einen Kommentar abgegeben hat, wird automatisch eine E-Mail erstellt, die an die angegebene E-mail-Adresse gesendet wird. Wenn die Option Anzeigen von Kommentaren nach Admin-Zustimmung aktiviert wurde, muss der Kommentar, damit er online unter dem betreffenden Post erscheint, erst im Control Panel von WebSite X5 mit dem entsprechenden Befehl bestätigt werden.

 Das Control Panel finden Sie unter der URL www.meineseite.de/admin, wobei www.meineseite.de der URL der Website entspricht, mit der der Blog verknüpft ist. Zugang zum Control Panel haben alle Benutzer, die unter Zugangsverwaltung in Schritt 4 - Erweiterte Einstellungen in der Gruppe Administratoren registriert sind.

Im Bereich Blog des Control Panels finden Sie zwei Dropdown-Menüs mit den Kategorien sowie den mit diesen verknüpften Artikellisten. In diesen Menüs können Sie die Posts auswählen, deren Kommentare Sie anzeigen möchten. Nach der Auswahl wird die Liste der Kommentare angezeigt. Von jedem Kommentar werden der Autor, dessen E-Mail-Adresse, der Kommentartext sowie das Datum und die Uhrzeit des Versands angezeigt. Sofern diese Information verfügbar ist, wird der Name des Autors automatisch mit seiner Website verlinkt.

Im Gegensatz zum Blog, wo die Kommentare in der Reihenfolge ihrer Eingabe erscheinen (der zuletzt Eingegebene steht am Ende der Liste), erscheinen die Kommentare im Control Panel in chronologischer Reihenfolge mit dem neuesten Kommentar an erster Stelle.

So verwalten Sie die Kommentare:

-

Öffnen Sie das Control Panel, loggen Sie sich ein und öffnen Sie den Bereich Blog.

-

Wählen Sie den Artikel, dessen Kommentare Sie einsehen möchten, aus den Dropdown-Menüs mit den Kategorien und jeweiligen Blog-Posts.

-

In der Liste der Kommentare zum ausgewählten Post können Sie diese nun mit folgenden Befehlen verwalten:
- | Entfernen: Der ausgewählte Kommentar wird entfernt, das heißt, er wird nicht im Blog veröffentlicht und auch aus der Kommentarliste im Control Panel gelöscht.
- | Genehmigen/Ablehnen: Mit diesem Befehl können Sie einen Kommentar genehmigen, also seine Anzeige im Blog bestätigen, oder ablehnen, das heißt, ihn aus den Kommentaren im Blog entfernen. Ein abgelehnter Kommentar wird nicht aus den Listen des Control Panels gelöscht.
Es ist von fundamentaler Bedeutung, die Veröffentlichung von Kommentaren im Blog steuern zu können, um sich vor Spam zu schützen und die Diskussion zu moderieren, indem Sie Beiträge löschen, die Sie als beleigigend, für das jeweilige Thema irrelevant oder inkompatibel mit dem gewünschten Stil erachten.

Verwandte Themen:
- | Blog | Tab Kommentare
- | Control Panel


Informationen und Support

ist ein Produkt von Incomedia
 www.websitex5.com
 www.incomedia.eu

Copyright 2011 Incomedia. Alle Rechte vorbehalten.

WebSite X5 arbeitet mit DotNetZip unter der Lizenz Ms-PL (Microsoft Public License).

Weitere Informationen und technischen Support erhalten Sie auf der Webseite www.websitex5.com/help


Microsoft Public License (Ms-PL)

This license governs use of the accompanying software. If you use the software, you accept this license. If you do not accept the license, do not use the software.

1. Definitions

The terms "reproduce," "reproduction," "derivative works," and "distribution" have the same meaning here as under U.S. copyright law.

A "contribution" is the original software, or any additions or changes to the software.

A "contributor" is any person that distributes its contribution under this license.

"Licensed patents" are a contributor's patent claims that read directly on its contribution.

2. Grant of Rights

(A) Copyright Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free copyright license to reproduce its contribution, prepare derivative works of its contribution, and distribute its contribution or any derivative works that you create.

(B) Patent Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free license under its licensed patents to make, have made, use, sell, offer for sale, import, and/or otherwise dispose of its contribution in the software or derivative works of the contribution in the software.

3. Conditions and Limitations

(A) No Trademark License- This license does not grant you rights to use any contributors' name, logo, or trademarks.

(B) If you bring a patent claim against any contributor over patents that you claim are infringed by the software, your patent license from such contributor to the software ends automatically.

(C) If you distribute any portion of the software, you must retain all copyright, patent, trademark, and attribution notices that are present in the software.

(D) If you distribute any portion of the software in source code form, you may do so only under this license by including a complete copy of this license with your distribution. If you distribute any portion of the software in compiled or object code form, you may only do so under a license that complies with this license.

(E) The software is licensed "as-is." You bear the risk of using it. The contributors give no express warranties, guarantees or conditions. You may have additional consumer rights under your local laws which this license cannot change. To the extent permitted under your local laws, the contributors exclude the implied warranties of merchantability, fitness for a particular purpose and non-infringement.